Tor Browser 16.0a6 - May 07 2026
 * All Platforms
   * Updated tor to 0.4.9.7
   * Updated NoScript to 13.6.18.90101984
   * Updated OpenSSL to 3.5.6
   * Bug 43857: Review in-source TODOs [tor-browser]
   * Bug 44402: Re-enable ESLint rule mozilla/no-browser-refs-in-toolkit as an error [tor-browser]
   * Bug 44749: Check search engines parameter replacements [tor-browser]
   * Bug 44792: Rebase alpha onto 150.0a1 [tor-browser]
   * Bug 44796: Adjust TorProviderBuilder to report the provider state to consumers [tor-browser]
   * Bug 44828: Remove browser module references from toolkit/modules/ActorManagerParent.sys.mjs [tor-browser]
   * Bug 44841: TorDomainIsolator proxy filter returns null on exception instead of preserving SOCKS proxy [tor-browser]
   * Bug 44865: Block chrome://*/locale/* to content [tor-browser]
   * Bug 44868: Backport 138c33ea964b2e0a4875aadc39d8a948e0c2aace to 150 to fix Windows builds [tor-browser]
   * Bug 44870: Remove legacy branch from gitlab templates [tor-browser]
   * Bug 44895: Undo the patch for #44772 [tor-browser]
   * Bug 41775: Update list of Snowflake STUN servers in default bridge line, 2026 edition [tor-browser-build]
   * Bug 41778: Remove base-browser from protected-branches.py [tor-browser-build]
   * Bug 41780: Create sha256sums-unsigned-build.txt in artifacts/$platform directories [tor-browser-build]
 * Windows + macOS + Linux
   * Updated Firefox to 150.0a1
   * Bug 43824: Switch resource:// modules to use moz-src: [tor-browser]
   * Bug 44288: New identity fails to block loading a custom home page [tor-browser]
   * Bug 44458: Fix the "Connect" and ".onion available" button height [tor-browser]
   * Bug 44560: Customize the flags for alternate 'Application Data' directories [tor-browser]
   * Bug 44630: Use settings config to hide settings, rather than data-hidden-from-search or commenting out [tor-browser]
   * Bug 44648: Unexpected changes to SearchService.sys.mjs [tor-browser]
   * Bug 44685: Use border radius for letterboxing [tor-browser]
   * Bug 44798: Don't load `about:torconnect` into iframes [tor-browser]
   * Bug 44829: Hide the settings privacy card [tor-browser]
   * Bug 44832: Hide the Firefox mascot in about:neterror [tor-browser]
   * Bug 44846: about:torconnect redirect doesn't work with the new neterror page [tor-browser]
   * Bug 44847: Drop letterboxing sidebar rounded corner logic [tor-browser]
   * Bug 44902: Error in privacy preference initialisation due to missing `dataCollectionViewProfilesMultiProfileBackupWarning` [tor-browser]
   * Bug 31860: Start using LTO for firefox project [tor-browser-build]
 * Windows
   * Bug 44862: Fontvis is missing Segoe MDL2 Assets [tor-browser]
   * Bug 44868: Backport 138c33ea964b2e0a4875aadc39d8a948e0c2aace to 150 to fix Windows builds [tor-browser]
 * macOS
   * Bug 44850: Wrong path for bootstrapped tor daemon on macOS [tor-browser]
   * Bug 41476: Since 13.5-legacy is not longer supported, remove tools/signing/wrappers/sign-rcodesign [tor-browser-build]
 * Linux
   * Bug 44361: Notify Linux i686 users that they won't receive updates anymore [tor-browser]
   * Bug 44521: Disable widget.wayland.fractional-scale.enabled [tor-browser]
 * Android
   * Updated GeckoView to 150.0a1
   * Bug 44615: Remove ability to "Rate/Review in Google Play" in app [tor-browser]
   * Bug 44827: Always enable noscript for android [tor-browser]
   * Bug 44842: Replace instances of SwitchPreference with SwitchPreferenceCompat [tor-browser]
   * Bug 44848: Do not overwrite Android toolchains on default mozconfigs [tor-browser]
   * Bug 44880: Fix edgeToEdge display issue presented in 150 android rebase [tor-browser]
   * Bug 44925: Fix bootstrap screen color styling for light mode presented in one of the rebases between 140 and 150 [tor-browser]
   * Bug 44935: Remove incorrectly shown "open in app" notification dot on settings button [tor-browser]
 * Build System
   * All Platforms
     * Bug 41591: Remove support for old mar filenames when 13.5 legacy branch is EOL [tor-browser-build]
     * Bug 41764: Update toolchains for Firefox 150 [tor-browser-build]
     * Bug 41767: Add jwilde to allowed signer for browser projects [tor-browser-build]
     * Bug 41778: Remove base-browser from protected-branches.py [tor-browser-build]
     * Bug 41780: Create sha256sums-unsigned-build.txt in artifacts/$platform directories [tor-browser-build]
     * Bug 41786: Add comment to rbm.local.conf.example warning about potential recursive loops in tmp_dir definition [tor-browser-build]
     * Bug 40106: Improve error message in case of recursive definition [rbm]
   * Windows + macOS + Linux
     * Bug 41759: Remove references to legacy release in tor-browser-build [tor-browser-build]
   * Windows + Linux + Android
     * Bug 41770: Update Go to 1.26.x [tor-browser-build]
     * Updated Go to 1.26.2
   * Windows
     * Bug 44853: Update target in mozconfig-windows-x86_64 and mozconfig-windows-i686 [tor-browser]
   * macOS
     * Bug 41773: Change the position of -mindepth when creating the dmg [tor-browser-build]
   * Linux
     * Bug 44555: Remove mozconfig-linux-i686 [tor-browser]
   * Android
     * Bug 44848: Do not overwrite Android toolchains on default mozconfigs [tor-browser]

Tor Browser 16.0a5 - April 01 2026
 * All Platforms
   * Updated NoScript to 13.6.14.90101984
   * Updated Tor to 0.4.9.6
   * Bug 43858: Clean out deprecated or unused methods in TorConnect [tor-browser]
   * Bug 44251: Drop pt_config.json meek-azure migration logic [tor-browser]
   * Bug 44546: Rename `appearance-chooser-item` to `setting-chooser-item` after we reach nightly 149 [tor-browser]
   * Bug 44621: Move about:torconnect back to browser [tor-browser]
   * Bug 44702: Rebase alpha onto 149.0a1 [tor-browser]
   * Bug 44720: Migrate New Identity commit to Tor Browser [tor-browser]
   * Bug 44753: Drop TorProvider.isBootstrapDone [tor-browser]
   * Bug 44755: Trusted Types (Firefox 148 and above) + Web Workers broken on Safer Level [tor-browser]
   * Bug 44757: Update tests for removed Services.search [rebase-149] [tor-browser]
   * Bug 44761: Safer Level's worker patching filters out Worker constructor options [tor-browser]
   * Bug 44763: Disable WebGPU until audited [tor-browser]
   * Bug 44764: Review Mozilla 2012344: Hide main AI settings when the feature is blocked [tor-browser]
   * Bug 44765: Review Mozilla 1972073: Convert Sidebar to config-based prefs [tor-browser]
   * Bug 44767: Safer Level's worker patching throws on new about:blank frames with Trusted Types [tor-browser]
   * Bug 44772: Review Mozilla 1980264: Canvas randomization is too slow [tor-browser]
   * Bug 44778: Safer Level: xray causes patched TrustedTypePolicy instances to be unusable by content. [tor-browser]
   * Bug 44801: Redact onion origins from Location.ancestorOrigins. [tor-browser]
   * Bug 44814: Disable trustpanel until our new designs are ready [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 149.0a1
   * Bug 44714: The browser opens a new about:blank tab in 148 [tor-browser]
   * Bug 44780: AIFeature.sys.mjs failures in 149 desktop builds [tor-browser]
   * Bug 44781: Use a static page title for about:torconnect [tor-browser]
   * Bug 44793: `privacy.spoof_english` console error in about:preferences [tor-browser]
   * Bug 44797: Clean up `about:torconnect` styling [tor-browser]
   * Bug 44799: Onionize toggle in `about:tor` uses blue text color [tor-browser]
 * Android
   * Updated GeckoView to 149.0a1
   * Bug 43790: Address "Various android workarounds" commit introduced in the 138 rebase [tor-browser]
   * Bug 44332: Fix android tor logs screen issues presented in 144 rebase [tor-browser]
   * Bug 44594: DoH is visible on Android [tor-browser]
   * Bug 44653: Disable "Allow search suggestions in private sessions" prompt presented in RR 148 android [tor-browser]
   * Bug 44694: Remove new "Tab bar" feature on Android [tor-browser]
   * Bug 44698: Clean up comments in AccountSettingsFragment.kt. FIXME: Update A-S [tor-browser]
   * Bug 44700: Untracked change to `HomepageHeader.kt` [tor-browser]
   * Bug 44751: Noscript (and likely any extension) can be accidently turned off on Android alpha [tor-browser]
   * Bug 44752: Remove new expanded toolbar option on Android due to fingerprintability [tor-browser]
   * Bug 44785: Fix SiteSecurityRobot.kt after the 149 rebase [tor-browser]
   * Bug 44788: Extensions are unreachable via 3 dot menu in alpha (android) [tor-browser]
   * Bug 44789: Icon of "New Circuit" is not centered but lies in top left corner [tor-browser]
 * Build System
   * All Platforms
     * Bug 43180: Remove translation CI 13.5 legacy extension [tor-browser]
     * Bug 41758: Rename `tools/signing/deploy-legacy` to `tools/signing/redeploy-update_responses-release` [tor-browser-build]
     * Bug 41766: Use gzip for all platforms for Go vendoring [tor-browser-build]
   * Windows + macOS
     * Bug 41741: Create a 13.5-specific update path [tor-browser-build]
   * macOS
     * Bug 41753: Allow running custom commands when vendoring Go dependencies [tor-browser-build]

Tor Browser 16.0a4 - March 11 2026
 * All Platforms
   * Updated NoScript to 13.6.6.90401984
   * Updated zlib to 1.3.2
   * Bug 44663: NoScript behavior on “Safer” security level prevents integrity checks for dynamically loaded javascript [tor-browser]
   * Bug 44675: Restore "BB 43850: Modify the Contrast Control settings for RFP" dropped during the 148.0a1 rebase [tor-browser]
   * Bug 44679: Review Mozilla 2006066: Credit cards autofill settings are not visible [tor-browser]
   * Bug 44680: Properly handle subdocuments created by data: URLs [tor-browser]
   * Bug 44687: Security level requires a restart in a new profile after 148 update [tor-browser]
   * Bug 44689: Forwardport tor-browser#44668 from legacy to alpha: Set detailsURL in update XML to be useful for 13.5 users [tor-browser]
   * Bug 44701: Unexpected change to `netwerk/url-classifier/components.conf` [tor-browser]
   * Bug 44706: creating a new profiles causes crash ENOTTY [tor-browser]
   * Bug 41738: Allow to specify an unsupportedURL on update responses [tor-browser-build]
 * Windows + macOS + Linux
   * Updated Firefox to 148.0a1
   * Bug 42664: Use mozilla token sizes in CSS [tor-browser]
   * Bug 44634: Review Mozilla 2006250: add ai window about:preferences section within ai features [tor-browser]
   * Bug 44682: Wrong pid in the exit log [tor-browser]
   * Bug 44709: Hide the AI settings panel [tor-browser]
   * Bug 44710: Hide about:preferences#translations [tor-browser]
   * Bug 44713: The about dialog is missing some padding in 148.0a1 [tor-browser]
   * Bug 44717: Search suggestion settings are visible in 148 [tor-browser]
 * Windows + Linux
   * Bug 40892: Move torrc-defaults, geoip and geoip6 on Windows and Linux [tor-browser-build]
 * Windows
   * Bug 44461: Window controls are missing on Windows [tor-browser]
   * Bug 44633: Move D3D11 function from local webrtc changes to tbb webrtc patches [tor-browser]
 * Linux
   * Bug 44394: Do not read default prefs from /etc/firefox [tor-browser]
 * Android
   * Updated GeckoView to 148.0a1
   * Bug 43349: Add user feedback for when Tor connects (Android) [tor-browser]
   * Bug 43909: Review Mozilla: TBD: new Android tab-strip feature [tor-browser]
   * Bug 44226: Disable all link sharing functionality [tor-browser]
   * Bug 44274: Review Mozilla 1986534: Disable screenshots in PBM [tor-browser]
   * Bug 44469: Fix branding on Android RR [tor-browser]
   * Bug 44506: Remove more sync from 147 [tor-browser]
   * Bug 44582: Fix or remove new settings search functionality on Android [tor-browser]
   * Bug 44661: Restore or fix new rebase-148 uses of moz assets instead of TB ones [tor-browser]
   * Bug 44718: Fix splash screen branding and other issues in RR [tor-browser]
   * Bug 44721: Android build failure in nightlyOssLicensesTask: missing dependencies.json file [tor-browser]
 * Build System
   * All Platforms
     * Bug 41690: Merge list_toolchain_updates-firefox-* commands into one [tor-browser-build]
     * Bug 41725: Update toolchains for Firefox 148 [tor-browser-build]
     * Bug 41726: Check in list_toolchain_updates that the sha512sum we have for the macOS SDK is the same as Mozilla [tor-browser-build]
     * Bug 41727: Split the list_toolchain_updates_checks script in two [tor-browser-build]
     * Bug 41728: Update projects/application-services/list_toolchain_updates_checks to check nss sha256sum [tor-browser-build]
   * Windows + macOS + Linux
     * Bug 44406: Fix CSS linting issues introduced by 146 [tor-browser]
   * Windows + Linux + Android
     * Updated Go to 1.25.8
   * Android
     * Bug 41736: Add generate_gradle_dependencies_list-$project makefile targets [tor-browser-build]
     * Bug 41737: Remove comment from gen-gradle-deps-file.py saying var/gradle_dependencies_version should be updated [tor-browser-build]
     * Bug 41743: Make an error if gradle-dependencies-list is missing in the input files [tor-browser-build]
     * Bug 41744: Reduce duplication between projects/geckoview/build and projects/geckoview/build_apk [tor-browser-build]
     * Bug 41745: Add .sh file extension to included build_* scripts in projects/geckoview [tor-browser-build]
     * Bug 41751: Fix the NDK path [tor-browser-build]

Tor Browser 16.0a3 - February 17 2026
 * All Platforms
   * Updated Tor to 0.4.9.5
   * Updated NoScript to 13.5.12.90301984
   * Bug 44562: Set the new online Suggest prefs to false [tor-browser]
   * Bug 44571: Disable restrict_to_adults for potential fingerprintability [tor-browser]
   * Bug 44619: Add custom logs to Tor logs [tor-browser]
   * Bug 44625: metamask.io won't load on Safer security level [tor-browser]
   * Bug 44626: Propagate WASM blocking to workers [tor-browser]
   * Bug 44647: Clean up patch for `SearchEngineSelector.sys.mjs`. [tor-browser]
   * Bug 44652: Backport fix for Firefox Bug 2014390 [tor-browser]
   * Bug 41713: Try to find a component for bugs found with commits in triage spreadsheets [tor-browser-build]
 * Windows + macOS + Linux
   * Bug 43560: Add "UTC" to the end of the timestamp on tor logs (Desktop) [tor-browser]
   * Bug 44459: Letterboxing content alignment setting is missing styling [tor-browser]
   * Bug 44520: Make sure "Firefox labs" is hidden by default [tor-browser]
 * Windows
   * Bug 44623: 16.0a2: about:preferences#privacy is empty [tor-browser]
 * Linux
   * Bug 44050: Consider changing the domain in DBus interfaces [tor-browser]
 * Android
   * Bug 43403: Add "UTC" to the end of the timestamp on tor logs (Android) [tor-browser]
   * Bug 44057: Drop about:torconnect from android [tor-browser]
   * Bug 44620: Move the Android IPC directory [tor-browser]
   * Bug 28595: Remove the need to update var/gradle_dependencies_version [tor-browser-build]
 * Build System
   * All Platforms
     * Bug 40338: Running `make release` multiple times fails [tor-browser-build]
     * Bug 41660: Add a Firefox target to build unpatched Firefox in tor-browser-build [tor-browser-build]
     * Bug 41693: Drop base-browser targets [tor-browser-build]
     * Bug 41720: cp -l in release/build fails when crossing file systems [tor-browser-build]
     * Bug 40093: Make it easy to get the sha256sum of an input_files file [rbm]
     * Bug 40103: Allow having multiple tmp_dir values [rbm]
   * Windows + Linux + Android
     * Updated Go to 1.25.7
   * Android
     * Bug 41719: Enable network when var/generate_gradle_dependencies_list is set in geckoview [tor-browser-build]

Tor Browser 16.0a2 - February 04 2026
 * All Platforms
   * Updated NoScript to 13.5.11.90301984
   * Updated Tor to 0.4.9.4-rc
   * Updated OpenSSL to 3.5.5
   * Bug 44303: Extension update job might never work on Android [tor-browser]
   * Bug 44416: Rebase alpha onto 147 [tor-browser]
   * Bug 44420: Drop "rights" from components.conf [tor-browser]
   * Bug 44482: Script execution in Safest mode via data URI navigation [tor-browser]
   * Bug 44492: Fix python linting warnings in our test files [tor-browser]
   * Bug 44580: Registers noscript to check for updates on first run [tor-browser]
   * Bug 41676: Update toolchains for Firefox 147 [tor-browser-build]
 * Windows + macOS + Linux
   * Updated Firefox to 147.0a1
   * Bug 44289: RFPHelper console error when `--toolbar-field-color` is set to `inherit` [tor-browser]
   * Bug 44343: Hide the default browser settings again after MozBug 1969949 [tor-browser]
   * Bug 44460: Payment methods and addresses setting headings are visible in settings [tor-browser]
   * Bug 44522: Move common changes to about dialog to base-browser [tor-browser]
   * Bug 44535: Letterboxing background colour is no longer used [tor-browser]
   * Bug 44554: Unlabeled AI item in tab context menu in 147 [tor-browser]
 * Linux
   * Bug 44410: Use system's size for UI font on Linux [tor-browser]
 * Android
   * Updated GeckoView to 147.0a1
   * Bug 44398: Unable to load websites after a short amount of time on Android [tor-browser]
   * Bug 44469: Fix branding on Android RR [tor-browser]
   * Bug 44507: Drop the dependency on Sentry [tor-browser]
   * Bug 44523: New circuit seems to have disappeared from 147 on Android [tor-browser]
   * Bug 44532: Backport Bug 1967968: Minify the pdf.js code in order to improve the loading performance [tor-browser]
   * Bug 44533: Update NoScript to the version bundled with the browser on Android [tor-browser]
   * Bug 44591: TBA Alpha fails to initialize WebExtensions [tor-browser]
 * Build System
   * All Platforms
     * Bug 44452: Improve tb-dev range-diff and diff-diff [tor-browser]
     * Bug 44498: Update translations CI to account for 1.0 version gap between alpha and stable [tor-browser]
     * Bug 41535: Update macOS and Windows containers to Debian trixie [tor-browser-build]
     * Bug 41664: Investigate and fix issue with unexpected build_id changes [tor-browser-build]
     * Bug 41668: Build mozharness.zip when building dev artifacts [tor-browser-build]
     * Bug 41671: Update tools/signing/linux-signer-sign-android-apks to check for v3 signatures instead of v1 [tor-browser-build]
     * Bug 41678: Consider set -u and maybe set -o pipefail [tor-browser-build]
     * Bug 41682: relprep.py should fail when a GitHub release is not found [tor-browser-build]
     * Bug 41685: Add henry to list of taggers in relevant projects. [tor-browser-build]
     * Bug 41687: Add single `make list_toolchain_updates` command to list all toolchain updates [tor-browser-build]
     * Bug 41691: Update Lyrebird to v0.8.1 [tor-browser-build]
     * Bug 41705: Remove unnecessary workaround in projects/go/build [tor-browser-build]
     * Bug 41707: firefox-l10n fails to build with `fetch_locale: 1: set: Illegal option -o pipefail` [tor-browser-build]
     * Bug 41708: relprep.py fails to update extensions when out/browser does not exist [tor-browser-build]
     * Bug 40095: cached checksums should not be used for input files when refresh_input is enabled [rbm]
     * Bug 40096: `container extract` is showing confusing error when target directory already exists [rbm]
     * Bug 40100: The GZIP variable makes set -u fail [rbm]
   * Windows + macOS + Linux
     * Bug 41427: Drop the openURL property from the update [tor-browser-build]
   * Windows + Linux + Android
     * Updated Go to 1.25.6
   * Linux
     * Bug 41706: Bump glibc to v2.28 in the linux cross-toolchain (aarch64) [tor-browser-build]
   * Android
     * Bug 44508: Drop clearkey also on Android [tor-browser]
     * Bug 32200: only include required bits of OpenSSL in Android builds [tor-browser-build]
     * Bug 41679: Android tor-expert-bundle archives missing version in filename [tor-browser-build]
     * Bug 41684: Use only the NDK as var/compiler on Android [tor-browser-build]
     * Bug 41688: 147 nightlies exceed the Play Store threshold [tor-browser-build]
     * Bug 41699: Delete prefs specific to other architectures in omni.ja [tor-browser-build]
     * Bug 41702: Replace uglifyjs with terser [tor-browser-build]

Tor Browser 16.0a1 - December 11 2025
 * All Platforms
   * Updated NoScript to 13.5.1.90101984
   * Bug 43792: Determine whether noscript_persist users need to have their NoScript settings migrated [tor-browser]
   * Bug 43998: Rebase Tor Browser Alpha onto 141.0 [tor-browser]
   * Bug 44118: Decide how to deal with upstream feature gates in a RR world [tor-browser]
   * Bug 44280: Test stream isolation [tor-browser]
   * Bug 44333: Add the "No AI" version of DuckDuckGo to available search engines [tor-browser]
   * Bug 44365: Fix CSS linting errors introduced for firefox 145 [tor-browser]
   * Bug 44391: Restrictions cascade blocks every capability in subframes (e.g. captchas) [tor-browser]
   * Bug 44408: Fix TorDomainIsolator in 146 [tor-browser]
   * Bug 44418: Update built-in obfs4 bridges [tor-browser]
   * Bug 41609: Move back to CDN77 for default snowflake bridge [tor-browser-build]
   * Bug 41646: Update lyrebird version to v0.7.0 [tor-browser-build]
   * Bug 483: Add the "No AI" version of DuckDuckGo to available search engines [mullvad-browser]
   * Bug 487: Search engines are sorted alphabetically rather than the desired order [mullvad-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 146.0a1esr
   * Bug 44302: Fix the flags of some about pages [tor-browser]
   * Bug 44310: Default zoom always resets to 100% [tor-browser]
   * Bug 44411: DownloadsTorWarning.sys.mjs fails to load [tor-browser]
   * Bug 44419: Re-add the moz-toggle title attribute patch [tor-browser]
 * Linux
   * Bug 44273: Restore Noto CJK as Jigmo has a too low readability [tor-browser]
   * Bug 44315: Font/text issue with self-upgrade window [tor-browser]
 * Android
   * Updated GeckoView to 146.0a1esr
   * Bug 44303: Extension update job might never work on Android [tor-browser]
   * Bug 44324: Refactor the NSS no proxy-bypass patch on A-S to avoid -Wunreachable-code [tor-browser]
 * Build System
   * All Platforms
     * Bug 43951: Include product with the component in triage CSVs [tor-browser]
     * Bug 40903: Make xz multi-threaded [tor-browser-build]
     * Bug 41445: Better handle bugzilla "Web Compatibility" issues in generate-bugzilla-triage-csv [tor-browser-build]
     * Bug 41607: Fix regression from #41373 in tools/count-mar-downloads [tor-browser-build]
     * Bug 41608: Add per-platform numbers for incrementals in count-mar-downloads [tor-browser-build]
     * Bug 41643: Update toolchains for Firefox 146 [tor-browser-build]
     * Bug 41644: Self-hosted browser extensions support in relprep.py [tor-browser-build]
     * Bug 41647: Add a XZ_DEFAULTS to set_default_env [tor-browser-build]
     * Bug 41648: Add a mozconfig to projects/geckoview [tor-browser-build]
     * Bug 41654: Make relprep.py update Moat settings [tor-browser-build]
   * Windows + macOS + Linux
     * Bug 41662: Add python-zstandard to desktop containers [tor-browser-build]
   * Windows + Linux + Android
     * Bug 41580: Update Go major to 1.25.x [tor-browser-build]
     * Updated Go to 1.25.5
   * macOS
     * Bug 41665: Update macos signing wrapper for new executable gpu-helper.app [tor-browser-build]
   * Linux
     * Bug 41601: Upstream droppped Linux i686 support [tor-browser-build]
     * Bug 41627: Firefox build system needs a more recent version of OpenSSL on Linux [tor-browser-build]
     * Bug 41632: Ship Linux aarch64 builds in Alpha Release Channel [tor-browser-build]
     * Bug 41639: Remove linux-arm target [tor-browser-build]
     * Bug 41640: Clean the GCC config file [tor-browser-build]
   * Android
     * Bug 44360: Patch the vendored Gradle Nimbus plugin [tor-browser]
     * Bug 44370: Always produce target.maven.zip [tor-browser]
     * Bug 41485: Retire get_gradle_dependencies_list and create a simple way to update gradle deps [tor-browser-build]
     * Bug 41573: Remove Android x86 support [tor-browser-build]
     * Bug 41617: Pass page size to zipalign [tor-browser-build]
     * Bug 41620: Do not rerun zipalign when signing [tor-browser-build]
     * Bug 41621: Remove support using older android build tools when signing 14.5 releases in tools/signing/wrappers/sign-apk [tor-browser-build]
     * Bug 41628: android_ndk_version and revision can be grouped together [tor-browser-build]
     * Bug 41636: Update the scripts to manage Gradle dependencies [tor-browser-build]
     * Bug 41666: Normalize the path to tor-expert-bundle.aar [tor-browser-build]

Tor Browser 15.0a4 - October 16 2025
 * All Platforms
   * Updated NoScript to 13.2.1
   * Updated OpenSSL to 3.5.4
   * Bug 19741: Opensearch (contextual search) does not obey FPI [tor-browser]
   * Bug 43850: Modify the Contrast Control settings for RFP [tor-browser]
   * Bug 43869: Hide pens with RFP [tor-browser]
   * Bug 44068: Handle migration from meek-azure to meek built-in bridge type [tor-browser]
   * Bug 44234: No images in PDF [tor-browser]
   * Bug 44240: Typo on dom.security.https_first_add_exception_on_failure [tor-browser]
   * Bug 44242: Hand over Security Level's WebAssembly controls  to NoScript [tor-browser]
   * Bug 44250: Rebase Tor Browser Alpha onto 140.4esr [tor-browser]
   * Bug 41574: Update Snowflake builtin bridge lines [tor-browser-build]
 * Windows + macOS + Linux
   * Updated Firefox to 140.4.0esr
   * Bug 43900: Open newtab rather than firefoxview when unloading the last tab [tor-browser]
   * Bug 44101: Toolbar connection status is not visible when using vertical tabs [tor-browser]
   * Bug 44107: Switch tab search action is missing an icon [tor-browser]
   * Bug 44108: Fix the new history sidebar [tor-browser]
   * Bug 44123: Do not trim protocol off of URLs ever [tor-browser]
   * Bug 44153: Test search engines [tor-browser]
   * Bug 44159: Change or hide the sidebar settings description [tor-browser]
   * Bug 44177: Remove more urlbar actions [tor-browser]
   * Bug 44178: Search preservation does not work with duckduckgo in safest security level [tor-browser]
   * Bug 44184: Duckduckgo Onion Lite search does not work properly in safest when added as a search engine [tor-browser]
   * Bug 44187: TLS session tickets leak Private Browsing mode [tor-browser]
   * Bug 44192: Hovering unloaded tab causes console error [tor-browser]
   * Bug 44213: Reduce linkability concerns of the "Search with" contextual search action [tor-browser]
   * Bug 44214: Update letterboxing to reflect changes in ESR 140 [tor-browser]
   * Bug 44215: Hide Firefox home settings in about:preferences [tor-browser]
   * Bug 44221: Backport MozBug 1984333 Bump Spoofed Processor Count [tor-browser]
   * Bug 44239: DDG HTML page and search results displayed incorrectly with Safest security setting [tor-browser]
   * Bug 44262: Disable adding search engines from HTML forms [tor-browser]
 * Linux
   * Bug 44227: Some CJK characters cannot be rendered by Tor which uses the Noto font family [tor-browser]
   * Bug 41586: Replace Noto CJK with Jigmo on Linux [tor-browser-build]
 * Android
   * Updated GeckoView to 140.4.0esr
   * Bug 43401: Replace the constructor of Locale with a builder [tor-browser]
   * Bug 43643: Clean out unused tor connect strings [tor-browser]
   * Bug 43650: Survey banner behaves like a dialog on Android, rather than a card [tor-browser]
   * Bug 43676: Preemptively disable unified trust panel by default so we are tracking for next ESR [tor-browser]
   * Bug 44031: Implement YEC 2025 Takeover for Android Stable [tor-browser]
   * Bug 44218: Tor Browser Alpha for Android (15.0a2) doesn't work on Huawei devices P20 and P30 [tor-browser]
   * Bug 44237: Revoke access to all advertising ids available in Android [tor-browser]
 * Build System
   * All Platforms
     * Bug 41568: Update instructions for manually building 7zip [tor-browser-build]
     * Bug 41576: Build expert bundles outside containers [tor-browser-build]
     * Bug 41579: Add zip to the list of Tor Browser Build dependencies [tor-browser-build]
     * Bug 41588: Restore legacy channel support in projects/release/update_responses_config.yml [tor-browser-build]
     * Bug 41589: Backport tor-browser-build-browser#41270: Add updater rewriterules to make 13.5.7 a watershed [tor-browser-build]
   * Windows + macOS + Linux
     * Bug 41373: Remove `_ALL` from mar filenames [tor-browser-build]
     * Bug 44131: Generate torrc-defaults and put it in objdir post-build [tor-browser]
   * Windows + Linux + Android
     * Updated Go to 1.24.9
   * Windows
     * Bug 44167: Move the nsis-uninstall.patch to tor-browser repository [tor-browser]
   * macOS
     * Bug 41571: Work-around to prevent older 7z versions to break rcodesign. [tor-browser-build]
   * Linux
     * Bug 41558: Share descriptions between Linux packages and archives [tor-browser-build]
     * Bug 41569: Use var/display_name in .desktop files [tor-browser-build]
   * Android
     * Bug 44220: Disable the JS minifier as it produces invalid JS [tor-browser]
     * Bug 41577: Minify JS with UglifyJS on Android x86 [tor-browser-build]
     * Bug 41582: Drop --pack-dyn-relocs=relr [tor-browser-build]
     * Bug 41583: Align tor and PTs to 16kB on Android [tor-browser-build]

Tor Browser 15.0a3 - September 18 2025
 * All Platforms
   * Updated Tor to 0.4.9.3-alpha
   * Updated OpenSSL to 3.5.3
   * Bug 43009: Backport Bug 1973265 - Put WebCodecs API behind RFP Target [tor-browser]
   * Bug 43093: Refactor the patch to disable LaterRun [tor-browser]
   * Bug 43745: Review Mozilla 1842838:  [meta] HEVC (H265) playback related bugs. See the support status on the User Story. [tor-browser]
   * Bug 44032: Implement YEC 2025 Takeover for Desktop Stable [tor-browser]
   * Bug 44199: Backport Security Fixes from Firefox 143 [tor-browser]
   * Bug 41429: Add a note about user safety to Tor Browser Alpha blog posts [tor-browser-build]
   * Bug 41563: Do not copy Noto Color Emoji on Windows [tor-browser-build]
 * Windows + macOS + Linux
   * Updated Firefox to 140.3.0esr
   * Bug 42025: Purple elements (e.g. Tor buttons) need dark theme variants [tor-browser]
   * Bug 43664: Review Mozilla 1842832: Move the private browsing toggle to initial install dialog [tor-browser]
   * Bug 43770: Bugzilla 1958070: More BrowserGlue simplification/splitting [tor-browser]
   * Bug 43966: Notify the user when they are in a custom security level (desktop) [tor-browser]
   * Bug 44142: Missing document_pdf.svg from our branding directories [tor-browser]
   * Bug 44145: Switch onion connection icons to use --icon-color-critical and --icon-color [tor-browser]
   * Bug 44180: Clear YEC 2024 preference [tor-browser]
 * Linux
   * Bug 43950: Review Mozilla 1894818: Support HEVC playback on Linux [tor-browser]
   * Bug 43959: Make Noto Color Emoji the default emoji font on Linux [tor-browser]
 * Android
   * Updated GeckoView to 140.3.0esr
   * Bug 43755: Restore functionality of "switch to tab" urlbar suggestion [tor-browser]
   * Bug 43943: Review Mozilla 1928705: Ship Android Font Restrictions as part of FPP [tor-browser]
   * Bug 44172: Fix crash in TorAndroidIntegration.handleMessage() [tor-browser]
 * Build System
   * All Platforms
     * Bug 41064: Update tools/signing/README and add a tools/signing/machines-setup/README [tor-browser-build]
     * Bug 41474: update README to explain moat-settings project requires `jq` to be installed [tor-browser-build]
   * Windows + Linux + Android
     * Updated Go to 1.24.7
   * Linux
     * Bug 41561: Ship Noto Color Emoji on Linux [tor-browser-build]

Tor Browser 15.0a2 - August 29 2025
 * All Platforms
   * Updated NoScript to 13.0.9
   * Updated OpenSSL to 3.5.2
   * Bug 43727: Update moz-toggle customisation for ESR 140 [tor-browser]
   * Bug 43832: Drop eslint-env [tor-browser]
   * Bug 43864: Remove features from the unified search button [tor-browser]
   * Bug 44045: Drop AI and machine learning components [tor-browser]
   * Bug 44048: Backport Bug 1979608 [tor-browser]
   * Bug 44069: Update `meek-azure` related strings to `meek` [tor-browser]
   * Bug 44094: Rebase Tor Browser alpha onto 140.2.0esr [tor-browser]
   * Bug 44100: Backport Security Fixes from Firefox 142 [tor-browser]
   * Bug 44140: Align PDF changes to 140esr [tor-browser]
   * Bug 41442: Update our audit CSVs to use the new Audit template [tor-browser-build]
 * Windows + macOS + Linux
   * Updated Firefox to 140.2.0esr
   * Bug 43111: Delete our webextensions for search engines when Bug 1885953 is fixed upstream [tor-browser]
   * Bug 43519: Replace tor-loading.png with SVG [tor-browser]
   * Bug 43525: Check if our search engine customization still works after ESR 140 transition [tor-browser]
   * Bug 43728: Update search engine icon sizes [tor-browser]
   * Bug 43795: Restore the URL classifier XPCOM components. [tor-browser]
   * Bug 43817: Write e2e test for verifying if the browser is connected to the Tor network [tor-browser]
   * Bug 43844: Security level shield icon should be flipped for RTL locales [tor-browser]
   * Bug 43874: Incorporate our unified extension button hiding logic into mozilla's changes for ESR 140 [tor-browser]
   * Bug 43901: Modify about:license for Tor Browser and drop about:rights [tor-browser]
   * Bug 43902: Hide Sidebar buttons [tor-browser]
   * Bug 43903: Report broken site is disabled rather than hidden [tor-browser]
   * Bug 44030: Security Level selector does not get confirmation before restarting [tor-browser]
   * Bug 44034: Update string used for checkbox on New Identity confirmation dialog [tor-browser]
   * Bug 44040: Modify nsIPrompt and the commonDialog code to allow destructive buttons [tor-browser]
   * Bug 44041: Letterboxing causes greyed out alert background to be mis-aligned [tor-browser]
   * Bug 44090: Several of our XUL pages cause a crash because of missing CSP [tor-browser]
   * Bug 44095: Rename connectionPane.xhtml and remove it from the jar [tor-browser]
   * Bug 44106: Make sure background tasks are not used for shutdown cleanup [tor-browser]
   * Bug 44115: Make remove all bridges dialog use a destructive red button [tor-browser]
   * Bug 44125: Do not offer to save signatures by default in Private Browsing Mode [tor-browser]
 * Windows + Android
   * Bug 44062: Force touch enabled on Windows and Android [tor-browser]
 * Windows
   * Bug 44046: Replace BASE_BROWSER_UPDATE with BASE_BROWSER_VERSION in the font visibility list [tor-browser]
 * macOS
   * Bug 44127: Do not show macOS Privacy hint on network error pages [tor-browser]
 * Android
   * Updated GeckoView to 140.2.0esr
   * Bug 43179: Make persistent 'private tabs' notification distinct from Firefox's [tor-browser]
   * Bug 43346: Remove the "[android] Stop PrivateNotificationService" patch [tor-browser]
   * Bug 43645: Swiping away doesn't always disconnect from tor [tor-browser]
   * Bug 43699: Dummy "about:" pages are not cleared from recently closed tabs (and possibly elsewhere) because they are normal tabs, not private tabs. [tor-browser]
   * Bug 43826: Review Mozilla 1960122: Use `MOZ_BUILD_DATE` in Fenix build configuration [tor-browser]
   * Bug 44021: Android settings page colors are sometimes messed up (seems to be on the first launch) [tor-browser]
   * Bug 44042: Debug crash when opening settings too quickly after launching app [tor-browser]
   * Bug 44047: Tor Browser's home doesn't have the background at the first load on Android [tor-browser]
   * Bug 44080: Further remove "Analytics data collection and usage" [tor-browser]
   * Bug 44081: Swiping away the "private tabs" notification requires rebootstrapping. [tor-browser]
   * Bug 44083: "snowflake" is lower case on Android [tor-browser]
   * Bug 44098: Bookmarks offer a way to go to sync in 15.0a1 [tor-browser]
   * Bug 44139: Restore the (inactive) YouTube and Reddit search plugins on Android [tor-browser]
 * Build System
   * All Platforms
     * Bug 44061: "Contributing" link is broken [tor-browser]
     * Bug 44067: Move --enable-geckodriver only to Linux-only mozconfigs [tor-browser]
     * Bug 44103: git's export-subst is a reproducibility problem [tor-browser]
     * Bug 44104: Don't run linter when there are no overall changes [tor-browser]
     * Bug 26408: Make MAR signature checks clearer when creating incremental MAR files [tor-browser-build]
     * Bug 40551: Drop go reproducibility patches [tor-browser-build]
     * Bug 40697: Delete repackage_browser.sh [tor-browser-build]
     * Bug 40698: Update locale in tbb_version.json [tor-browser-build]
     * Bug 41517: Add morgan's key to the setup account on the signing machine [tor-browser-build]
     * Bug 41522: Adapt our signing scripts to be able to sign the VPN app [tor-browser-build]
     * Bug 41534: Copy geckodriver only for Linux x86-64 [tor-browser-build]
     * Bug 41537: Add script to count mar downloads from web logs [tor-browser-build]
     * Bug 41539: Update Ubuntu version used to run mmdebstrap to 24.04.3 [tor-browser-build]
     * Bug 40087: Downloaded files getting stricter permissions than expected [rbm]
   * Windows + Linux + Android
     * Updated Go to 1.24.6
   * macOS
     * Bug 41527: Update libdmg-hfsplus and enable LZMA compression on dmgs [tor-browser-build]
     * Bug 41538: Bump macOS SDK to 15.5 [tor-browser-build]
   * Android
     * Bug 44078: Modify ./autopublish-settings.gradle for building a-s and glean with uniffi-bindgen no-op [tor-browser]
     * Bug 41523: Use custom built Glean package on Android [tor-browser-build]
     * Bug 41531: Update relprep.py script to handle application-services updates [tor-browser-build]
     * Bug 41548: Hide tor's symbols on Android and add other linker options to save space [tor-browser-build]

Tor Browser 15.0a1 - July 29 2025
 * All Platforms
   * Updated NoScript to 13.0.8
   * Updated OpenSSL to 3.5.1
   * Bug 43397: Click to play should override "Any capability blocked in the top document must be blocked in its subdocuments too" [tor-browser]
   * Bug 43772: Do not use official branding for BB/TB/MB [tor-browser]
   * Bug 43783: Tighten up the SecurityLevel module to enforce new UX flow [tor-browser]
   * Bug 43784: Get confirmation from NoScript that settings are applied [tor-browser]
   * Bug 43853: DomainFrontedRequests: setData is no longer a function [tor-browser]
   * Bug 43880: Update moat's domain front url [tor-browser]
   * Bug 43993: Backport Security Fixes from Firefox 141 [tor-browser]
   * Bug 44000: Rebase Tor Browse Alpha onto 140.1.0esr [tor-browser]
   * Bug 41502: Application services build is failing on isNetworkAllowed() [tor-browser-build]
   * Bug 41508: Switch built-in meek bridge to meek-unredacted [tor-browser-build]
   * Bug 41515: Bump version of Conjure to include P173 improvements [tor-browser-build]
 * Windows + macOS + Linux
   * Updated Firefox to 140.1.0esr
   * Bug 42738: Tidy up the commit structure for browser updates UI [tor-browser]
   * Bug 43590: Move letterboxing rules out of browser/base/content/browser.css [tor-browser]
   * Bug 43610: Use newer CSS variable names for ESR 140 [tor-browser]
   * Bug 43629: All migrations in _migrateUIBB are run for new profiles [tor-browser]
   * Bug 43635: Console noise due to the x-load capability not being localized [tor-browser]
   * Bug 43638: Fix up our `<command>` elements [tor-browser]
   * Bug 43765: Temporarily disable Lox [tor-browser]
   * Bug 43766: Only save the relevant TorSettings changes to preferences. [tor-browser]
   * Bug 43776: Set branding files for l10n merging [tor-browser]
   * Bug 43782: Add new UX flow for changing security level (Desktop) [tor-browser]
   * Bug 43879: tor-branding.css declarations are overwritten [tor-browser]
   * Bug 43886: Fix new tab for ESR 140 [tor-browser]
   * Bug 43905: base-browser.ftl missing from about:addons [tor-browser]
   * Bug 43906: Extension.sys.mjs change in the wrong commit [tor-browser]
   * Bug 43913: Bizarre right-clicking issues: menu items blanked out and/or not working; too many items in the right-click menu; different right-clicking menu displayed initially for links [tor-browser]
   * Bug 43929: two about:tor pages opened after update [tor-browser]
   * Bug 43930: Onionize toggle not centre aligned in about:tor [tor-browser]
   * Bug 43947: Console error from ContentBlockingPrefs.init [tor-browser]
   * Bug 43989: Switch off AI chatbot preference [tor-browser]
 * Android
   * Updated GeckoView to 140.1.0esr
   * Bug 43577: Flush settings fails on Android [tor-browser]
   * Bug 43786: Add new UX flow for changing security level (Android) [tor-browser]
   * Bug 43855: brand.properties merging on Android is broken in 140 [tor-browser]
   * Bug 44029: Search/url bar doesn't work on android after ESR 140 [tor-browser]
   * Bug 44036: Crash on opening "Search Settings" on android [tor-browser]
   * Bug 41494: Update GeckoView build scripts for ESR140 [tor-browser-build]
 * Build System
   * All Platforms
     * Bug 43615: Add Gitlab Issue and Merge request templates [tor-browser]
     * Bug 43616: Customize Gitlab Issue and Merge templates [tor-browser]
     * Bug 43777: Disable ./mach telemetry [tor-browser]
     * Bug 43891: Update the translation CI to use the new mozilla versions [tor-browser]
     * Bug 43954: Update tb-dev to handle lightweight tags [tor-browser]
     * Bug 43962: update tb-dev auto-fixup for git 2.50 [tor-browser]
     * Bug 34434: Remove unused variables from rbm.conf [tor-browser-build]
     * Bug 40994: Add support in do-all-signing to sign release for some archs only [tor-browser-build]
     * Bug 41227: Update projects/common/list_toolchain_updates-common-firefox-geckoview to include check for binutils [tor-browser-build]
     * Bug 41432: Bump OpenSSL to >= 3.5.0 [tor-browser-build]
     * Bug 41434: Go updates shouldn't target all platforms until macOS is on legacy in the changelogs [tor-browser-build]
     * Bug 41435: Skip update-responses update entries for versions without incremental or full update mar [tor-browser-build]
     * Bug 41444: Build artifacts to support artifact builds of Tor/Muillvad/Base Browser [tor-browser-build]
     * Bug 41448: Update toolchains for Firefox ESR 140 [tor-browser-build]
     * Bug 41449: Add prefix to update-responses xml files [tor-browser-build]
     * Bug 41451: When update-responses contains multiple versions, .htaccess only has one no-update.xml redirect [tor-browser-build]
     * Bug 41459: Update taskcluster/ci paths in README and comments [tor-browser-build]
     * Bug 41460: Add brizental to the list of people who can sign Tor Browser and Mullvad Browser tags [tor-browser-build]
     * Bug 41465: Disable development artifacts generation by default, keep it enabled for nightly builds [tor-browser-build]
     * Bug 41467: Remove list_toolchain_updates-firefox-android from Makefile [tor-browser-build]
     * Bug 41477: Update keyring/boklm.gpg for new subkeys (2025) [tor-browser-build]
     * Bug 41478: Add vim and others missing basic tools to base container image [tor-browser-build]
     * Bug 41486: Track bundletool and osslicenses-plugin versions in list_toolchain_updates_checks [tor-browser-build]
     * Bug 41496: Clean up unused projects [tor-browser-build]
     * Bug 41498: Update keyring/morgan.gpg with updated public key [tor-browser-build]
     * Bug 41501: cargo_vendor generated archive maintains timestamps [tor-browser-build]
     * Bug 41514: Remove var/build_go_lib from projects/go/config [tor-browser-build]
     * Bug 40084: Always use bash for the debug terminal [rbm]
   * Windows + macOS + Linux
     * Bug 41452: Skip update-responses xml files for versions which don't have incrementals [tor-browser-build]
     * Bug 41457: Set mar IDs as env variables in tor-browser-build [tor-browser-build]
   * Windows + Linux + Android
     * Updated Go to 1.23.11
   * macOS
     * Bug 41503: Error 403 when downloading macOS SDK [tor-browser-build]
   * Linux
     * Bug 41458: Ship geckodriver only on Linux [tor-browser-build]
     * Bug 41488: Disable sys/random.h for Node.js [tor-browser-build]
   * Android
     * Bug 43984: Update android build scripts and docs for ESR 140 [tor-browser]
     * Bug 43987: 140 Android is not reproducible [tor-browser]
     * Bug 41280: download-android-<arch>.json does not get updated for android-only releases [tor-browser-build]
     * Bug 41453: Update application-services and uniffi-rs for ESR140 [tor-browser-build]
     * Bug 41483: geckoview_example-withGeckoBinaries-....apk doesn't exist anymore in Firefox 140 [tor-browser-build]
     * Bug 41484: Create a fork of application-services [tor-browser-build]
     * Bug 41499: Android nightly builds are broken [tor-browser-build]
     * Bug 41500: Optimize tor and its dependencies for size on Android [tor-browser-build]
     * Bug 41506: Use appilcation-services branch for nightlies builds [tor-browser-build]
     * Bug 41507: Single-arch build fails because artifacts don't have arch subdirectories [tor-browser-build]

Tor Browser 14.5a6 - April 08 2025
 * All Platforms
   * Updated Tor to 0.4.9.2-alpha
   * Bug 43322: Stop blocking all fonts in FontFace [tor-browser]
   * Bug 43443: Drop effective top level domain for `au.securedrop.tor.onion` [tor-browser]
   * Bug 43585: Rebase Tor Browser alpha onto 128.9.0esr [tor-browser]
   * Bug 43601: Backport security fixes from Firefox 137 [tor-browser]
   * Bug 43628: Handle unavailability of NetworkLinkService API in Tor Connect [tor-browser]
   * Bug 41425: Snowflake needs to be listed separately on torrc-defaults [tor-browser-build]
 * Windows + macOS + Linux
   * Updated Firefox to 128.9.0esr
   * Bug 41919: Add temporarily visible web content-size overlay after resizing window when letterboxing is enabled [tor-browser]
   * Bug 43130: Adjust preferences for contrast theme or forced colors [tor-browser]
   * Bug 43531: Use "label" attribute rather than textContent for the bridge dialog XUL buttons [tor-browser]
   * Bug 43563: TorConnect country/region names should change based on the app language [tor-browser]
 * Android
   * Updated GeckoView to 128.9.0esr
   * Bug 43464: TBA Alpha and Nightly cannot be debugged with about:debugging [tor-browser]
   * Bug 43565: The quit button on Android doesn't actually exit [tor-browser]
   * Bug 43576: Connection Assist on Android Polish [tor-browser]
   * Bug 43581: Bookmarks are failing to load on Tor Browser Android Alpha 14.5a5 [tor-browser]
   * Bug 43593: Use "region" instead of "country" in connect assist [tor-browser]
   * Bug 43604: TorDomainIsolator routinely clears Android browser circuit data [tor-browser]
   * Bug 41422: Patch viaduct in Application Services to always return a backend error [tor-browser-build]
 * Build System
   * All Platforms
     * Updated Go to 1.23.8
     * Bug 41365: Indent download*.json files [tor-browser-build]
     * Bug 41406: Restore -desktop and -android Makefile targets. [tor-browser-build]
     * Bug 41407: Use Lyrebird also for the Snowflake PT [tor-browser-build]
     * Bug 41409: Create a script for quickly setting up protected branches [tor-browser-build]
     * Bug 41411: Update licenses for PTs [tor-browser-build]
     * Bug 41417: Bump the conjure version we ship [tor-browser-build]
     * Bug 41419: Add comment in downloads.json to mention that the file is deprecated, and that download-$platform.json should be used instead [tor-browser-build]
     * Bug 41420: Update the changelog script for label updates [tor-browser-build]
     * Bug 41426: Set the Lyrebird version [tor-browser-build]
     * Bug 40083: rbm creates out/$project directories with mode 0700 [rbm]
   * macOS
     * Bug 41403: The rcodesign step has a wrong dmg name in alpha [tor-browser-build]
   * Android
     * Bug 41400: Add branding localization to GeckoView [tor-browser-build]
     * Bug 41410: Use the Lyrebird name on Android [tor-browser-build]

Tor Browser 14.5a5 - March 21 2025
 * All Platforms
   * Updated Lyrebird to 0.6.0
   * Updated Snowflake to 2.11.0
   * Bug 42300: Do not store logs inside TorProvider [tor-browser]
   * Bug 43488: Handle Moat connection errors and other non-bootstrapping errors in TorConnect [tor-browser]
   * Bug 43490: Use lower case "n" for "Tor network" in the UI [tor-browser]
   * Bug 43556: Update Desktop and Android survey dismissal string [tor-browser]
   * Bug 43575: Cleanup channel preferences [tor-browser]
 * Windows + macOS + Linux
   * Bug 41051: Replace Noto Sans Myanmar with Pyidaungsu [tor-browser]
   * Bug 41755: Show the link to about:support in the help menu [tor-browser]
   * Bug 42550: Do not re-try auto-bootstrapping after the user selects a specific region in about:torconnect [tor-browser]
   * Bug 42656: about:torconnect new url location override (maybeUpdateOpenLocationForTorConnect) mostly does nothing [tor-browser]
   * Bug 42670: Letterboxing visible even if disable with tiled window managers [tor-browser]
   * Bug 42720: Link to release notes missing from "About Tor Browser" window [tor-browser]
   * Bug 43321: Do not focus the connect button if the user has never connected before [tor-browser]
   * Bug 43405: Handle failing to apply tor settings [tor-browser]
 * Android
   * Bug 41188: Implement Android-native Connection Assist UI [tor-browser]
   * Bug 42251: Expose TorConnect lifecycle events to fenix [tor-browser]
   * Bug 43091: Delete unused android strings [tor-browser]
   * Bug 43361: [Android] Move code relating to `onTerminate()` in `FenixApplication.kt` [tor-browser]
   * Bug 43473: Rename "Quickstart" toggle as "Connect automatically" (Android) [tor-browser]
   * Bug 43505: Implement User Survey UX (Android) [tor-browser]
 * Build System
   * All Platforms
     * Bug 41394: Fix upload-update_responses-to-staticiforme for mullvadbrowser [tor-browser-build]
     * Bug 41398: Build snowflake from main on nightlies [tor-browser-build]
     * Bug 41399: Update snowflake to 2.11.0 and lyrebird to 0.6.0 [tor-browser-build]
   * Windows + macOS + Linux
     * Bug 41401: Replace Noto Sans Myanmar with Pyidaungsu [tor-browser-build]
   * Android
     * Bug 41402: Fix Snowflake 2.11.0 on Android [tor-browser-build]

Tor Browser 14.5a4 - March 12 2025
 * All Platforms
   * Updated OpenSSL to 3.0.16
   * Bug 43446: Change the Tor Browser name between releases [tor-browser]
   * Bug 43463: Include moat circumvention countries in the build (tor-browser part) [tor-browser]
   * Bug 43487: Rebase Tor Browser Alpha onto 128.8.0esr [tor-browser]
   * Bug 43529: AutoBootstrapAttempt cancel does not await BootstrapAttempt.cancel [tor-browser]
   * Bug 43524: Enable new locales: be, bg and pt-PT [tor-browser]
   * Bug 43551: Backport Mozilla Bug 1924070 - modify H.264 extradata to match sample conversion code.... [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 128.8.0esr
   * Bug 40473: Tor logs do not update in about:preferences#tor as new logs come in [tor-browser]
   * Bug 43205: newwin / letterboxing rounding with subpixels is off [tor-browser]
   * Bug 43328: Improve tor log dialog [tor-browser]
   * Bug 43465: Show the urlbar Connect button during a bootstrap or final error [tor-browser]
   * Bug 43469: Rename "Quickstart" toggle as "Connect automatically" (Desktop) [tor-browser]
   * Bug 43502: Move openTorConnect and getRedirectUrl to TorConnectParent [tor-browser]
   * Bug 43504: Implement User Survey UX (Desktop) [tor-browser]
   * Bug 43547: Cannot remove the final bridge [tor-browser]
 * Linux
   * Bug 30970: Different window borders in XFCE can lead to different, not rounded window sizes [tor-browser]
 * Android
   * Updated GeckoView to 128.8.0esr
   * Updated Zstandard to 1.5.7
   * Bug 43329: Remove remaining traces of the old Bootstrap on Android [tor-browser]
   * Bug 43408: Access TorConnect.quickstart separately from TorSettings.getSettings on Android [tor-browser]
   * Bug 43480: Split up TorConnectionAssistViewModel for better readibility and performance. [tor-browser]
   * Bug 43498: Uplift tor-browser#43129: about:neterror cannot display SVG on Android with Security Level Safest [tor-browser]
   * Bug 43528: Improper handling of TorBootstrapChangeListener in HomeActivity [tor-browser]
 * Build System
   * All Platforms
     * Updated Go to 1.23.7
     * Bug 41040: Add configuration to rbm.conf to select channel and platforms [tor-browser-build]
     * Bug 41121: Use the official Go binaries for bootstrapping [tor-browser-build]
     * Bug 41372: Handle branding names in tor-browser-build [tor-browser-build]
     * Bug 41379: Include moat circumvention countries in the build (tor-browser-build part) [tor-browser-build]
     * Bug 41380: Update kick-devmole script to use Mullvad's new GitHub action [tor-browser-build]
     * Bug 41381: Usability improvements for the browser commit tagging script [tor-browser-build]
     * Bug 41382: Replace gitlab templates ReleasePrep label references with Apps::Type::ReleasePreparation [tor-browser-build]
     * Bug 41383: Add clairehurst to list of accepted firefox/geckoview signers [tor-browser-build]
     * Bug 41384: OpenSSL hash files have changed format [tor-browser-build]
     * Bug 41389: Remove need to update set-config.tbb-version [tor-browser-build]
     * Bug 40082: With `fetch: if_needed`, rbm is doing a git fetch when it shouldn't, when using a fixed commit [rbm]
   * Windows + macOS + Linux
     * Bug 40799: Remove legacy locale iteration in build and signing scripts [tor-browser-build]
     * Bug 41363: Change update-response generation script to create one commit per OS+arch tuple [tor-browser-build]
     * Bug 41374: Remove support for migrate_archs and migrate_langs in update_responses [tor-browser-build]
   * Windows + Linux + Android
     * Bug 41386: Upgrade Go to 1.23 for Windows, Linux, and Android [tor-browser-build]
   * Linux
     * Bug 41337: Remove libstdc++ from Linux tor-expert-bundle [tor-browser-build]
   * Android
     * Bug 42669: Remove dependency on Application-Services [tor-browser]
     * Bug 43518: Verify existence of localProperties.dependencySubstitutions.geckoviewTopsrcdir before substituting [tor-browser]
     * Bug 41387: Fix Golang toolchain breakage for lyrebird: linkname [tor-browser-build]

Tor Browser 14.5a3 - February 10 2025
 * All Platforms
   * Bug 41065: navigator.storage "best effort" + "persistent" leak partitionSize/totalSpace entropy [tor-browser]
   * Bug 41921: Clean up initialisation and bridges conflict between TorSettings and TorConnect [tor-browser]
   * Bug 43308: Only allow "about:" pages to have access to contentaccessible branding assets [tor-browser]
   * Bug 43323: Expose a stable asset from chrome:// to identify Tor, Base, and Mullvad Browser [tor-browser]
   * Bug 43449: Rebase Tor Browser alpha onto 128.7.0esr [tor-browser]
   * Bug 43451: Backport security fixes from Firefox 135 [tor-browser]
   * Bug 41362: Remove meek azure from the builtin bridges [tor-browser-build]
 * Windows + macOS + Linux
   * Updated Firefox to 128.7.0esr
   * Bug 41831: Some .tor.onion sites are not displaying the underlying V3 onion address in alpha [tor-browser]
   * Bug 43254: Cancel Moat requests when no longer needed [tor-browser]
   * Bug 43386: Extension requests expose Firefox's minor version and custom app name [tor-browser]
   * Bug 43398: tor-urlbar-button-plain hover styling is overwritten by tor-button rule [tor-browser]
   * Bug 43406: 2 buttons displayed onion-available and connect when Tor daemon killed [tor-browser]
   * Bug 43461: Drop our wordmark padding [tor-browser]
   * Bug 43462: Use NetworkLinkService instead of Moat for the internet test [tor-browser]
   * Bug 43466: Drop unnecessary CSS rules in branding aboutDialog.css [tor-browser]
 * Windows
   * Bug 43402: set browser.startup.blankWindow false [tor-browser]
 * macOS
   * Bug 43468: ScreenCaptureKit framework should be a weak link [tor-browser]
 * Linux
   * Bug 41297: Add video codecs dependencies (recommends) on the Debian package [tor-browser-build]
 * Android
   * Updated GeckoView to 128.7.0esr
   * Bug 43198: Remove "Learn more" link from Android's no-internet error [tor-browser]
   * Bug 43199: Bootstrapping bar needs a little TLC on Android (Part 1) [tor-browser]
   * Bug 43222: All tor logs timestamps reset to current time when opening screen [tor-browser]
   * Bug 43351: Don't force ALL CAPS for the fenix snackbar action button text [tor-browser]
   * Bug 43359: [Android] Improper handling of TorBootstrapChangeListener with respect to system onDestroy() calls for HomeActivity [tor-browser]
   * Bug 43360: [Android] Replace custom variable isBeingRecreated with built-in isFinishing function [tor-browser]
   * Bug 43368: Add @Suppress for incorrect linting error "Overriding method should call super. onNewIntent" [tor-browser]
 * Build System
   * All Platforms
     * Updated Go to 1.22.12
     * Bug 41281: Better dev defaults for fetch variable [tor-browser-build]
     * Bug 41324: Improve build signing ergonomics [tor-browser-build]
     * Bug 41345: Go autoupdates in 1.23 so add env var to prevent it in any step that has network access [tor-browser-build]
     * Bug 41357: keyring/anti-censorship.gpg is in `GPG keybox database version 1` format [tor-browser-build]
     * Bug 41358: Update sign-tag script to handle rapid-release nightly branches [tor-browser-build]
     * Bug 40079: Make `fetch: if_needed` fetch existing branches [rbm]
   * Windows + macOS + Linux
     * Bug 41356: Add redirects to make 14.0a4 a watershed [tor-browser-build]
   * macOS
     * Bug 41350: Increase timeout in rcodesign-notary-submit [tor-browser-build]

Tor Browser 14.5a2 - January 14 2025
 * All Platforms
   * Updated Tor to 0.4.9.1-alpha
   * Updated NoScript to 12.1.1
   * Bug 43176: noscript-marker CSP warnings in the console [tor-browser]
   * Bug 43282: Unable to click/tap/select anything adjacent the WebGL placeholders [tor-browser]
   * Bug 43296: NoScript-blocked video content placeholder is not centered [tor-browser]
   * Bug 43334: Developer Tools lacks data for Responsive Design Mode and Compatibility [tor-browser]
   * Bug 43336: Move branding files out of torbutton [tor-browser]
   * Bug 43337: Add branding files to translation CI [tor-browser]
   * Bug 43338: Custom zoom + "Zoom text only" breaks pdfjs [tor-browser]
   * Bug 43343: Remove YEC 2024 [tor-browser]
   * Bug 43345: Translation CI: Exclude android strings from the legacy branch [tor-browser]
   * Bug 43352: Failing connection attempts to multicast IPv6 ff00:::443 logged during NoScript updates [tor-browser]
   * Bug 43366: Do not use system accent color in inputs [tor-browser]
   * Bug 43384: Backport security fixes from Firefox 134 [tor-browser]
   * Bug 43387: Rebase Tor Browser alpha onto 128.6.0esr [tor-browser]
   * Bug 41328: Exclude tor dependencies from LD_LIBRARY_PATH [tor-browser-build]
   * Bug 41333: Update STUN servers in Snowflake builtin bridges [tor-browser-build]
   * Bug 41338: Add CDN77 meek bridge [tor-browser-build]
 * Windows + macOS + Linux
   * Updated Firefox to 128.6.0esr
   * Bug 43269: NoScript localization issue [tor-browser]
   * Bug 43312: Download popup panel progress bar overflows [tor-browser]
   * Bug 43320: Improve how bridge settings appear in search results [tor-browser]
 * Linux
   * Bug 43236: High refresh rate detectable by websites when Wayland (MOZ_ENABLE_WAYLAND=1) is used [tor-browser]
   * Bug 43326: Launching tor-browser on gentoo fails with "version `OPENSSL_3.2.0' not found" [tor-browser]
   * Bug 43330: System fonts leak when emptying the allow list on Linux [tor-browser]
   * Bug 41311: AppArmor profile fails on Debian stable [tor-browser-build]
 * Android
   * Updated GeckoView to 128.6.0esr
   * Bug 42651: Finishing bootstrapping kicks the user out of settings, interupting whatever they were doing [tor-browser]
   * Bug 43024: firefox-android 128.1 rebase TODOs and patchset health work [tor-browser]
   * Bug 43229: Buttons that open links can be accessed before torbrowser is bootstrapped, leaving the app in a bad state [tor-browser]
   * Bug 43350: Remove all caps comment from android string [tor-browser]
 * Build System
   * All Platforms
     * Updated Go to 1.22.10
     * Bug 43373: Do not run all CI jobs for scheduled jobs. [tor-browser]
     * Bug 43374: Run the `update-translations` jobs independent of others [tor-browser]
     * Bug 41326: Remove var/torbrowser_legacy_version from rbm.conf in alpha/nightly [tor-browser-build]
     * Bug 41340: Update kick_devmole_build script with Mullvad's new GitHub workflow endpoint [tor-browser-build]
     * Bug 41343: Add signing step to clean some files such as test artifacts [tor-browser-build]
     * Bug 40081: Support apt option for not installing recommended dependencies [rbm]
   * Windows + macOS
     * Bug 41349: Wrong copyright year makes build non-reproducible [tor-browser-build]
   * macOS
     * Bug 41325: Newer versions of 7z fail to extract our dmg files because of the /Applications symlink [tor-browser-build]
     * Bug 41327: Print more logs when make_full_update.sh failed to generate mar file in dmg2mar [tor-browser-build]
   * Linux
     * Bug 41329: Do not install python2.7-minimal in the linux-aarch64 firefox container [tor-browser-build]
     * Bug 41331: Make update_responses find linux-aarch64 mar files [tor-browser-build]
   * Android
     * Bug 42690: Add the commands to produce the APKs to tools/geckoview [tor-browser]

Tor Browser 14.5a1 - November 25 2024
 * All Platforms
   * Updated NoScript to 11.5.2
   * Updated Tor to 0.4.8.13
   * Bug 41710: Refactor about:torconnects relation to TorConnectParent [tor-browser]
   * Bug 42125: lock RFP part 2 [tor-browser]
   * Bug 43307: Rebase Tor Browser alpha onto 128.5.0esr [tor-browser]
   * Bug 43313: Backport security fixes from Firefox 133 [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 128.5.0esr
   * Bug 42186: Drop about:tbupdate [tor-browser]
   * Bug 42597: Lox.generateInvite does not convert JSON object to string [tor-browser]
   * Bug 42739: Fix localization in the profile error dialog [tor-browser]
   * Bug 42802: Make use of `:has` CSS selector [tor-browser]
   * Bug 43237: Tweak Tor circuit display panel for screen readers [tor-browser]
   * Bug 43262: Onion keys dialog. "Remove" removes all keys, "Remove all" does nothing. [tor-browser]
   * Bug 43263: Onion site keys: add some alerts for screen readers [tor-browser]
   * Bug 43294: Replace `Actor` `willDestroy` with `didDestroy` [tor-browser]
   * Bug 43314: Tidy up connection preferences for screen readers and keyboard users [tor-browser]
 * macOS
   * Bug 43165: Disable Microsoft SSO on macOS [MozBug 1768724] [tor-browser]
 * Linux
   * Bug 41786: Remove old fontconfig stuff at the next watershed update [tor-browser]
   * Bug 41799: Make lack of fonts.conf less of a footgun [tor-browser]
   * Bug 41298: Remove `--detach` parameter from .desktop files [tor-browser-build]
   * Bug 41312: Remove comment in start-browser about --class and --name parameters [tor-browser-build]
   * Bug 41313: Show waiting cursor while app opens [tor-browser-build]
 * Android
   * Updated GeckoView to 128.5.0esr
   * Bug 43232: Make the Android Meek transport easier to debug [tor-browser]
   * Bug 43241: Improve hiding non-private tab features on Android [tor-browser]
   * Bug 43251: Enable tab suggestions and autocomplete for private tabs on Android [tor-browser]
 * Build System
   * All Platforms
     * Updated Go to 1.22.9
     * Bug 43272: Fix git fetch in translation CI [tor-browser]
     * Bug 43295: Update MR templates [tor-browser]
     * Bug 40996: Do not version the .nobackup files [tor-browser-build]
     * Bug 41279: Add @pierov and @ma1 as new signers [tor-browser-build]
     * Bug 41284: Update relprep.py script to not synchronise changelogs between channels [tor-browser-build]
     * Bug 41288: Use exec_noco option when using exec [tor-browser-build]
     * Bug 41289: Fix single-browser in relprep.py [tor-browser-build]
     * Bug 41300: Add bea, clairehurst, and jwilde to tb_builders [tor-browser-build]
     * Bug 41304: Add a browser commit tag+signing script [tor-browser-build]
     * Bug 41306: Container dependencies are sorted before resolving templates [tor-browser-build]
     * Bug 41307: Container dependencies are not filtered for duplicates [tor-browser-build]
     * Bug 41321: Update PieroV's expired keys [tor-browser-build]
     * Bug 40006: Add option to avoid doing a git checkout when using the exec template function [rbm]
   * Windows + macOS + Linux
     * Bug 41286: Update the deploy update scripts to optinally take an override hash [tor-browser-build]
   * Linux
     * Bug 41142: Complete the toolchain for linux-aarch64 [tor-browser-build]
     * Bug 41266: Build the Tor and Mullvad Browsers for aarch64 Linux [tor-browser-build]
     * Bug 41282: Add SSL to our custom Python for MozBug 1924022 [tor-browser-build]

Tor Browser 14.0a9 - October 08 2024
 * All Platforms
   * Bug 43197: Disable automatic exception for HTTPS-First [tor-browser]
   * Bug 43201: Security fixes from Firefox 131.0.2 [tor-browser]
 * Android
   * Bug 43132: Enable extensions installation on Tor Browser 14 for Android. [tor-browser]

Tor Browser 13.5.7 - October 08 2024
 * All Platforms
   * Bug 43201: Security fixes from Firefox 131.0.2 [tor-browser]
   * Bug 361: SSL_ERROR_NO_CYPHER_OVERLAP on some Brazilian government websites [mullvad-browser]
 * Build System
   * Windows + macOS + Linux
     * Bug 41254: Drop cryptoSafetyPrompt.properties line [tor-browser-build]

Tor Browser 14.0a8 - October 07 2024
 * All Platforms
   * Bug 30543: compat: make spoofed orientation reflect spoofed screen dimensions [1607032 + 1918202] [tor-browser]
   * Bug 42054: ESR128: investigate - thorin's list [tor-browser]
   * Bug 42716: Disable unwanted about:* pages [tor-browser]
   * Bug 43170: Disable user-agent spoofing in HTTP header [tor-browser]
   * Bug 43173: Backport security fixes from Firefox 131 [tor-browser]
   * Bug 43178: Audit fingerprinting overrides (MozBug 1834274) [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 128.3.0esr
   * Bug 43098: YEC 2024 Takeover for Desktop Stable [tor-browser]
   * Bug 43149: Update donate URL in YEC 2024 desktop [tor-browser]
   * Bug 43164: Prevent search-bar from being auto-hidden when not used for awhile [tor-browser]
   * Bug 43169: compat: align userAgent in navigator + HTTP Header [tor-browser]
 * Android
   * Updated GeckoView to 128.3.0esr
   * Bug 42660: Review the patch on Android's ProxySelector [tor-browser]
   * Bug 43102: Android notifications tell to make Firefox your default browser
   * Bug 43151: MOZ_DATA_REPORTING, MOZ_TELEMETRY_REPORTING, MOZ_CRASHREPORTER, and MOZ_BACKGROUNDTASKS enabled on Android [tor-browser]
 * Build System
   * All Platforms
     * Updated Go to 1.23.2
     * Bug 43156: Update translation CI to account for the extended 13.5 release [tor-browser]
     * Bug 43157: Move tb-dev to base-browser [tor-browser]
     * Bug 43181: Run translation CI if there is a change in a string.xml file [tor-browser]
   * Windows + macOS + Linux
     * Bug 41247: Adapt tools/update-responses/update_responses to support multiple versions in the same xml files [tor-browser-build]
     * Bug 41256: tools/signing/upload-update_responses-to-staticiforme should regenerate update-responses when it already exists [tor-browser-build]
     * Bug 41259: Skip versions which don't set incremental_from when generating incrementals [tor-browser-build]

Tor Browser 13.5a11 - October 01 2024
 * All Platforms
   * Bug 41252: Disable updating update_responses in 13.5-legacy branch [tor-browser-build]
 * Windows + macOS + Linux
   * Updated Firefox to 115.16.0esr

Tor Browser 13.5.6 - September 30 2024
 * All Platforms
   * Updated NoScript to 11.4.40
   * Bug 42832: Download spam prevention should not affect browser extensions [tor-browser]
   * Bug 43167: Rebase Tor Browser Stable onto 115.16.0esr [tor-browser]
   * Bug 43173: Backport security fixes from Firefox 131 [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 115.16.0esr
   * Bug 42737: Drop the hash check on updates [tor-browser]
   * Bug 43098: YEC 2024 Takeover for Desktop Stable [tor-browser]
 * Windows + macOS
   * Bug 42747: Windows 7/8 and macOS 10.12-10.14 Legacy/Maintenance [tor-browser]
 * Android
   * Updated GeckoView to 115.16.0esr
   * Bug 43099: YEC 2024 Takeover for Android Stable [tor-browser]

Tor Browser 14.0a7 - September 27 2024
 * All Platforms
   * Updated NoScript to 11.4.40
   * Bug 42832: Download spam prevention should not affect browser extensions [tor-browser]
   * Bug 43163: Disable offscreen canvas until verified it is not fingerprintable [tor-browser]
   * Bug 43166: Rebase Tor Browser alpha onto Firefox 128.3.0esr [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 128.3.0esr
   * Bug 42070: Backport Bugzilla 1834307 and hide smooth-scroll UX [tor-browser]
   * Bug 42362: "New window" missing from File menu [tor-browser]
   * Bug 42742: Inconsistent use of "New private window" vs "New window" [tor-browser]
   * Bug 41248: Check and update bundled font versions [tor-browser-build]
 * Android
   * Updated GeckoView to 128.3.0esr
   * Bug 43172: remove remote settings and SERPTelemetry [tor-browser]
 * Build System
   * All Platforms
     * Updated Go to 1.23.1
     * Bug 41236: Remove binutils when not needed [tor-browser-build]
   * Windows + macOS + Linux
     * Bug 41246: Add updater rewriterules to make 13.5a10 a watershed [tor-browser-build]

Tor Browser 13.5a10 - September 25 2024
 * Windows + macOS + Linux
   * Updated Firefox to 115.15.0esr
   * Updated NoScript to 11.4.37
   * Updated OpenSSL to 3.0.15
 * Windows + macOS
   * Bug 42747: Windows 7/8 and macOS 10.12-10.14 Legacy/Maintenance [tor-browser]
 * Build System
   * Windows + macOS + Linux
     * Updated Go to 1.21.12

Tor Browser 13.5.5 - September 25 2024
 * Windows + macOS
   * Bug 43125: Update message for legacy OS (windows ≤8.1, macOS ≤10.14) users [tor-browser]
 * Linux
   * Bug 334: When set as default browser on Linux in standard mode, links don't open correctly [mullvad-browser]

Tor Browser 14.0a6 - September 19 2024
 * All Platforms
   * Bug 42831: Remove the shopping components [tor-browser]
   * Bug 43144: Ensure non-privacy browsing also sets the GPC header [tor-browser]
 * Windows + macOS + Linux
   * Bug 42698: Bridge card background contrast is low for bridge-moji [tor-browser]
   * Bug 42718: Remove the firefox-view button from UI, even when always-on private-browsing mode is disabled [tor-browser]
   * Bug 42740: Stop trying to hide "Restore previous session" [tor-browser]
   * Bug 43072: moz-message-bar does not get announced on Orca screen-reader [tor-browser]
   * Bug 43083: Backport fix for Mozilla 1436462 [tor-browser]
 * Linux
   * Bug 43141: Hardcode Arimo as a system-ui font [tor-browser]
   * Bug 41237: Add some aliases to our Linux font config for compatibility [tor-browser-build]
 * Android
   * Bug 41550: Remove unused extensions from Tor Browser for Android [tor-browser]
   * Bug 43052: Remove non private tabs icon and "other device tabs" from tab view [tor-browser]
   * Bug 43129: about:neterror cannot display SVG on Android with Security Level Safest [tor-browser]
   * Bug 43145: Backport Android security fix from 130.0.1 [tor-browser]
   * Bug 43146: Update the icon of DuckDuckGo onion search engine on Android [tor-browser]
   * Bug 43147: Remove unused search plugins from the apk files [tor-browser]

Tor Browser 13.5.4 - September 16 2024
 * All Platforms
   * Updated NoScript to 11.4.37
   * Updated OpenSSL to 3.0.15
 * Windows + macOS + Linux
   * Bug 41835: Review default search engine options [tor-browser]
 * Android
   * Bug 43124: Implement a migration procedure for Android [tor-browser]
   * Bug 43145: Backport Android security fix from 130.0.1 [tor-browser]
 * Build System
   * All Platforms
     * Bug 41229: Migrate OpenSSL download location to github releases [tor-browser-build]
   * macOS
     * Bug 41231: Use var/browser_release_date in tools/signing/gatekeeper-bundling.sh [tor-browser-build]

Tor Browser 14.0a5 - September 12 2024
 * All Platforms
   * Updated NoScript to 11.4.37
   * Bug 42255: pdfjs.disabled used to be part of RFP until Bug 1838415; lock pref to false in stable [tor-browser]
   * Bug 42746: Extend prefers-contrast rules to include forced-colors [tor-browser]
   * Bug 43046: Review Mozilla 1866927: Adds ability to enable email tracker blocking protection in private mode [tor-browser]
   * Bug 43054: check bounceTrackingProtection in PB mode does not persist to disk [tor-browser]
 * Windows + macOS + Linux
   * Bug 42647: "Switching to a new device" regressed on 128 [tor-browser]
   * Bug 42653: The Neterror page has a checkbox to report iframe origin errors to TPO [tor-browser]
   * Bug 42777: Remove 'Website Privacy Preferences' and ensure sensible default prefs [tor-browser]
   * Bug 43087: Onion pattern on about:torconnect needs a dark theme asset [tor-browser]
   * Bug 43109: Remove mention of Firefox Relay from settings [tor-browser]
   * Bug 43115: Height of search bar has collapsed on about:tor [tor-browser]
   * Bug 43117: Hide 'Always underline links' option [tor-browser]
   * Bug 43118: hide CFR [tor-browser]
   * Bug 43131: Reduce layout jank when loading about:tor [tor-browser]
 * Linux
   * Bug 42702: Cannot access the clipboard for the crypto address check (wayland) [tor-browser]
   * Bug 334: When set as default browser on Linux in standard mode, links don't open correctly [mullvad-browser]
 * Android
   * Bug 42954: Remove product recommendation API integration (Review Mozilla 1857215) [tor-browser]
   * Bug 43097: NoScript fails to install on Android [tor-browser]
   * Bug 43108: Backport Android fullscreen notifications refactoring on ESR128 [tor-browser]
   * Bug 43128: Use DuckDuckGo HTML on the Safest security level for Android [tor-browser]
 * Build System
   * All Platforms
     * Updated Go to 1.23.1
   * macOS
     * Bug 41231: Use var/browser_release_date in tools/signing/gatekeeper-bundling.sh [tor-browser-build]
   * Android
     * Bug 41106: Non matching builds after application-services not being rebuilt in a long time [tor-browser-build]
     * Bug 41232: Re-implement single-arch builds after the monorepo migration [tor-browser-build]
     * Bug 41234: More dependencies are needed when building Android as a release [tor-browser-build]

Tor Browser 14.0a4 - September 06 2024
 * All Platforms
   * Updated NoScript to 11.4.35
   * Updated OpenSSL to 3.0.15
   * Bug 30862: 10ms time precision via EXSLT date-time function [tor-browser]
   * Bug 42601: Check Bug 1894779: Allow font-face urls to be resource:// urls and relax CORS for resource:// URLs [tor-browser]
   * Bug 42684: Disable network prefetch [tor-browser]
   * Bug 42685: compat: ESR128: enable textmetrics [tor-browser]
   * Bug 42686: Backport Mozilla 1885101 [tor-browser]
   * Bug 42730: Make RemoteSettings use only local dumps [tor-browser]
   * Bug 42867: Disable contentRelevancy component [tor-browser]
   * Bug 43100: Backport security fixes from Firefox 130 [tor-browser]
 * Windows + macOS + Linux
   * Bug 40147: Re-enable Picture-in-Picture mode [tor-browser]
   * Bug 41309: Re-enable screenshots component [tor-browser]
   * Bug 41835: Review default search engine options [tor-browser]
   * Bug 42617: Restore the HTML form on DDG when using safest in 128 [tor-browser]
   * Bug 42630: Review LaterRun in 128 [tor-browser]
   * Bug 42640: Disable Firefox Flame button due to unknown interactions with New Identity [tor-browser]
   * Bug 42735: Disable recent search suggestions [tor-browser]
   * Bug 42737: Drop the hash check on updates [tor-browser]
   * Bug 42743: Invalid onion sites are shown as secure in the page info window [tor-browser]
   * Bug 42744: Light theme override for "about:tor" is inherited by chrome error pages. [tor-browser]
   * Bug 42745: Remove some residuals from update scripts [tor-browser]
   * Bug 42764: Unconditionally disable find-bar transition animation [tor-browser]
   * Bug 42803: Lost focus styling for built-in bridges radio options [tor-browser]
   * Bug 42891: Review Mozilla 1854965: Define new search engine configuration schema [tor-browser]
   * Bug 43015: Missing region-name-skr fluent entry when fetching TorConnect country names [tor-browser]
   * Bug 43075: Should we drop link spacing in about:tor [tor-browser]
   * Bug 43082: Search engine icon is not shown while typing in the address bar [tor-browser]
   * Bug 43103: Verify whether an update is unsupported before choosing one [tor-browser]
   * Bug 43105: Migrating Disconnect is not needed anymore [tor-browser]
 * macOS + Linux
   * Bug 42467: Make OS HTTP User-Agent OS spoofing configurable by pref [tor-browser]
 * macOS
   * Bug 42494: mac: add Arial Black and Arial Narrow to allowlist [tor-browser]
 * Linux
   * Bug 42773: Replace ~ with the original HOME [tor-browser]
   * Bug 43092: Disable Wayland by default in 14.0 [tor-browser]
 * Android
   * Bug 42655: Implement "New circuit for this site" on Android [tor-browser]
   * Bug 42731: Verify `privacy.spoof_english` still works once we have Android builds [tor-browser]
   * Bug 43016: Re-disable Nimbus [tor-browser]
   * Bug 43023: Review Mozilla 1872510: Use SamsungColorEmoji by default for Samsung devices [tor-browser]
   * Bug 43043: Remove credit card autofill UI elements from menu [tor-browser]
   * Bug 43088: Query stripping is disabled on Android [tor-browser]
   * Bug 43094: Remove "Open in regular tab" button [tor-browser]
   * Bug 43114: Reader view uses the catch-all circuit on Android [tor-browser]
   * Bug 43116: The lack of GeoIP databases produces a lot of spam in the console on Android [tor-browser]
 * Build System
   * All Platforms
     * Bug 41096: Set SOURCE_DATE_EPOCH in the default env variables [tor-browser-build]
     * Bug 41180: Some files do not need to be copied when building tor-expert-bundle [tor-browser-build]
     * Bug 41188: Upgrade binutils to 2.41 [tor-browser-build]
     * Bug 41229: Migrate OpenSSL download location to github releases [tor-browser-build]
   * Android
     * Bug 41224: Do not ship Conjure and GeoIP databases on Android x86, x86-64 to save some space [tor-browser-build]

Tor Browser 13.5.3 - September 03 2024
 * All Platforms
   * Updated NoScript to 11.4.35
   * Bug 40056: Ensure that the lazy loading attribute is ignored on script-disabled documents [tor-browser]
   * Bug 42686: Backport Mozilla 1885101 [tor-browser]
   * Bug 42829: Prevent CSS-based scriptless interaction tracking [tor-browser]
   * Bug 43084: Rebase Tor Browser Stable onto 115.15.0esr [tor-browser]
   * Bug 43100: Backport security fixes from Firefox 130 [tor-browser]
   * Bug 41207: Upgrade lyrebird to 0.3.0 [tor-browser-build]
 * Windows + macOS + Linux
   * Updated Firefox to 115.15.0esr
   * Bug 42596: Several console errors: Console.maxLogLevelPref used with a non-existing pref: [tor-browser]
   * Bug 42622: Offline state is unreachable in about:torconnect (first bootstrap attempt) [tor-browser]
   * Bug 42642: Downloads button warning no longer announced on Orca [tor-browser]
   * Bug 42661: Re-run update_emojis.py and update locales [tor-browser]
   * Bug 42691: Simplified bridge cards prevent censored users from modifying built-in bridges [tor-browser]
   * Bug 42696: Update `mail` icon used in "Find more bridges" [tor-browser]
   * Bug 42697: Remove padding to left of `tor-bridges-provider-list` under "Find more bridges" [tor-browser]
   * Bug 43059: Drag and Drop issue in new update 13.5.2 [tor-browser]
   * Bug 43066: about:torconnect no longer changes the title icon on errors [tor-browser]
 * Linux
   * Bug 43064: Make copy/paste and drag/drop file filtering more specific [tor-browser]
 * Android
   * Updated GeckoView to 115.15.0esr
 * Build System
   * All Platforms
     * Updated Go to 1.21.13
     * Bug 41213: Update the update_manual.py script to notify when no changes needed [tor-browser-build]
     * Bug 41218: Use new Tor Browser gpg subkey for signing stable releases [tor-browser-build]
     * Bug 41222: link_old_mar_filenames still referenced in torbrowser-incrementals-{release,alpha}-unsigned [tor-browser-build]
   * Android
     * Bug 41206: GeckoView ignores the number of processors [tor-browser-build]

Tor Browser 14.0a3 - August 26 2024
 * All Platforms
   * Bug 40056: Ensure that the lazy loading attribute is ignored on script-disabled documents [tor-browser]
   * Bug 42611: Set clipboard.imageAsFile.enabled to false [tor-browser]
   * Bug 42646: Drop patch for tor-browser#40166 [tor-browser]
   * Bug 42830: Enable WebAudio APIs [tor-browser]
   * Bug 43012: Mixed content: browser requests HTTPS images from onion domain accessed via HTTP [tor-browser]
   * Bug 43013: security.mixed_content.upgrade_display_content.image is true by default [tor-browser]
   * Bug 43074: Pass the browser to TorDomainIsolator.newCircuitForBrowser [tor-browser]
   * Bug 43085: Rebase Tor Browser Alpha onto 128.2.0esr [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 128.2.0esr
   * Bug 41811: Primary buttons that result in a connection attempt should be purple [tor-browser]
   * Bug 41817: Add more color aliases that take dark mode into account [tor-browser]
   * Bug 41820: Downloads warning styling improvements (use moz-message-bar) [tor-browser]
   * Bug 42212: Fluent migration: onion services [tor-browser]
   * Bug 42603: Remove safebrowsing URLs [tor-browser]
   * Bug 42665: Drop "Learn More" spacing [tor-browser]
   * Bug 43059: Drag and Drop issue in new update 13.5.2 [tor-browser]
   * Bug 43066: about:torconnect no longer changes the title icon on errors [tor-browser]
   * Bug 43067: Use html:link rather than xml-stylesheet in our dialogs [tor-browser]
   * Bug 43071: Make sure "tor-button" elements that are also "primary" still use the tor colors [tor-browser]
   * Bug 43081: Remove hard-coded CSS `line-height` [tor-browser]
 * Linux
   * Bug 43064: Make copy/paste and drag/drop file filtering more specific [tor-browser]
 * Android
   * Updated GeckoView to 128.2.0esr
   * Bug 42386: Remove unused assets to reduce APK size [tor-browser]
   * Bug 42590: “Tor browser” text in top left of home fragment/new tab view gets cut off with larger text sizes [tor-browser]
   * Bug 43078: Disable Sharing Links to TBA [tor-browser]
   * Bug 41223: Tor Browser Alpha version not displayed correctly [tor-browser-build]
 * Build System
   * All Platforms
     * Bug 41013: Add a README to each project [tor-browser-build]
     * Bug 41198: Update release-prep issue  template to include notifiying anti-censorship team of package name changes for GetTor distributor [tor-browser-build]
     * Bug 41222: link_old_mar_filenames still referenced in torbrowser-incrementals-{release,alpha}-unsigned [tor-browser-build]
   * Android
     * Bug 42480: Use translation CI in android [tor-browser]

Tor Browser 14.0a2 - August 19 2024
 * All Platforms
   * Updated NoScript to 11.4.34
   * Bug 42759: CI: remove localization file names that are in neither 14.0 nor 13.5 branches [tor-browser]
   * Bug 42762: Review Mozilla 1498512: Enable by default setSinkId pref [tor-browser]
   * Bug 42788: Review Mozilla 1828606: Add Recently Closed tabs to its own page [tor-browser]
   * Bug 42789: Review Mozilla 1830157: Add new telemetry probe to determine how often an extension process had to be... [tor-browser]
   * Bug 42792: Review Mozilla 1837097: Implement "Show less frequently" behavior for Pocket suggestions [tor-browser]
   * Bug 42810: Review Mozilla 1840584: Support autofilling `first name` and `last name` field in a credit card form [tor-browser]
   * Bug 42814: Opt out from Firefox relay by default. [tor-browser]
   * Bug 42818: Review Mozilla 1841295: Update PocketSuggestions for the final suggestions schema [tor-browser]
   * Bug 42835: Filter data transfers containing files [tor-browser]
   * Bug 42846: Review Mozilla 1841995: Enable Credit Card Autofill in ES and IT in nightly [tor-browser]
   * Bug 42847: Review Mozilla 1841996: Enable Credit Card Autofill in AT, BE, and PL in nightly [tor-browser]
   * Bug 42848: Review Mozilla 1841998: Enable Credit Card Autofill for ES,IT,AT,BE and PL locales in release. r=dimi... [tor-browser]
   * Bug 42886: Review Mozilla 1848048: Add a result menu to disable trending results. r=dao,fluent-reviewers,setting... [tor-browser]
   * Bug 42996: Review Mozilla 1517786: Implement and ship CanvasRenderingContext2D.getContextAttributes() [tor-browser]
   * Bug 42999: Rebase Tor Browser Alpha onto 128.1.0esr [tor-browser]
   * Bug 43011: Ship only one copy of the MIT license, like upstream. [tor-browser]
   * Bug 41207: Upgrade lyrebird to 0.3.0 [tor-browser-build]
 * Windows + macOS + Linux
   * Updated Firefox to 128.1.0esr
   * Bug 42488: ESR 128: Remove role="code" from tor circuit panel [tor-browser]
   * Bug 42596: Several console errors: Console.maxLogLevelPref used with a non-existing pref: [tor-browser]
   * Bug 42612: Re-implement moz-toggle customizations for ESR 128 [tor-browser]
   * Bug 42622: Offline state is unreachable in about:torconnect (first bootstrap attempt) [tor-browser]
   * Bug 42629: Tweak `isOnNewTabPage` patch [tor-browser]
   * Bug 42641: Move from panel-footer class to moz-button-group [tor-browser]
   * Bug 42642: Downloads button warning no longer announced on Orca [tor-browser]
   * Bug 42643: downloads panel separator has mismatched margin [tor-browser]
   * Bug 42644: toolbar rules in panelUI-shared.css are unneccessary [tor-browser]
   * Bug 42661: Re-run update_emojis.py and update locales [tor-browser]
   * Bug 42662: Use data-hidden-from-search for hiding the firefox connection settings [tor-browser]
   * Bug 42663: Tor Browser "Connection" settings missing a tooltip [tor-browser]
   * Bug 42667: Add description-deemphasized class to our additions to about:preferences [tor-browser]
   * Bug 42679: Use a more robust approach to hide the "tracking protection" urlbar button [tor-browser]
   * Bug 42691: Simplified bridge cards prevent censored users from modifying built-in bridges [tor-browser]
   * Bug 42695: Use `--arrowpanel-` variables for tor circuit panel spacing [tor-browser]
   * Bug 42696: Update `mail` icon used in "Find more bridges" [tor-browser]
   * Bug 42697: Remove padding to left of `tor-bridges-provider-list` under "Find more bridges" [tor-browser]
   * Bug 42699: Drop level="top" attribute from panels [tor-browser]
   * Bug 42700: Remove !nodes condition from gTorCircuitPanel._updateCurrentBrowser [tor-browser]
   * Bug 42704: Drop the badged="true" attribute from security level button [tor-browser]
   * Bug 42705: Update our preferences to account for new line height [tor-browser]
   * Bug 42713: Some --in-content CSS variables were renamed/removed [tor-browser]
   * Bug 42806: Use the `lh` CSS unit [tor-browser]
   * Bug 42855: Review Mozilla 1843130: Pocket newtab use new recs api for locale list config if new api pref is set [tor-browser]
   * Bug 42862: Review Mozilla 1845428: Instrument Translations Panel With Telemetry [tor-browser]
   * Bug 42863: Review Mozilla 1847150: Add more TranslationsTelemetry event keys for panel open r=gregtatum, a=dsmith [tor-browser]
   * Bug 42864: Review Mozilla 1848845: Pocket newtab migrate existing markets to new API. r=gvn a=RyanVM [tor-browser]
   * Bug 42872: Disable translations until audited and solved the UX problems [tor-browser]
 * Windows + macOS
   * Bug 42774: Review Mozilla 1848815: Add a user-facing setting to enable enterprise roots import, and enable it by default [tor-browser]
   * Bug 43021: Revert the OS deprecation notification introduced in #42347 [tor-browser]
 * Windows
   * Bug 43051: windows: remove UI for "open Tor Browser automatically when computer starts" [tor-browser]
 * Android
   * Updated GeckoView to 128.1.0esr
   * Bug 43048: Firefox logo on splash [tor-browser]
   * Bug 43050: Center text in connect buttons [tor-browser]
   * Bug 43057: fenix/.../search/list.json failing linting [tor-browser]
 * Build System
   * All Platforms
     * Updated Go to 1.23.0
     * Bug 42799: Do not run lint pipelines on new tag [tor-browser]
     * Bug 43014: Add purgecaches to the dev build [tor-browser]
     * Bug 41203: Tor Blog generation script uses the wrong url scheme for alpha releases [tor-browser-build]
     * Bug 41213: Update the update_manual.py script to notify when no changes needed [tor-browser-build]
   * Windows + macOS + Linux
     * Bug 42668: Drop torconnect rule in eslint-plugin-mozilla [tor-browser]
   * Windows
     * Bug 41185: Drop Windows 7 support for 14.0 from build tools [tor-browser-build]
     * Bug 41201: Bump the Windows version checked by the installer [tor-browser-build]
   * macOS
     * Bug 41202: 14.0a1 fails to run on macOS because of invalid signature [tor-browser-build]
   * Android
     * Bug 40544: Bump Java 8 version to something more recent [tor-browser-build]
     * Bug 41123: Drop the firefox-android project [tor-browser-build]
     * Bug 41171: Switch Android containers to Debian bookworm [tor-browser-build]
     * Bug 41172: Refactor the android-toolchain project [tor-browser-build]
     * Bug 41178: Force IPv4 when downloading in fix_gradle_deps.py [tor-browser-build]
     * Bug 41200: Remove allowed_addons.json and the related tools [tor-browser-build]
     * Bug 41206: GeckoView ignores the number of processors [tor-browser-build]
     * Bug 41210: Use tor-expert-bundle-aar in geckoview/build_apk [tor-browser-build]
     * Bug 41211: The Android license file is not deterministic anymore [tor-browser-build]
     * Bug 41214: Update geckoview/config to be more like firefox/config [tor-browser-build]
     * Bug 41217: Update realprep.py script to handle Firefox 128-based Tor Browser Android [tor-browser-build]

Tor Browser 13.5.2 - August 06 2024
 * All Platforms
   * Updated NoScript to 11.4.31
   * Bug 42835: Filter data transfers containing files [tor-browser]
   * Bug 42998: Rebase Tor Browser stable onto 115.14.0esr [tor-browser]
   * Bug 43005: Backport security fixes from Firefox 129 [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 115.14.0esr
 * Android
   * Updated GeckoView to 115.14.0esr
 * Build System
   * All Platforms
     * Bug 42470: Add merge request CI for linting [tor-browser]
     * Bug 40964: Create new Tor Browser gpg subkey [tor-browser-build]
     * Bug 41168: deploy_update_responses-$channel.sh should check that it is not reverting an update in an other channel [tor-browser-build]
     * Bug 41184: Update generate blog post script to use new blog header images [tor-browser-build]
     * Bug 41190: Add morgan.gpg to keyrings and list of valid keyrings in firefox+geckoview [tor-browser-build]
     * Bug 41191: Remove richard.gpg from keyrings and list of valid keyrings in firefox+geckoview [tor-browser-build]
     * Bug 41204: NoScript isn't added automatically to Mullvad Browser changelogs [tor-browser-build]

Tor Browser 14.0a1 - July 24 2024
 * All Platforms
   * Updated NoScript to 11.4.31
   * Bug 41328: Follow firefox ESMify for Bug 1308512 [tor-browser]
   * Bug 42441: Evaluate RR version-by-RR version rebases instead of ESR-to-ESR [tor-browser]
   * Bug 42683: Create script to generate issue triage csv's from bugzilla query and git scraping [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 128.0esr
   * Bug 42687: Disable Privacy-Preserving Attribution [tor-browser]
 * Build System
   * All Platforms
     * Updated Go to 1.22.5
     * Bug 42470: Add merge request CI for linting [tor-browser]
     * Bug 42722: clang-format and localization linters are not running [tor-browser]
     * Bug 40964: Create new Tor Browser gpg subkey [tor-browser-build]
     * Bug 41155: Update toolchains for ESR128 [tor-browser-build]
     * Bug 41156: Split the Rust configuration options [tor-browser-build]
     * Bug 41166: Use the GitHub repository for firefox-l10n [tor-browser-build]
     * Bug 41168: deploy_update_responses-$channel.sh should check that it is not reverting an update in an other channel [tor-browser-build]
     * Bug 41184: Update generate blog post script to use new blog header images [tor-browser-build]
     * Bug 41189: Add matzfan to list of downstream projects in alpha release-prep template [tor-browser-build]
     * Bug 41190: Add morgan.gpg to keyrings and list of valid keyrings in firefox+geckoview [tor-browser-build]
     * Bug 41191: Remove richard.gpg from keyrings and list of valid keyrings in firefox+geckoview [tor-browser-build]
     * Bug 41195: Update Go to 1.22 [tor-browser-build]
     * Bug 40078: Update tools/tb-build-06-start-nightly-build after tor-browser-build#40829 [tor-browser-bundle-testsuite]
   * Windows
     * Bug 29318: Drop mingw-w64/gcc toolchain [tor-browser-build]
     * Bug 29320: Use mingw-w64/clang toolchain to build Rust [tor-browser-build]
     * Bug 41177: Include Windows installer without -portable- in download json files [tor-browser-build]
   * Windows + macOS
     * Bug 41197: Modify update-responses to prevent upgrades on unsupported Windows and macOS versions [tor-browser-build]

Tor Browser 13.5.1 - July 09 2024
 * All Platforms
   * Bug 42689: Rebase Tor Browser onto 115.13.0esr [tor-browser]
   * Bug 42693: Backports security fixes from Firefox 128 [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 115.13.0esr
 * Android
   * Updated GeckoView to 115.13.0esr
 * Build System
   * All Platforms
     * Updated Go to 1.21.12
     * Bug 41166: Use the GitHub repository for firefox-l10n [tor-browser-build]
   * Windows
     * Bug 41177: Include Windows installer without -portable- in download json files [tor-browser-build]

Tor Browser 13.5 - June 17 2024
 * All Platforms
   * Bug 40856: Add a default for preferences in TorSettings [tor-browser]
   * Bug 40919: Consider dropping protection against line-height introduced in #23104 [tor-browser]
   * Bug 41114: Fix no-async-promise-executor on TorConnect [tor-browser]
   * Bug 41467: compat: beacon: re-enable the API but transform it to a no-op [tor-browser]
   * Bug 42153: Drop dom.enable_resource_timing = false preference [tor-browser]
   * Bug 42246: Migrate tor connection stuff from browser to toolkit [tor-browser]
   * Bug 42290: "DuckDuckGoOnion" is a weird naming format for onion search engines [tor-browser]
   * Bug 42302: The allowed ports string contains a typo [tor-browser]
   * Bug 42308: Update README for tor browser [tor-browser]
   * Bug 42315: compat: why is eventCounts undefined? [tor-browser]
   * Bug 42336: Review the relationship between TorSettings and the TorProvider [tor-browser]
   * Bug 42340: TorBridgeChanged notification sends out "[object Object]" as its data. [tor-browser]
   * Bug 42343: Consume pt_config.json in the browser [tor-browser]
   * Bug 42354: Refactor exclusions in ShouldSanitizePreference() to the pref list. [tor-browser]
   * Bug 42358: Separate the domain fronted requests from Moat [tor-browser]
   * Bug 42359: Handle firewall and proxy in TorSettings.setSettings [tor-browser]
   * Bug 42390: Betterboxing: make the decorator border disappear when the corners are flat [tor-browser]
   * Bug 42397: Change RFP-spoofed Timezone from UTC to a real-world, less discriminable one [tor-browser]
   * Bug 42437: Drop "torbrowser.version" preference [tor-browser]
   * Bug 42466: Drop the "Onion Logo" from trademark statement [tor-browser]
   * Bug 42479: Switch from localized strings to error codes in TorConnect errors [tor-browser]
   * Bug 42481: Modularize SecurityLevel [tor-browser]
   * Bug 42521: Remove unused onboarding strings [tor-browser]
   * Bug 42529: Try not to spoof system-ui in contexts exempt from RFP [tor-browser]
   * Bug 42537: Move Fluent files from "browser" to "toolkit" [tor-browser]
   * Bug 42538: Move onion icons to toolkit [tor-browser]
   * Bug 42549: Remove brand.dtd [tor-browser]
   * Bug 42604: Add some debug logs about circuits [tor-browser]
   * Bug 241: Move network.proxy.failover_direct=false pref to base-browser [mullvad-browser]
   * Bug 41111: Use Lyrebird to provide WebTunnel PT Client [tor-browser-build]
 * Windows + macOS + Linux
   * Bug 40843: Add a working state to the Internet test button in connection settings [tor-browser]
   * Bug 41621: Tweak about:torconnect styling [tor-browser]
   * Bug 41622: Convert onion site errors to the new neterror template [tor-browser]
   * Bug 41814: Change "vanilla bridge:" to "Tor bridge:" in bridge cards [tor-browser]
   * Bug 41916: Letterboxing preferences UI [tor-browser]
   * Bug 41917: Make the appearance of letterboxing look more intentional [tor-browser]
   * Bug 41918: Add option to reuse last window size when letterboxing is enabled [tor-browser]
   * Bug 41930: intl.accept_languages gets into a stuck modifed state [tor-browser]
   * Bug 41966: Cannot remove locales from the locale alternatives list [tor-browser]
   * Bug 42036: Design and build a user interface for Lox [tor-browser]
   * Bug 42192: Correctly round new windows when bookmarks toolbar is set to "Only Show on New Tab" [tor-browser]
   * Bug 42202: Fluent migration: crypto safety [tor-browser]
   * Bug 42203: Fluent migration: about dialog [tor-browser]
   * Bug 42204: Drop unused aboutTor.dtd [tor-browser]
   * Bug 42206: Fluent migration: about:rulesets [tor-browser]
   * Bug 42207: Fluent migration: preferences [tor-browser]
   * Bug 42209: Fluent migration: tor circuit [tor-browser]
   * Bug 42210: Fluent migration: download warning [tor-browser]
   * Bug 42211: Fluent migration: new identity [tor-browser]
   * Bug 42214: Fluent migration: security level [tor-browser]
   * Bug 42270: Implement design changes to QR code dialog [tor-browser]
   * Bug 42303: Remove unused "help" button logic in tor dialogs [tor-browser]
   * Bug 42319: Make all the wordmark of the same size [tor-browser]
   * Bug 42387: Visual noise in 13.5a4 letterboxing [tor-browser]
   * Bug 42389: Betterboxing: gradient is never shown [tor-browser]
   * Bug 42398: Include Alpha and Nightly in MOZ_APP_DISPLAYNAME (and possibly in other places) [tor-browser]
   * Bug 42405: Fix betterboxing + findbar horizontal bounce if the scrollbar is not an overlay [tor-browser]
   * Bug 42414: Show ellipsis when the tor bridge address overflows [tor-browser]
   * Bug 42415: Improve focus styling for forced focus in bridge settings [tor-browser]
   * Bug 42421: Remove bridge option should be hidden for Lox bridges [tor-browser]
   * Bug 42423: Move temporary Lox Fluent strings to new file [tor-browser]
   * Bug 42425: Improve accessibility of the bridge emoji cells [tor-browser]
   * Bug 42443: Shrink the window to match letterboxing size when the emtpy area is doble-clicked [tor-browser]
   * Bug 42446: Improve accessible descriptions in built-in dialog [tor-browser]
   * Bug 42457: Loading icon for bridge pass (Lox) invites [tor-browser]
   * Bug 42458: Update the "Submit Feedback" link in "About Tor Browser" [tor-browser]
   * Bug 42476: Only allow Lox (invites) in alpha and nightly builds [tor-browser]
   * Bug 42489: Lox module notifications [tor-browser]
   * Bug 42490: Install svg from branding theme to browser/chrome/icons/default [tor-browser]
   * Bug 42496: Moat refresh bug [tor-browser]
   * Bug 42500: When startup window is maximized per letterboxing.rememberSize on startup, the restore button shrinks it to its minimum size [tor-browser]
   * Bug 42504: TB Bookmarks: Add the Tor forum .onion to the bookmarks [tor-browser]
   * Bug 42510: SETCONF Tor control protocol command should not be used when system Tor is configured / TOR_SKIP_LAUNCH=1 is not honored [tor-browser]
   * Bug 42511: false positive message: browser tab bar shows "Not connected" even though connected in a system Tor etc. context [tor-browser]
   * Bug 42520: Correctly record new initial window size after auto-shrinking [tor-browser]
   * Bug 42533: Add Lox notification for activeLoxId [tor-browser]
   * Bug 42540: Fix gNetworkStatus.deinint typo [tor-browser]
   * Bug 42541: Circuit Display does not work when using Conjure pluggable transport [tor-browser]
   * Bug 42542: Quirks when onion authentication prompt is shared between two tabs [tor-browser]
   * Bug 42573: Tweak language notification to avoid formatValue [tor-browser]
   * Bug 42574: Exempt pdf.js from letterboxing [tor-browser]
   * Bug 42583: Modify moz-support-link [tor-browser]
   * Bug 262: Mouse-over long links causes the browser element to re-center relative to width of status tooltip [mullvad-browser]
   * Bug 289: The Letterboxing>Content Alignment heading doesn't follow the Firefox design document capitalization [mullvad-browser]
   * Bug 41149: Add be, bg and pt-PT translations to nightlies [tor-browser-build]
 * Windows + macOS
   * Bug 41405: Win ≤8.1 and macOS ≤10.14 not supported in ESR 128 [tor-browser]
   * Bug 42347: Add a banner warning users about the upcoming EOL for Win ≤8.1 and macOS ≤10.14 [tor-browser]
   * Bug 42586: Add support link to OS deprecation message [tor-browser]
 * Windows
   * Bug 41859: Font used for IPs in circuit display is illegible [tor-browser]
   * Bug 41901: windows: FontSubstitutes can leak system locale [tor-browser]
   * Bug 42163: Make the 3rd party DLL blocklist obey portable mode [tor-browser]
 * macOS
   * Bug 40569: Create build-specific installer for macOS [tor-browser-build]
 * Linux
   * Bug 42438: Adapt the data import wizard to use the original $HOME on Linux [tor-browser]
   * Bug 41112: Fix indentation of projects/browser/RelativeLink/start-browser [tor-browser-build]
   * Bug 41136: Include *.deb in the list of files to gpg sign [tor-browser-build]
 * Android
   * Bug 41187: Improve Android's bridge settings UI [tor-browser]
   * Bug 41846: Disable new nimbus use in firefox-android 115 [tor-browser]
   * Bug 42017: TBA13: system/widget font tests: font-family not returned in getComputedStyle [tor-browser]
   * Bug 42248: Allow GeckoView to launch tor [tor-browser]
   * Bug 42249: Allow GeckoView to launch lyrebird [tor-browser]
   * Bug 42250: Allow Moat.sys.mjs to invoke lyrebird on Android [tor-browser]
   * Bug 42252: Plumb down TorConnect commands from firefox-android to GeckoView [tor-browser]
   * Bug 42253: Remove "New private tab" action and widget [tor-browser]
   * Bug 42259: Remove unused firefox branding from Tor Browser for Android [tor-browser]
   * Bug 42260: Add TBB artifacts to .gitignore [tor-browser]
   * Bug 42301: Make TorSettings interact with the old Android Settings [tor-browser]
   * Bug 42317: Update "Security Settings" menu item [tor-browser]
   * Bug 42323: Add a checkbox to enable the connect assist experiments on alpha [tor-browser]
   * Bug 42409: TTP-03-011 WP3: Potential DoS due to Deep Link abuse [tor-browser]
   * Bug 42427: Do not ship bridges as prefences anymore [tor-browser]
   * Bug 42486: firefox-android bridge settings sometimes dont save [tor-browser]
   * Bug 42522: The quick connect switch on Android seems too much on the right side [tor-browser]
   * Bug 42552: TBA: formatting APIs are en-US only [tor-browser]
   * Bug 42566: Remove 'Enable beta connection features' menu item in stable release channel [tor-browser]
   * Bug 42567: Remove 'Enable beta connection features' toggle [tor-browser]
   * Bug 42571: The new bootstrap on Android breaks if the browser goes in background [tor-browser]
   * Bug 42576: Backport Bug 1885171: use the private keyboard for prompts on Android [tor-browser]
   * Bug 42578: Reject Android "open in Tor Browser" intent [tor-browser]
   * Bug 42582: Accepted languages should use id and he on Android [tor-browser]
   * Bug 42593: Unable to disable bridges after they have been configured and successfully bootstrapped [tor-browser]
   * Bug 42618: Addons on Android have a stale cache [tor-browser]
   * Bug 42619: Cannot install Android addons from AMO [tor-browser]
   * Bug 42632: Don't display builtin bridges in provide bridge popup [tor-browser]
   * Bug 42636: A bad bridge line might get TBA stuck [tor-browser]
   * Bug 42648: Don't cancel tor bootstrap when opening settings from bootstrap [tor-browser]
   * Bug 41143: Enable multi-locales also on GeckoView [tor-browser-build]
 * Build System
   * All Platforms
     * Bug 42331: tb-dev fetch command is missing repository argument [tor-browser]
     * Bug 42516: Make tb-dev worktree-compatible [tor-browser]
     * Bug 42594: Update mach to work with Python 3.12 [tor-browser]
     * Bug 40852: Reproducible build of the the lox client library to wasm [tor-browser-build]
     * Bug 40983: Bump the various branches to 13.5 on main [tor-browser-build]
     * Bug 41001: Create Release Prep MR generating script [tor-browser-build]
     * Bug 41037: Set time on signing machine before starting signing [tor-browser-build]
     * Bug 41038: Add RPM dependencies to README [tor-browser-build]
     * Bug 41045: Dump more information about build times on Firefox [tor-browser-build]
     * Bug 41048: Drop the kcp-go project [tor-browser-build]
     * Bug 41073: Update documention about required packages for container-less build [tor-browser-build]
     * Bug 41081: Update detailsURL in tools/signing/nightly/update-responses-base-config.yml [tor-browser-build]
     * Bug 41148: Update projects/browser/Bundle-Data/Docs/Licenses/NoScript.txt [tor-browser-build]
     * Bug 41153: Update README for Ubuntu 24.04 unprivileged user namespace changes [tor-browser-build]
     * Bug 41154: Update keyring/boklm.gpg for new subkeys [tor-browser-build]
     * Bug 41161: Explicitly fetch tags in the release preparation script [tor-browser-build]
     * Bug 40071: Add an option to create zip files using 7z [rbm]
     * Bug 40073: We should remove ./ when using 7-zip for zip files [rbm]
     * Bug 40076: Correctly refresh file when computing input_files_id and a file is set as refresh_input [rbm]
   * Windows + macOS + Linux
     * Bug 42305: (Semi-)Automatically merge translation resources across tor browser releases (desktop) [tor-browser]
     * Bug 42501: Move `--disable-eme` to OS- and architecture-specific mozconfigs [tor-browser]
     * Bug 42519: Update the profile directory patch to check both for `system-install` and for `is-packaged-app` file [tor-browser]
     * Bug 41057: make fetch is not fetching mullvad repo [tor-browser-build]
     * Bug 41078: pt_config.json not touch'd before adding to omni.ja, resulting in build non-determinism [tor-browser-build]
     * Bug 41088: Remove use of projects/browser/run_scripts [tor-browser-build]
   * Windows
     * Bug 40606: Use Clang to compile NSIS [tor-browser-build]
     * Bug 40900: Update NSIS to 3.09 [tor-browser-build]
     * Bug 41065: Do a cleanup of the NSIS script [tor-browser-build]
     * Bug 41076: Include the ShellLink plugin in NSIS [tor-browser-build]
     * Bug 41097: authenticode-timestamping.sh fails to run again because tmp-timestamp already exists [tor-browser-build]
     * Bug 41150: Do not check for SSE2 on the Windows installer [tor-browser-build]
   * macOS
     * Bug 41084: $app_bundle is missing the final .app in projects/firefox/build [tor-browser-build]
     * Bug 41124: Since TB/MB 13.5a5 macos signed installers contain all .DS_Store [tor-browser-build]
   * Linux
     * Bug 42491: Add mozconfig-linux-aarch64 [tor-browser]
     * Bug 41046: Use the final path for Linux debug symbols [tor-browser-build]
     * Bug 41126: Make deb and rpm packages for Tor Browser [tor-browser-build]
     * Bug 41137: Build gcc-cross and tor-expert-bundle for linux-aarch64 [tor-browser-build]
     * Bug 41160: Enable build of Tor Browser rpm/deb packages for nightly only [tor-browser-build]
   * Android
     * Bug 40502: Do not recommend addons on Tor Browser [tor-browser]
     * Bug 42399: Re-enable minimization of JS for Android [tor-browser]
     * Bug 42568: Remove legacy tor dependencies from firefox-android [tor-browser]
     * Bug 42569: Remove tor-onion-proxy-library and and tor-android-service deployment/ingestion steps from firefox-android dev tools/scripts [tor-browser]
     * Bug 42570: Add tor-expert-bundle aar depoyment/ingestion step to firefox-android dev tools/scripts [tor-browser]
     * Bug 42581: Check if a file exists before trying to sign it in tools/tba-sign-devbuild.sh [tor-browser]
     * Bug 41080: Re-pack omni.ja with 7-zip on Android [tor-browser-build]
     * Bug 41082: Package tor expert bundle on android as .aar that firefox-android can use in lieu of tor-android-service with geckoview bootstrap [tor-browser-build]
     * Bug 41092: Use an uncompressed omni.ja to improve final apk compression. [tor-browser-build]
     * Bug 41093: Sign unsigned APKs instead of the QA-signed ones [tor-browser-build]
     * Bug 41127: Android testbuilds fail because of the too early MOZ_BUILD_DATE [tor-browser-build]
     * Bug 41139: Remove tor-android-service and tor-onion-proxy-library dependencies and ingestion steps from firefox-android config and build script [tor-browser-build]
     * Bug 41140: Remove tor-onion-proxy-library and tor-android-service projects from tor-browser-build [tor-browser-build]
     * Bug 41141: Add tor-expert-bundle aar dependency to firefox-android [tor-browser-build]
     * Bug 42201: Make the script sign all the channels for local builds [tor-browser]
     * Bug 42258: Replace the current boring "fiery android" icon we use for dev with the cool nightly icon [tor-browser]

Tor Browser 13.0.16 - June 11th 2024
 * All Platforms
   * Updated Tor to 0.4.8.12
   * Updated OpenSSL to 3.0.14
   * Bug 42625: Rebase Tor Browser Stable 13.0 onto 115.12.0esr [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 115.12.0esr
 * Android
   * Updated GeckoView to 115.12.0esr
   * Bug 42621: Backport security fixes from Firefox 127 [tor-browser]
 * Build System
   * All Platforms
     * Updated Go to 1.21.11

Tor Browser 13.5a9 - June 10 2024
 * All Platforms
   * Updated Tor to 0.4.8.12
   * Updated OpenSSL to 3.0.14
   * Bug 41467: compat: beacon: re-enable the API but transform it to a no-op [tor-browser]
   * Bug 42604: Add some debug logs about circuits [tor-browser]
   * Bug 42614: Rebase Tor Browser Stable onto 115.12.0esr [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 115.12.0esr
   * Bug 41149: Add be, bg and pt-PT translations to nightlies [tor-browser-build]
 * Windows + macOS
   * Bug 42586: Add support link to OS deprecation message [tor-browser]
 * Windows
   * Bug 41859: Font used for IPs in circuit display is illegible [tor-browser]
 * Android
   * Updated GeckoView to 115.12.0esr
   * Bug 42593: Unable to disable bridges after they have been configured and successfully bootstrapped [tor-browser]
   * Bug 42621: Backport security fixes from Firefox 127 [tor-browser]
 * Build System
   * All Platforms
     * Updated Go to 1.21.11
     * Bug 42594: Update mach to work with python 3.12 [tor-browser]
     * Bug 41153: Update README for Ubuntu 24.04 unprivileged user namespace changes [tor-browser-build]
     * Bug 41154: Update keyring/boklm.gpg for new subkeys [tor-browser-build]
   * Windows
     * Bug 41150: Do not check for SSE2 on the Windows installer [tor-browser-build]
   * Linux
     * Bug 41126: Make deb and rpm packages for Tor Browser [tor-browser-build]
     * Bug 41160: Enable build of Tor Browser rpm/deb packages for nightly only [tor-browser-build]
   * Android
     * Bug 42568: Remove legacy tor dependencies from firefox-android [tor-browser]
     * Bug 42569: Remove tor-onion-proxy-library and and tor-android-service deployment/ingestion steps from firefox-android dev tools/scripts [tor-browser]
     * Bug 42570: Add tor-expert-bundle aar depoyment/ingestion step to firefox-android dev tools/scripts [tor-browser]
     * Bug 42581: Check if a file exists before trying to sign it in tools/tba-sign-devbuild.sh [tor-browser]
     * Bug 41139: Remove tor-android-service and tor-onion-proxy-library dependencies and ingestion steps from firefox-android config and build script [tor-browser-build]
     * Bug 41140: Remove tor-onion-proxy-library and tor-android-service projects from tor-browser-build [tor-browser-build]
     * Bug 41141: Add tor-expert-bundle aar dependency to firefox-android [tor-browser-build]

Tor Browser 13.5a8 - May 16 2024
 * All Platforms
   * Bug 42290: "DuckDuckGoOnion" is a weird naming format for onion search engines [tor-browser]
   * Bug 42549: Remove brand.dtd [tor-browser]
   * Bug 42560: Rebase Tor Browser alpha onto 115.11.0esr [tor-browser]
   * Bug 42565: Backport Android and desktop security fixes from Firefox 126 [tor-browser]
   * Bug 42583: Modify moz-support-link [tor-browser]
   * Bug 41137: Build gcc-cross and tor-expert-bundle for linux-aarch64 [tor-browser-build]
   * Bug 241: Move network.proxy.failover_direct=false pref to base-browser [mullvad-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 115.11.0esr
   * Bug 41621: Tweak about:torconnect styling [tor-browser]
   * Bug 41930: intl.accept_languages gets into a stuck modifed state [tor-browser]
   * Bug 42391: IndexDB's private directory not removed on browser shutdown in global private browsing mode [tor-browser]
   * Bug 42405: Fix betterboxing + findbar horizontal bounce if the scrollbar is not an overlay [tor-browser]
   * Bug 42541: Circuit Display does not work when using Conjure pluggable transport [tor-browser]
   * Bug 42542: Quirks when onion authentication prompt is shared between two tabs [tor-browser]
   * Bug 42557: Fix regression in Onion Services authentication prompt focus [tor-browser]
   * Bug 42573: Tweak language notification to avoid formatValue [tor-browser]
   * Bug 42574: Exempt pdf.js from letterboxing [tor-browser]
 * Windows + macOS
   * Bug 41405: Win ≤8.1 and macOS ≤10.14 not supported in ESR 128 [tor-browser]
   * Bug 42347: Add a banner warning users about the upcoming EOL for Win ≤8.1 and macOS ≤10.14 [tor-browser]
 * Linux
   * Bug 41136: Include *.deb in the list of files to gpg sign [tor-browser-build]
 * Android
   * Updated GeckoView to 115.11.0esr
   * Bug 42317: Update "Security Settings" menu item [tor-browser]
   * Bug 42409: TTP-03-011 WP3: Potential DoS due to Deep Link abuse [tor-browser]
   * Bug 42552: TBA: formatting APIs are en-US only [tor-browser]
   * Bug 42562: Restrict the accepted languages to the ones whose localization is available [tor-browser]
   * Bug 42566: Remove 'Enable beta connection features' menu item in stable release channel [tor-browser]
   * Bug 42567: Remove 'Enable beta connection features' toggle [tor-browser]
   * Bug 42571: The new bootstrap on Android breaks if the browser goes in background [tor-browser]
   * Bug 42576: Backport Bug 1885171: use the private keyboard for prompts on Android [tor-browser]
   * Bug 42578: Reject Android "open in Tor Browser" intent [tor-browser]
   * Bug 42582: Accepted languages should use id and he on Android [tor-browser]
   * Bug 41143: Enable multi-locales also on GeckoView [tor-browser-build]
 * Build System
   * All Platforms
     * Updated Go to 1.21.10
     * Bug 41001: Create Release Prep MR generating script [tor-browser-build]
     * Bug 41148: Update projects/browser/Bundle-Data/Docs/Licenses/NoScript.txt [tor-browser-build]
     * Bug 40076: Correctly refresh file when computing input_files_id and a file is set as refresh_input [rbm]
   * Android
     * Bug 42568: Remove legacy tor dependencies from firefox-android [tor-browser]

Tor Browser 13.0.15 - May 14 2024
 * All Platforms
    * Bug 42559: Rebase Tor Browser stable onto 115.11.0esr [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 115.11.0esr
   * Bug 42391: IndexDB's private directory not removed on browser shutdown in global private browsing mode [tor-browser]
   * Bug 42532: Use the HomePage module for new identity checks [tor-browser]
   * Bug 42557: Fix regression in Onion Services authentication prompt focus [tor-browser]
   * Bug 42565: Backport Android and desktop security fixes from Firefox 126 [tor-browser]
 * Android
   * Updated GeckoView to 115.11.0esr
   * Bug 42195: Fix "What's new" URL to direct to latest version [tor-browser]
   * Bug 42562: Restrict the accepted languages to the ones whose localization is available [tor-browser]
 * Build System
   * macOS
     * Bug 42535: mac: app change to ja doesn't apply ja translations to most (all?) chrome [tor-browser]

Tor Browser 13.5a7 - April 25 2024
 * All Platforms
   * Updated Tor to 0.4.8.11
   * Bug 40919: Consider dropping protection against line-height introduced in #23104 [tor-browser]
   * Bug 42315: compat: why is eventCounts undefined? [tor-browser]
   * Bug 42476: Only allow Lox (invites) in alpha and nightly builds [tor-browser]
   * Bug 42479: Switch from localized strings to error codes in TorConnect errors [tor-browser]
   * Bug 42512: Rebase Tor Browser alpha onto 115.10.0esr [tor-browser]
   * Bug 42521: Remove unused onboarding strings [tor-browser]
   * Bug 42529: Try not to spoof system-ui in contexts exempt from RFP [tor-browser]
   * Bug 42537: Move Fluent files from "browser" to "toolkit" [tor-browser]
   * Bug 42538: Move onion icons to toolkit [tor-browser]
   * Bug 41111: Use Lyrebird to provide WebTunnel PT Client [tor-browser-build]
 * Windows + macOS + Linux
   * Updated Firefox to 115.10.0esr
   * Bug 40843: Add a working state to the Internet test button in connection settings [tor-browser]
   * Bug 41622: Convert onion site errors to the new neterror template [tor-browser]
   * Bug 41966: Cannot remove locales from the locale alternatives list [tor-browser]
   * Bug 42192: Correctly round new windows when bookmarks toolbar is set to "Only Show on New Tab" [tor-browser]
   * Bug 42202: Fluent migration: crypto safety [tor-browser]
   * Bug 42206: Fluent migration: about:rulesets [tor-browser]
   * Bug 42207: Fluent migration: preferences [tor-browser]
   * Bug 42210: Fluent migration: download warning [tor-browser]
   * Bug 42457: Loading icon for bridge pass (Lox) invites [tor-browser]
   * Bug 42489: Lox module notifications [tor-browser]
   * Bug 42490: Install svg from branding theme to browser/chrome/icons/default [tor-browser]
   * Bug 42496: Moat refresh bug [tor-browser]
   * Bug 42500: When startup window is maximized per letterboxing.rememberSize on startup, the restore button shrinks it to its minimum size [tor-browser]
   * Bug 42504: TB Bookmarks: Add the Tor forum .onion to the bookmarks [tor-browser]
   * Bug 42510: SETCONF Tor control protocol command should not be used when system Tor is configured / TOR_SKIP_LAUNCH=1 is not honored [tor-browser]
   * Bug 42511: false positive message: browser tab bar shows "Not connected" even though connected in a system Tor etc. context [tor-browser]
   * Bug 42520: Correctly record new initial window size after auto-shrinking [tor-browser]
   * Bug 42532: Use the HomePage module for new identity checks [tor-browser]
   * Bug 42533: Add Lox notification for activeLoxId [tor-browser]
   * Bug 42540: Fix gNetworkStatus.deinint typo [tor-browser]
   * Bug 289: The Letterboxing>Content Alignment heading doesn't follow the Firefox design document capitalization [mullvad-browser]
 * Windows
   * Bug 41901: windows: FontSubstitutes can leak system locale [tor-browser]
 * Linux
   * Bug 41112: Fix indentation of projects/browser/RelativeLink/start-browser [tor-browser-build]
 * Android
   * Updated GeckoView to 115.10.0esr
   * Updated zstd to 1.5.6
   * Bug 42017: TBA13: system/widget font tests: font-family not returned in getComputedStyle [tor-browser]
   * Bug 42195: Fix "What's new" URL to direct to latest version [tor-browser]
   * Bug 42486: firefox-android bridge settings sometimes dont save [tor-browser]
   * Bug 42522: The quick connect switch on Android seems too much on the right side [tor-browser]
 * Build System
   * All Platforms
     * Updated Go to 1.21.9
     * Bug 42516: Make tb-dev worktree-compatible [tor-browser]
     * Bug 41122: Add release date to rbm.conf [tor-browser-build]
   * Windows + macOS + Linux
     * Bug 42501: Move `--disable-eme` to OS- and architecture-specific mozconfigs [tor-browser]
     * Bug 42519: Update the profile directory patch to check both for `system-install` and for `is-packaged-app` file [tor-browser]
   * macOS
     * Bug 42535: mac: app change to ja doesn't apply ja translations to most (all?) chrome [tor-browser]
     * Bug 41124: Since TB/MB 13.5a5 macos signed installers contain all .DS_Store [tor-browser-build]
   * Linux
     * Bug 42491: Add mozconfig-linux-aarch64 [tor-browser]
   * Android
     * Bug 40992: Updated torbrowser_version number is not enough to change firefox-android versionCode number [tor-browser-build]
     * Bug 41127: Android testbuilds fail because of the too early MOZ_BUILD_DATE [tor-browser-build]

Tor Browser 13.0.14 - April 16 2024
 * All Platforms
   * Updated Tor to 0.4.8.11
   * Bug 41676: Set privacy.resistFingerprinting.testing.setTZtoUTC as a defense-in-depth [tor-browser]
   * Bug 42335: Do not localize the order of locales for app lang [tor-browser]
   * Bug 42428: Timezone offset leak via document.lastModified [tor-browser]
   * Bug 42472: Timezone may leak from XSLT Date function [tor-browser]
   * Bug 42508: Rebase Tor Browser stable onto 115.10.0esr [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 115.10.0esr
   * Bug 42172: browser.startup.homepage and TOR_DEFAULT_HOMEPAGE are ignored for the new window opened by New Identity [tor-browser]
   * Bug 42236: Let users decide whether to load their home page on new identity. [tor-browser]
   * Bug 42468: App languages not sorted correctly in stable [tor-browser]
 * Linux
   * Bug 41110: Avoid Fontconfig warning about "ambiguous path" [tor-browser-build]
 * Android
   * Updated GeckoView to 115.10.0esr
   * Bug 42509: Backport Android security fixes from Firefox 125 [tor-browser]
 * Build System
   * All Platforms
     * Updated Go to 1.21.8
     * Bug 41107: Update download-unsigned-sha256sums-gpg-signatures-from-people-tpo for new type of URL [tor-browser-build]
     * Bug 41122: Add release date to rbm.conf [tor-browser-build]
   * Android
     * Bug 40992: Updated torbrowser_version number is not enough to change firefox-android versionCode number [tor-browser-build]

Tor Browser 13.5a6 - March 28 2024
 * All Platforms
   * Bug 41114: Fix no-async-promise-executor on TorConnect [tor-browser]
   * Bug 41676: Set privacy.resistFingerprinting.testing.setTZtoUTC as a defense-in-depth [tor-browser]
   * Bug 42336: Review the relationship between TorSettings and the TorProvider [tor-browser]
   * Bug 42428: Timezone offset leak via document.lastModified [tor-browser]
   * Bug 42435: Update moat domain fronting configuration [tor-browser]
   * Bug 42437: Drop "torbrowser.version" preference [tor-browser]
   * Bug 42444: Remove the "Prioritize .onion sites when known" option [tor-browser]
   * Bug 42449: Rebase Tor Browser alpha onto Firefox 115.9.0esr [tor-browser]
   * Bug 42459: Add startpage onion service to list of search providers [tor-browser]
   * Bug 42466: Drop the "Onion Logo" from trademark statement [tor-browser]
   * Bug 42472: Timezone May leak from XSLT Date function [tor-browser]
   * Bug 42473: ESR 115.9.1 fixes [tor-browser]
   * Bug 42481: Modularize SecurityLevel [tor-browser]
   * Bug 41105: Bump version of snowflake to v2.9.2 [tor-browser-build]
 * Windows + macOS + Linux
   * Updated Firefox to 115.9.0esr
   * Bug 41916: Letterboxing preferences UI [tor-browser]
   * Bug 41918: Add option to reuse last window size when letterboxing is enabled [tor-browser]
   * Bug 42203: Fluent migration: about dialog [tor-browser]
   * Bug 42209: Fluent migration: tor circuit [tor-browser]
   * Bug 42211: Fluent migration: new identity [tor-browser]
   * Bug 42214: Fluent migration: security level [tor-browser]
   * Bug 42236: Let users decide whether to load their home page on new identity. [tor-browser]
   * Bug 42443: Shrink the window to match letterboxing size when the emtpy area is doble-clicked [tor-browser]
   * Bug 42446: Improve accessible descriptions in built-in dialog [tor-browser]
   * Bug 42458: Update the "Submit Feedback" link in "About Tor Browser" [tor-browser]
 * Windows
   * Bug 42377: Hidden fonts are automatically added to the allow list [tor-browser]
 * Linux
   * Bug 42438: Adapt the data import wizard to use the original $HOME on Linux [tor-browser]
   * Bug 41110: Avoid Fontconfig warning about "ambiguous path" [tor-browser-build]
 * Android
   * Updated GeckoView to 115.9.0esr
   * Bug 41187: Improve Android's bridge settings UI [tor-browser]
   * Bug 42427: Do not ship bridges as prefences anymore [tor-browser]
 * Build System
   * All Platforms
     * Updated Go to 1.21.8
     * Bug 41102: src archive does not match likely due to mismatched xz-utils version [tor-browser-build]
     * Bug 41107: Update download-unsigned-sha256sums-gpg-signatures-from-people-tpo for new type of URL [tor-browser-build]
     * Bug 40073: We should remove ./ when using 7-zip for zip files [rbm]
   * Windows + macOS + Linux
     * Bug 42305: (Semi-)Automatically merge translation resources across tor browser releases (desktop) [tor-browser]
     * Bug 41088: Remove use of projects/browser/run_scripts [tor-browser-build]
   * Windows
     * Bug 41097: authenticode-timestamping.sh fails to run again because tmp-timestamp already exists [tor-browser-build]
   * Android
     * Bug 40502: Do not recommend addons on Tor Browser [tor-browser]
     * Bug 41082: Package tor expert bundle on android as .aar that firefox-android can use in lieu of tor-android-service with geckoview bootstrap [tor-browser-build]

Tor Browser 13.0.13 - March 22 2024
 * Windows + macOS + Linux
   * Updated Firefox to 115.9.1esr
   * Bug 42473: ESR 115.9.1 fixes [tor-browser]
   * Bug 42474: Rebase stable browsers on 115.9.1 [tor-browser]

Tor Browser 13.0.12 - March 19 2024
 * All Platforms
   * Updated Snowflake to 2.9.2
   * Bug 42376: The placeholder of datetime inputs keeps being localized when spoof English is on [tor-browser]
   * Bug 42378: spoof english + htmlform <details> can leak app language [tor-browser]
   * Bug 42444: Remove the "Prioritize .onion sites when known" option [tor-browser]
   * Bug 42448: Rebase Tor Browser stable onto Firefox 115.9.0esr [tor-browser]
   * Bug 42459: Add startpage onion service to list of search providers [tor-browser]
   * Bug 41105: Bump version of snowflake to v2.9.2 [tor-browser-build]
 * Windows + macOS + Linux
   * Updated Firefox to 115.9.0esr
 * Windows
   * Bug 42377: Hidden fonts are automatically added to the allow list [tor-browser]
 * Android
   * Updated GeckoView to 115.9.0esr
   * Bug 42407: TTP-03-010 WP3: Potential phishing [tor-browser]
 * Build System
   * All Platforms
     * Updated Go to 1.21.8
     * Bug 41102: src archive does not match likely due to mismatched xz-utils version [tor-browser-build]

Tor Browser 13.0.11 - March 06 2024
 * All Platforms
   * Bug 42435: Update moat domain fronting configuration [tor-browser]
 * Build System
   * All Platforms
     * Bug 41085: kick_devmole_build script prints wrong URL for Mullvad's build hashes [tor-browser-build]
     * Bug 41097: authenticode-timestamping.sh fails to run again because tmp-timestamp already exists [tor-browser-build]

Tor Browser 13.5a5 - February 28 2024
 * All Platforms
   * Updated OpenSSL to 3.0.13
   * Updated Snowflake to 2.9.0
   * Bug 42376: The placeholder of datetime inputs keeps being localized when spoof English is on [tor-browser]
   * Bug 42378: spoof english + htmlform <details> can leak app language [tor-browser]
   * Bug 42390: Betterboxing: make the decorator border disappear when the corners are flat [tor-browser]
   * Bug 42397: Change RFP-spoofed Timezone from UTC to a real-world, less discriminable one [tor-browser]
   * Bug 42412: Rebase Tor Browser Alpha onto 115.8.0esr [tor-browser]
   * Bug 41079: Bump version of Snowflake to v2.9.0 [tor-browser-build]
 * Windows + macOS + Linux
   * Updated Firefox to 115.8.0esr
   * Bug 41814: Change "vanilla bridge:" to "Tor bridge:" in bridge cards [tor-browser]
   * Bug 42270: Implement design changes to QR code dialog [tor-browser]
   * Bug 42389: Betterboxing: gradient is never shown [tor-browser]
   * Bug 42398: Include Alpha and Nightly in MOZ_APP_DISPLAYNAME (and possibly in other places) [tor-browser]
   * Bug 42414: Show ellipsis when the tor bridge address overflows [tor-browser]
   * Bug 42415: Improve focus styling for forced focus in bridge settings [tor-browser]
   * Bug 42421: Remove bridge option should be hidden for Lox bridges [tor-browser]
   * Bug 42423: Move temporary Lox Fluent strings to new file [tor-browser]
   * Bug 42425: Improve accessibility of the bridge emoji cells [tor-browser]
 * Android
   * Updated GeckoView to 115.8.0esr
   * Bug 42253: Remove "New private tab" action and widget [tor-browser]
   * Bug 42402: Remove Android YEC strings [tor-browser]
   * Bug 42407: TTP-03-010 WP3: Potential phishing [tor-browser]
   * Bug 42416: Backport Android security fixes from Firefox 123 [tor-browser]
 * macOS
   * Bug 40569: Create build-specific installer for macOS [tor-browser-build]
 * Build System
   * All Platforms
     * Updated Go to 1.20.14 and 1.21.7
     * Bug 41081: Update detailsURL in tools/signing/nightly/update-responses-base-config.yml [tor-browser-build]
     * Bug 41085: kick_devmole_build script prints wrong URL for Mullvad's build hashes [tor-browser-build]
     * Bug 40068: Switch from IO::CaptureOutput to Capture::Tiny [rbm]
     * Bug 40069: Make stdout and stderr utf8 [rbm]
     * Bug 40071: Add an option to create zip files using 7z [rbm]
     * Bug 40072: Move capture_exec to a separate module [rbm]
   * Windows
     * Bug 41076: Include the ShellLink plugin in NSIS [tor-browser-build]
   * macOS
     * Bug 41084: $app_bundle is missing the final .app in projects/firefox/build [tor-browser-build]
   * Android
     * Bug 42399: Re-enable minimization of JS for Android [tor-browser]
     * Bug 41080: Re-pack omni.ja with 7-zip on Android [tor-browser-build]
     * Bug 41092: Use an uncompressed omni.ja to improve final apk compression. [tor-browser-build]
     * Bug 41093: Sign unsigned APKs instead of the QA-signed ones [tor-browser-build]

Tor Browser 13.0.10 - February 20 2024
 * All Platforms
   * Updated OpenSSL to 3.0.13
   * Updated zlib to 1.3.1
   * Updated Snowflake to 2.9.0
   * Bug 42374: spoof english leaks via numberingSystem: numbers (non-latn) or decimal separator (latn) [tor-browser]
   * Bug 42411: Rebase Tor Browser stable onto 115.8.0esr [tor-browser]
   * Bug 41079: Bump version of Snowflake to v2.9.0 [tor-browser-build]
 * Windows + macOS + Linux
   * Updated Firefox to 115.8.0esr
   * Bug 42338: Changing circuit programmatically in Tor Browser not working anymore! [tor-browser]
 * Android
   * Updated GeckoView to 115.8.0esr
   * Bug 42402: Remove Android YEC strings [tor-browser]
   * Bug 42416: Backport Android security fixes from Firefox 123 [tor-browser]
 * Linux
   * Bug 42293: Updater is disabled when tor-browser is run by torbrowser-launcher flatpak [tor-browser]
 * Build System
   * All Platforms
     * Updated Go to 1.20.14 and 1.21.7
     * Bug 41067: Use Capture::Tiny instead of IO::CaptureOutput [tor-browser-build]
     * Bug 40067: Use --no-verbose wget option when not running in a terminal [rbm]
     * Bug 40068: Switch from IO::CaptureOutput to Capture::Tiny [rbm]
     * Bug 40069: Make stdout and stderr utf8 [rbm]
     * Bug 40072: Move capture_exec to a separate module [rbm]

Tor Browser 13.5a4 - January 31 2024
 * All Platforms
   * Updated zlib to 1.3.1
   * Updated Snowflake to 2.8.1
   * Bug 42343: Consume pt_config.json in the browser [tor-browser]
   * Bug 42348: TorSettings.defaultSettings() removed but still referenced by Moat.sys.mjs [tor-browser]
   * Bug 42354: Refactor exclusions in ShouldSanitizePreference() to the pref list. [tor-browser]
   * Bug 42358: Separate the domain fronted requests from Moat [tor-browser]
   * Bug 42359: Handle firewall and proxy in TorSettings.setSettings [tor-browser]
   * Bug 42363: Tab thumbnails enhancements [tor-browser]
   * Bug 42366: Rebase Tor Browser Alpha onto Firefox 115.7.0esr [tor-browser]
   * Bug 42369: Revert YEC 2023 changes [tor-browser]
   * Bug 42374: spoof english leaks via numberingSystem: numbers (non-latn) or decimal separator (latn) [tor-browser]
   * Bug 42384: Regression: quickstart doesn't work anymore [tor-browser]
   * Bug 41058: Update Snowflake to 2.8.1 [tor-browser-build]
   * Bug 262: Mouse-over long links causes the browser element to re-center relative to width of status tooltip [mullvad-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 115.7.0esr
   * Bug 41917: Make the appearance of letterboxing look more intentional [tor-browser]
   * Bug 42036: Design and build a user interface for Lox [tor-browser]
   * Bug 42338: Changing circuit programmatically in Tor Browser not working anymore! [tor-browser]
   * Bug 42387: Visual noise in 13.5a4 letterboxing [tor-browser]
 * Linux
   * Bug 42293: Updater is disabled when tor-browser is run by torbrowser-launcher flatpak [tor-browser]
 * Android
   * Updated GeckoView to 115.7.0esr
   * Bug 42252: Plumb down TorConnect commands from firefox-android to GeckoView [tor-browser]
   * Bug 42346: Crash in firefox-android originating in backported FullScreenNotificationDialog patch [tor-browser]
   * Bug 42353: Fix Android NoScript automatic updates [tor-browser]
   * Bug 42355: Fullscreen on Android doesn't hide system bars [tor-browser]
   * Bug 42367: Backport Android security fixes from Firefox 122 [tor-browser]
   * Bug 42368: Tor Browser 13.5a3 crashes during start-up because of API26+ methods [tor-browser]
 * Build System
   * All Platforms
     * Updated Go to 1.20.13 and 1.21.6
     * Bug 41037: Set time on signing machine before starting signing [tor-browser-build]
     * Bug 41038: Add RPM dependencies to README [tor-browser-build]
     * Bug 41059: Update keyring/torbrowser.gpg with updated key [tor-browser-build]
     * Bug 41063: Run "file $keyring" in tools/keyring/list-all-keyrings [tor-browser-build]
     * Bug 41067: Use Capture::Tiny instead of IO::CaptureOutput [tor-browser-build]
     * Bug 41073: Update documention about required packages for container-less build [tor-browser-build]
     * Bug 40067: Use --no-verbose wget option when not running in a terminal [rbm]
   * Windows + macOS + Linux
     * Bug 41078: pt_config.json not touch'd before adding to omni.ja, resulting in build non-determinism [tor-browser-build]
   * Windows
     * Bug 40606: Use Clang to compile NSIS [tor-browser-build]
     * Bug 40900: Update NSIS to 3.09 [tor-browser-build]
     * Bug 41065: Do a cleanup of the NSIS script [tor-browser-build]

Tor Browser 13.0.9 - January 23 2024
 * All Platforms
   * Updated Snowflake to 2.8.1
   * Bug 42363: Tab thumbnails enhancements [tor-browser]
   * Bug 42365: Rebase Tor Browser Stable onto Firefox 115.7.0esr [tor-browser]
   * Bug 42367: Backport Android security fixes from Firefox 122 [tor-browser]
   * Bug 42369: Revert YEC 2023 changes [tor-browser]
   * Bug 41058: Update Snowflake to 2.8.1 [tor-browser-build]
 * Windows + macOS + Linux
   * Updated Firefox to 115.7.0esr
   * Bug 42099: Blind cross-origin requests to .tor.onion domains [tor-browser]
   * Bug 42189: Assertion failure: the value of mPrivateBrowsingId in the loadContext and in the loadInfo are not the same! [tor-browser]
 * Android
   * Updated GeckoView to 115.7.0esr
   * Bug 42313: Enable One UI Sans KR as a possible font for Korean (MozBug 1865238) [tor-browser]
   * Bug 42324: Onion Location on Android is ignored [tor-browser]
   * Bug 42346: Crash in firefox-android originating in backported FullScreenNotificationDialog patch [tor-browser]
   * Bug 42353: Fix Android NoScript automatic updates [tor-browser]
   * Bug 42355: Fullscreen on Android doesn't hide system bars [tor-browser]
 * Build System
   * All Platforms
     * Updated Go to 1.20.13 and 1.21.6
     * Bug 41059: Update keyring/torbrowser.gpg with updated key [tor-browser-build]
     * Bug 41063: Run "file $keyring" in tools/keyring/list-all-keyrings [tor-browser-build]
   * Windows + macOS + Linux
     * Bug 41056: Make it possible to use templates in var/torbrowser_incremental_from [tor-browser-build]
   * Windows + macOS
     * Bug 41016: Switch from bullseye to bookworm for desktop platforms [tor-browser-build]
   * Windows
     * Bug 41015: Enable std::filesystem on libc++ on Windows [tor-browser-build]
   * Android
     * Bug 41066: The Android x86 APK for 13.0.9 is too big [tor-browser-build]

Tor Browser 13.5a3 - December 22 2023
 * All Platforms
   * Updated Tor to 0.4.8.10
   * Updated NoScript to 11.4.29
   * Bug 42042: view-source:http://ip-address does not work because of HTTPS Only [tor-browser]
   * Bug 42308: Update README for tor browser [tor-browser]
   * Bug 42332: Rebase Tor Browser alpha onto 115.6.0esr [tor-browser]
   * Bug 42334: Keep returning ERROR_ONION_WITH_SELF_SIGNED_CERT only for .onion sites whose cert throws ERROR_UNKNOWN_ISSUER [tor-browser]
   * Bug 42335: Do not localize the order of locales for app lang [tor-browser]
   * Bug 42340: TorBridgeChanged notification sends out "[object Object]" as its data. [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 115.6.0esr
   * Bug 40856: Add a default for preferences in TorSettings [tor-browser]
   * Bug 42099: Blind cross-origin requests to .tor.onion domains [tor-browser]
   * Bug 42189: Assertion failure: the value of mPrivateBrowsingId in the loadContext and in the loadInfo are not the same! [tor-browser]
   * Bug 42283: Tor Browser shouldn't ship blockchair by default [tor-browser]
   * Bug 42299: After adding incorrect bridge addres on user cannot go back to the Connection page [tor-browser]
   * Bug 42303: Remove unused "help" button logic in tor dialogs [tor-browser]
   * Bug 42319: Make all the wordmark of the same size [tor-browser]
 * Windows
   * Bug 42163: Make the 3rd party DLL blocklist obey portable mode [tor-browser]
   * Bug 42179: PTs on Tor Browser 13 do not work with Windows 7 [tor-browser]
 * Linux
   * Bug 41050: Improve the disk leak sanitization on start-$browser [tor-browser-build]
 * Android
   * Updated GeckoView to 115.6.0esr
   * Bug 42248: Allow GeckoView to launch tor [tor-browser]
   * Bug 42249: Allow GeckoView to launch lyrebird [tor-browser]
   * Bug 42250: Allow Moat.sys.mjs to invoke lyrebird on Android [tor-browser]
   * Bug 42301: Make TorSettings interact with the old Android Settings [tor-browser]
   * Bug 42313: Enable One UI Sans KR as a possible font for Korean (MozBug 1865238) [tor-browser]
   * Bug 42323: Add a checkbox to enable the connect assist experiments on alpha [tor-browser]
   * Bug 42324: Onion Location on Android is ignored [tor-browser]
   * Bug 42339: Backport Android security fixes from Firefox 121 to 115.6 - based Tor Browser [tor-browser]
 * Build System
   * All Platforms
     * Updated Go to 1.21.5
     * Bug 42331: tb-dev fetch command is missing repository argument [tor-browser]
     * Bug 40995: Use cdn.stagemole.eu instead of cdn.devmole.eu in download-unsigned-sha256sums-gpg-signatures-from-people-tpo [tor-browser-build]
     * Bug 41026: Do not use ~ when uploading the signed hashes [tor-browser-build]
     * Bug 41027: Remove tb-build-04 and tb-build-05 from tools/signing/download-unsigned-sha256sums-gpg-signatures-from-people-tpo [tor-browser-build]
     * Bug 41036: Remove go_vendor-lyrebird-nightly makefile target, and rename go_vendor-$project-alpha makefile targets to go_vendor-$project [tor-browser-build]
     * Bug 41039: Update tools/signing/upload-update_responses-to-staticiforme to keep download-*json files from previous release when new release does not include them [tor-browser-build]
     * Bug 41042: Add options to include updates in the changelog scripts [tor-browser-build]
     * Bug 41043: Create script to push build requests to Mullvad build servers [tor-browser-build]
     * Bug 41045: Dump more information about build times on Firefox [tor-browser-build]
     * Bug 41048: Drop the  kcp-go project [tor-browser-build]
   * Windows + macOS + Linux
     * Bug 41031: Add command to unsign .mar files and compare with sha256sums-unsigned-build.txt [tor-browser-build]
     * Bug 41056: Make it possible to use templates in var/torbrowser_incremental_from [tor-browser-build]
     * Bug 41057: make fetch is not fetching mullvad repo [tor-browser-build]
   * Windows + macOS
     * Bug 41016: Switch from bullseye to bookworm for desktop platforms [tor-browser-build]
   * Windows
     * Bug 41015: Enable std::filesystem on libc++ on Windows [tor-browser-build]
     * Bug 41030: Add command to unsign .exe files and compare with sha256sums-unsigned-build.txt [tor-browser-build]
   * macOS
     * Bug 40990: Remove old macos signing scripts [tor-browser-build]
   * Linux
     * Bug 41046: Use the final path for Linux debug symbols [tor-browser-build]

Tor Browser 13.0.8 - December 20 2023
 * Windows
   * Bug 41053: All PT's crash instantly in 13.0.7  [tor-browser-build]
   * Bug 42179: PTs on Tor Browser 13 do not work with Windows 7 [tor-browser]
 * Linux
   * Bug 41050: Improve the disk leak sanitization on start-$browser [tor-browser-build]
 * Build System
   * All Platforms
     * Bug 41042: Add options to include updates in the changelog scripts [tor-browser-build]
     * Bug 41043: Create script to push build requests to Mullvad build servers [tor-browser-build]

Tor Browser 13.0.7 - December 19 2023
 * All Platforms
   * Updated tor to 0.4.8.10
   * Updated NoScript to 11.4.29
   * Bug 42042: view-source:http://ip-address does not work because of HTTPS Only [tor-browser]
   * Bug 42261: Update the icon of Startpage search engine [tor-browser]
   * Bug 42330: Rebase stable browsers to 115.6.0esr [tor-browser]
   * Bug 42334: Keep returning ERROR_ONION_WITH_SELF_SIGNED_CERT only for .onion sites whose cert throws ERROR_UNKNOWN_ISSUER [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 115.6.0esr
   * Bug 42283: Tor Browser shouldn't ship blockchair by default [tor-browser]
 * Android
   * Updated GekcoView to 115.6.0esr
   * Bug 42285: Update the gitignore to use the correct paths for tor stuff [tor-browser]
   * Bug 42339: Backport Android security fixes from Firefox 121 to 115.6 - based Tor Browser [tor-browser]
 * Build System
   * All Platforms
     * Update Go to 1.21.5
     * Bug 40884: Script to automate uploading sha256s and signatures to location signing/download-unsigned-sha256sums-gpg-signatures-from-people-tpo expects them to be [tor-browser-build]
     * Bug 41026: Do not use ~ when uploading the signed hashes [tor-browser-build]
     * Bug 41036: Remove go_vendor-lyrebird-nightly makefile target, and rename go_vendor-$project-alpha makefile targets to go_vendor-$project [tor-browser-build]
     * Bug 41039: Update tools/signing/upload-update_responses-to-staticiforme to keep download-*json files from previous release when new release does not include them [tor-browser-build]
   * macOS
     * Bug 40990: Remove old macos signing scripts [tor-browser-build]

Tor Browser 13.0.6 - December 04 2023
 * All Platforms
   * Bug 42288: Allow language spoofing in status messages [tor-browser]
 * Windows + macOS + Linux
   * Bug 42302: The allowed ports string contains a typo [tor-browser]
   * Bug 42231: Improve the network monitor patch for http onion resources [tor-browser]
   * Bug 42299: After adding incorrect bridge addres on user cannot go back to the Connection page [tor-browser]
 * Linux
   * Bug 17560: Downloaded URLs disk leak on Linux [tor-browser]
   * Bug 42306: Tor Browser crashes when extensions popups are opened with Wayland enabled [tor-browser]
   * Bug 41017: Disable Nvidia shader cache [tor-browser-build]
 * Build System
   * All Platforms
     * Bug 41027: Remove tb-build-04 and tb-build-05 from tools/signing/download-unsigned-sha256sums-gpg-signatures-from-people-tpo [tor-browser-build]
     * Bug 40936: Revert tor-browser-build#40933 [tor-browser-build]
     * Bug 40995: Use cdn.stagemole.eu instead of cdn.devmole.eu in download-unsigned-sha256sums-gpg-signatures-from-people-tpo [tor-browser-build]
     * Bug 40064: Using exec on project with no git_url/hg_url is causing warning [rbm]
   * Windows + macOS + Linux
     * Bug 41031: Add command to unsign .mar files and compare with sha256sums-unsigned-build.txt [tor-browser-build]
   * Windows
     * Bug 41030: Add command to unsign .exe files and compare with sha256sums-unsigned-build.txt [tor-browser-build]
   * Android
     * Bug 41024: Fix android filenames in Release Prep issue templates [tor-browser-build]

Tor Browser 13.5a2 - November 27 2023
 * All Platforms
   * Updated tor to 0.4.8.9
   * Bug 42153: Drop dom.enable_resource_timing = false preference [tor-browser]
   * Bug 42246: Migrate tor connection stuff from browser to toolkit [tor-browser]
   * Bug 42261: Update the icon of Startpage search engine [tor-browser]
   * Bug 42276: Rebase Browsers Alpha to 115.5.0esr [tor-browser]
   * Bug 42277: Enable storage.sync to fix broken webextensions [tor-browser]
   * Bug 42288: Allow language spoofing in status messages [tor-browser]
   * Bug 42302: The allowed ports string contains a typo [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 115.5.0esr
   * Bug 42072: YEC 2023 Takeover for Desktop Stable [tor-browser]
   * Bug 42188: Donations are asked repeatedly when I click New identity button [tor-browser]
   * Bug 42194: Blank Net Error page on name resolution failure [tor-browser]
 * Linux
   * Bug 17560: Downloaded URLs disk leak on Linux [tor-browser]
   * Bug 41017: Disable Nvidia shader cache [tor-browser-build]
 * Android
   * Updated GeckoView to 115.5.0esr
   * Bug 41846: firefox-android esr 115 introduced new nimbus use: they need to be disabled [tor-browser]
   * Bug 42074: YEC 2023 Takeover for Android Stable [tor-browser]
   * Bug 42258: Replace the current boring "fiery android" icon we use for dev with the cool nightly icon [tor-browser]
   * Bug 42259: Remove unused firefox branding from Tor Browser for Android [tor-browser]
   * Bug 42260: Add TBB artifacts to .gitignore [tor-browser]
   * Bug 42285: Update the gitignore to use the correct paths for tor stuff [tor-browser]
   * Bug 42287: Backport security fixes (Android & wontfix) from Firefox 120 to 115.5 - based Tor Browser [tor-browser]
 * Build System
   * All Platforms
     * Update Go to 1.21.4
     * Bug 40884: Script to automate uploading sha256s and signatures to location signing/download-unsigned-sha256sums-gpg-signatures-from-people-tpo expects them to be [tor-browser-build]
     * Bug 40970: Missing symlink create-blog-post.torbrowser -> create-blog-post symlink [tor-browser-build]
     * Bug 41006: Fix typo in finished-signing-clean-linux signer [tor-browser-build]
     * Bug 41023: Update lead.png symlink and blog post template in tools/signing/create-blog-post [tor-browser-build]
     * Bug 40063: RBM's chroot fails in Fedora [rbm]
     * Bug 40064: Using exec on project with no git_url/hg_url is causing warning [rbm]
   * macOS
     * Bug 41005: Unpack macOS bundle to /var/tmp instead of /tmp in rcodesign-notary-submit step [tor-browser-build]
     * Bug 41007: gatekeeper-bundling.sh refers to old .tar.gz archive [tor-browser-build]
     * Bug 41014: Update libdmg-hfsplus to drop the OpenSSL patch [tor-browser-build]
     * Bug 41020: Opening MacOS dmg file is causing a warning, since 13.0 [tor-browser-build]
   * Android
     * Bug 41024: Fix android filenames in Release Prep issue templates [tor-browser-build]

Tor Browser 13.0.5 - November 22 2023
 * Windows + macOS + Linux
   * Bug 42072: YEC 2023 Takeover for Desktop Stable [tor-browser]
 * Build System
   * All Platforms
     * Bug 40970: Missing symlink create-blog-post.torbrowser -> create-blog-post symlink [tor-browser-build]
     * Bug 41023: Update lead.png symlink and blog post template in tools/signing/create-blog-post [tor-browser-build]
     * Bug 40063: RBM's chroot fails in Fedora [rbm]

Tor Browser 13.0.4 - November 16 2023
 * All Platforms
   * Updated OpenSSL to 3.0.12
   * Updated tor to 0.4.8.9
   * Bug 42275: Rebase Tor Browser Stable to 115.5.0esr [tor-browser]
   * Bug 42277: Enable storage.sync to fix broken webextensions [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 115.5.0esr
   * Bug 41341: Fix style and position of "Always Prioritize Onions" wingpanel [tor-browser]
   * Bug 42108: Tor Circuit button not shown if TLS handshake fails [tor-browser]
   * Bug 42184: Setting "Homepage and new windows" ignores "Blank Page" value [tor-browser]
   * Bug 42188: Donations are asked repeatedly when I click New identity button [tor-browser]
   * Bug 42194: Blank Net Error page on name resolution failure [tor-browser]
 * Windows + macOS
   * Bug 42154: Empty the clipboard on browser shutdown only if content comes from private browsing windows [tor-browser]
 * Android
   * Updated GeckoView to 115.5.0esr
   * Bug 42074: YEC 2023 Takeover for Android Stable [tor-browser]
   * Bug 42287: Backport security fixes (Android & wontfix) from Firefox 120 to 115.5 - based Tor Browser [tor-browser]
 * Build System
   * All Platforms
     * Update Go to 1.21.4
     * Bug 40934: Remove $bundle_locales from signing scripts now that we're on ALL for everything [tor-browser-build]
     * Bug 40982: Fix logging in tools/signing/do-all-signing [tor-browser-build]
     * Bug 40989: Add .nobackup files to reproducible and disposable directores [tor-browser-build]
     * Bug 41006: Fix typo in finished-signing-clean-linux signer [tor-browser-build]
   * macOS
     * Bug 29815: Sign our macOS bundles on Linux [tor-browser-build]
     * Bug 41005: Unpack macOS bundle to /var/tmp instead of /tmp in rcodesign-notary-submit step [tor-browser-build]
     * Bug 41007: gatekeeper-bundling.sh refers to old .tar.gz archive [tor-browser-build]
     * Bug 41014: Update libdmg-hfsplus to drop the OpenSSL patch [tor-browser-build]
     * Bug 41020: Opening MacOS dmg file is causing a warning, since 13.0 [tor-browser-build]

Tor Browser 13.0.3 - November 06 2023
 * Android
   * Bug 42222: Fix TorDomainIsolator initialization on Android [tor-browser]

Tor Browser 13.5a1 - November 01 2023
 * All Platforms
   * Updated OpenSSL to 3.0.12
   * Updated NoScript to 11.4.28
   * Bug 42191: Backport security fixes (Android & wontfix) from Firefox 119 to 115.4 - based Tor Browser [tor-browser]
   * Bug 42204: Drop unused aboutTor.dtd [tor-browser]
   * Bug 40975: libstdc++.so.6 is included twice in tor-browser [tor-browser-build]
 * Windows + macOS + Linux
   * Updated Firefox to 115.4.0esr
   * Bug 41341: Fix style and position of "Always Prioritize Onions" wingpanel [tor-browser]
   * Bug 42108: Tor Circuit button not shown if TLS handshake fails [tor-browser]
   * Bug 42182: Default Search Engine Does Not Persist Through Shift to New Identity [tor-browser]
   * Bug 42184: Setting "Homepage and new windows" ignores "Blank Page" value [tor-browser]
 * Windows + macOS
   * Bug 42154: Empty the clipboard on browser shutdown only if content comes from private browsing windows [tor-browser]
 * Android
   * Updated GeckoView to 115.4.0esr
   * Bug 42201: Make the script sign all the channels for local builds [tor-browser]
   * Bug 42222: Fix TorDomainIsolator initialization on Android [tor-browser]
 * Build System
   * All Platforms
     * Update Go to 1.21.3
     * Bug 40852: Reproducible build of the the lox client library to wasm [tor-browser-build]
     * Bug 40934: Remove $bundle_locales from signing scripts now that we're on ALL for everything [tor-browser-build]
     * Bug 40976: Update download-unsigned-sha256sums-gpg-signatures-from-people-tpo to fetch from tb-build-02 and tb-build-03 [tor-browser-build]
     * Bug 40982: Fix logging in tools/signing/do-all-signing [tor-browser-build]
     * Bug 40983: Bump the various branches to 13.5 on main [tor-browser-build]
     * Bug 40989: Add .nobackup files to reproducible and disposable directores [tor-browser-build]
     * Bug 40062: Copy input directories to containers recursively [rbm]
   * Windows
     * Bug 40984: The PDBs for .exe are not included [tor-browser-build]
   * macOS
     * Bug 29815: Sign our macOS bundles on Linux [tor-browser-build]
   * Linux
     * Bug 40979: Add redirects from old Linux bundle filename to the new one [tor-browser-build]

Tor Browser 13.0.2 - October 26 2023
 * Android
   * Bump firefox-android commit to generate new version code to allow uploading to Google Play (see tor-browser-build#40992)

Tor Browser 13.0.1 - October 24 2023
 * All Platforms
   * Bug 42185: Rebase stable browsers on top of 115.4.0esr [tor-browser]
   * Bug 42191: Backport security fixes (Android & wontfix) from Firefox 119 to 115.4 - based Tor Browser [tor-browser]
   * Bug 40975: libstdc++.so.6 is included twice in tor-browser [tor-browser-build]
 * Windows + macOS + Linux
   * Updated Firefox to 115.4.0esr
   * Bug 42182: Default Search Engine Does Not Persist Through Shift to New Identity [tor-browser]
 * Android
   * Updated GeckoView to 115.4.0esr
 * Build System
   * All Platforms
     * Updated Go to 1.21.3
     * Bug 40976: Update download-unsigned-sha256sums-gpg-signatures-from-people-tpo to fetch from tb-build-02 and tb-build-03 [tor-browser-build]
     * Bug 40062: Copy input directories to containers recursively [rbm]
   * Windows + Linux
     * Bug 40991: Fix creation of downloads-windows-x86_64.json and downloads-linux-x86_64.json [tor-browser-build]
   * Windows
     * Bug 40984: The PDBs for .exe are not included [tor-browser-build]
   * Linux
     * Bug 40979: Add redirects from old Linux bundle filename to the new one [tor-browser-build]

Tor Browser 13.0 - October 12 2023
 * All Platforms
   * Updated tor to 0.4.8.7
   * Updated OpenSSL to 3.0.11
   * Bug 40050: FF103 Audit [tor-browser-spec]
   * Bug 40051: FF104 Audit [tor-browser-spec]
   * Bug 40052: FF105 Audit [tor-browser-spec]
   * Bug 40053: FF106 Audit [tor-browser-spec]
   * Bug 40054: FF107 Audit [tor-browser-spec]
   * Bug 40055: FF108 Audit [tor-browser-spec]
   * Bug 40056: FF109 Audit [tor-browser-spec]
   * Bug 40057: FF110 Audit [tor-browser-spec]
   * Bug 40058: FF111 Audit [tor-browser-spec]
   * Bug 40059: FF112 Audit [tor-browser-spec]
   * Bug 40060: FF113 Audit [tor-browser-spec]
   * Bug 40061: FF114 Audit [tor-browser-spec]
   * Bug 40062: FF115 Audit [tor-browser-spec]
   * Bug 26277: When "Safest" setting is enabled searching using duckduckgo should always use the Non-Javascript site for searches [tor-browser]
   * Bug 40577: Add "suggest url" in DDG onion's manifest [tor-browser]
   * Bug 40938: Migrate remaining torbutton functionality to tor-browser [tor-browser]
   * Bug 41092: Enable tracking query parameters stripping [tor-browser]
   * Bug 41327: Disable UrlbarProviderInterventions [tor-browser]
   * Bug 41399: Update Mozilla's patch for Bug 1675054 to enable brotli encoding for HTTP onions as well [tor-browser]
   * Bug 41477: Review some extensions.* preferences [tor-browser]
   * Bug 41496: Review 000-tor-browser.js and 001-base-profile.js for 115 [tor-browser]
   * Bug 41576: ESR115: ensure no remote calls for weather & addon suggestions [tor-browser]
   * Bug 41605: Remove unused assets from torbutton (preferences-mobile.css) [tor-browser]
   * Bug 41675: Remove javascript.options.large_arraybuffers [tor-browser]
   * Bug 41727: WebRTC privacy-hardening settings [tor-browser]
   * Bug 41740: ESR115: change devicePixelRatio spoof to 2 in alpha for testing [tor-browser]
   * Bug 41752: Review changes done by Bug 41565 [tor-browser]
   * Bug 41796: Rebase Tor Browser to Firefox 115 [tor-browser]
   * Bug 41797: Lock RFP in release builds [tor-browser]
   * Bug 41934: Websocket raises DOMException on http onions in 13.0a1 [tor-browser]
   * Bug 41936: Review Mozilla 1770158: Use double-conversion library instead of dtoa for string-to-double conversion [tor-browser]
   * Bug 41937: Review Mozilla 1780014: Add specific telemetry for conservative and first-try handshakes [tor-browser]
   * Bug 41938: Review Mozilla 1769994: On systems with IPv6 preferred DNS resolution clients will fail to connect when "localhost" is used as host for the WebSocket server [tor-browser]
   * Bug 41939: Review Mozilla 1728871: Support fetching data from Remote Setting [tor-browser]
   * Bug 41941: Review Mozilla 1775254: Improve Math.pow accuracy for large exponents [tor-browser]
   * Bug 41943: Lock javascript.options.spectre.disable_for_isolated_content to false [tor-browser]
   * Bug 41945: Review Mozilla 1783019: Add a cookie banner service to automatically handle website cookie banners [tor-browser]
   * Bug 41946: Review Mozilla 1782579: Add a locale parameter to the text recognition API [tor-browser]
   * Bug 41947: Review Mozilla 1779005: Broken since Firefox 102.0: no instant fallback to direct connection when proxy became unreachable while runtime [tor-browser]
   * Bug 41950: Review Mozilla 1788668: Add the possibility to check that the clipboard contains some pdfjs stuff [tor-browser]
   * Bug 41951: Review Mozilla 1790681: Enable separatePrivateDefault by default [tor-browser]
   * Bug 41959: Review Mozilla 1795944: Remove descriptionheightworkaround [tor-browser]
   * Bug 41960: Review Mozilla 1797896: Proxy environment variables should be upper case / case insensitive [tor-browser]
   * Bug 41961: Review Mozilla 1798868: Hide cookie banner handling UI by default [tor-browser]
   * Bug 41969: Review Mozilla 1746983: Re-enable pingsender2 [tor-browser]
   * Bug 41970: Review Mozilla 17909270: WebRTC bypasses Network settings & proxy.onRequest [tor-browser]
   * Bug 41984: Rename languageNotification.ftl to base-browser.ftl [tor-browser]
   * Bug 42013: Review Mozilla 1834374: Do not call EmptyClipboard() in nsBaseClipboard destructor [tor-browser]
   * Bug 42014: Review Mozilla 1832791: Implement a Remote Settings for the Quarantined Domains pref [tor-browser]
   * Bug 42015: Review Mozilla 1830890: Keep a history window of WebRTC stats for about:webrtc [tor-browser]
   * Bug 42019: Empty browser's clipboard on browser shutdown [tor-browser]
   * Bug 42026: Disable cookie banner service and UI. [tor-browser]
   * Bug 42029: Defense-in-depth: disable non-proxied UDP WebRTC [tor-browser]
   * Bug 42034: aboutTBUpdate.dtd is duplicated [tor-browser]
   * Bug 42043: Disable gUM: media.devices.enumerate.legacy.enabled [tor-browser]
   * Bug 42061: Move the alpha update channel creation to a commit on its own [tor-browser]
   * Bug 42084: Race condition with language preferences may make spoof_english ineffective [tor-browser]
   * Bug 42085: NEWNYM signal missing on Whonix [tor-browser]
   * Bug 42094: Disable `media.aboutwebrtc.hist.enabled` as security in-depth [tor-browser]
   * Bug 42120: Use foursquare as domain front for snowflake [tor-browser]
   * Bug 40887: Update Webtunnel version to 38eb5505 [tor-browser-build]
 * Windows + macOS + Linux
   * Updated Firefox to 115.3.1esr
   * Bug 30556: Re-evaluate letterboxing dimension choices [tor-browser]
   * Bug 32328: Improve error recovery from the red screen of death [tor-browser]
   * Bug 33282: Increase the max width of new windows [tor-browser]
   * Bug 33955: Selecting "Copy image" from menu leaks the source URL to the clipboard. This data is often dereferenced by other applications. [tor-browser]
   * Bug 40175: Connections in reader mode are not FPI [tor-browser]
   * Bug 40982: Cleanup maps in tor-circuit-display [tor-browser]
   * Bug 40983: Move not UI-related torbutton.js code to modules [tor-browser]
   * Bug 41165: Crash with debug assertions enabled [tor-browser]
   * Bug 41333: Modernize Tor Browser's new-tab page (about:tor) [tor-browser]
   * Bug 41423: about:tor semantic and accessibility problems [tor-browser]
   * Bug 41528: Hard-coded English "based on Mozilla Firefox" appears in version in "About" dialog [tor-browser]
   * Bug 41581: ESR115: figure out extension pinning / unified Extensions [tor-browser]
   * Bug 41639: Fix the wordmark (title and background) of the "About Tor Browser" window [tor-browser]
   * Bug 41642: Do not hide new PBM in the hamburger menu if auto PBM is not enabled [tor-browser]
   * Bug 41651: Use moz-toggle in connection preferences [tor-browser]
   * Bug 41691: "Firefox Suggest" text appearing in UI [tor-browser]
   * Bug 41717: Bookmark toolbar visibility on new tabs is not honored when new tab page is not about:blank [tor-browser]
   * Bug 41739: Remove "Website appearance" [tor-browser]
   * Bug 41741: Refactor the domain isolator and new circuit [tor-browser]
   * Bug 41765: TTP-02-006 WP1: Information leaks via custom homepage (Low) [tor-browser]
   * Bug 41766: TTP-02-001 WP1: XSS in TorConnect's captive portal (Info) [tor-browser]
   * Bug 41771: Decide what to do for firefoxview [tor-browser]
   * Bug 41774: Hide the new "Switching to a new device" help menu item [tor-browser]
   * Bug 41791: Copying page contents also puts the source URL on the clipboard [tor-browser]
   * Bug 41812: Review layout for XUL elements [tor-browser]
   * Bug 41813: Look out for links missing underlines in ESR 115-based alphas [tor-browser]
   * Bug 41821: Fix the proxy type in the proxy modal of about:preferences in 13.0 [tor-browser]
   * Bug 41822: The default browser button came back on 115 [tor-browser]
   * Bug 41833: Reload extensions on new identity [tor-browser]
   * Bug 41834: Hide "Can't Be Removed -  learn more" menu line for uninstallable add-ons [tor-browser]
   * Bug 41842: Remove the old removal logics from Torbutton [tor-browser]
   * Bug 41844: Stop using the control port directly [tor-browser]
   * Bug 41845: Stop forcing (bad) pref values for non-PBM users [tor-browser]
   * Bug 41852: Review the Tor Check Service UX [tor-browser]
   * Bug 41864: TOR_CONTROL_HOST and TOR_SOCKS_HOST do not work as expected when the browser launches tor [tor-browser]
   * Bug 41865: Use --text-color-deemphasized rather than --panel-description-color [tor-browser]
   * Bug 41874: Visual & A11 regressions in add-on badges [tor-browser]
   * Bug 41876: Remove Firefox View from title bar [tor-browser]
   * Bug 41877: NoScript seems to be blocking by default in the first 115-based testbuild [tor-browser]
   * Bug 41881: Developer tools/Network/New Request remembers requests [tor-browser]
   * Bug 41886: Downloads drop-down panel has new-line/line-break between every word in the 'Be careful opening downloads' warning [tor-browser]
   * Bug 41904: The log textarea doesn't resize anymore [tor-browser]
   * Bug 41906: Hide about:preferences#privacy > DNS over HTTPS section [tor-browser]
   * Bug 41907: The bootstrap is interrupted without any errors if the process becomes ready when already bootstrapping [tor-browser]
   * Bug 41912: "Use Current Bridges" is shown for users even when there aren't any current bridges [tor-browser]
   * Bug 41922: Unify the bridge line parsers [tor-browser]
   * Bug 41923: The path normalization results in warnings [tor-browser]
   * Bug 41924: Small refactors for TorProcess [tor-browser]
   * Bug 41925: Remove the torbutton startup observer [tor-browser]
   * Bug 41926: Refactor the control port client implementation [tor-browser]
   * Bug 41931: Regression: new window leaks outer window [tor-browser]
   * Bug 41935: Improve new window & letterboxing dimensions [tor-browser]
   * Bug 41940: Review Mozilla 1739348: When a filetype is set to "always ask" and the user makes a save/open choice in the dialog, we should not also open the downloads panel [tor-browser]
   * Bug 41949: Review Mozilla 1782578: Implement a context menu modal for text recognition [tor-browser]
   * Bug 41954: Inputs in the request a bridge dialog are cut-off in 13.0 alpha [tor-browser]
   * Bug 41957: Revert to Fx's default identity block style for internal pages [tor-browser]
   * Bug 41958: Console error when closing tor browser with about:preferences open [tor-browser]
   * Bug 41964: `emojiAnnotations` not defined in time in connection preferences [tor-browser]
   * Bug 41965: TorConnect error when opening browser tools [tor-browser]
   * Bug 41971: Update Tails URL in downloads warning [tor-browser]
   * Bug 41973: Custom wingpanels don't line up with their toolbar icons in 13.0 alpha [tor-browser]
   * Bug 41974: De-emphasized text in custom components is no longer gray in 13.0 alpha [tor-browser]
   * Bug 41975: Downloads warning text too narrow in 13.0 alpha [tor-browser]
   * Bug 41976: Bottom padding on collapsed bridge cards has increased in 13.0 alpha [tor-browser]
   * Bug 41977: Hide the "Learn more" link in bridge cards [tor-browser]
   * Bug 41980: Circuit display headline is misaligned in 13.0 alpha [tor-browser]
   * Bug 41981: Review Mozilla 1800675: Add about:preferences entry for cookie banner handling [tor-browser]
   * Bug 41983: Review Mozilla 1770447: Create a reusable "support-link" widget [tor-browser]
   * Bug 41986: Fix the control port password handling [tor-browser]
   * Bug 41994: CSS (and other assets) of some websites blocked in 13.0 alpha [tor-browser]
   * Bug 42022: Prevent extension search engines from breaking the whole search system [tor-browser]
   * Bug 42027: Create a Base Browser version of migrateUI [tor-browser]
   * Bug 42037: Disable about:firefoxview [tor-browser]
   * Bug 42041: TBB --allow-remote mixes up with plain Firefox [tor-browser]
   * Bug 42045: Circuit panel overflows with long ipv6 addresses [tor-browser]
   * Bug 42046: Remove XUL layout hacks from base browser [tor-browser]
   * Bug 42047: Remove layout hacks from tor browser preferences [tor-browser]
   * Bug 42050: Bring back Save As... dialog as default [tor-browser]
   * Bug 42073: Add simplified onion pattern to the new homepage [tor-browser]
   * Bug 42075: Fix link spacing and underline on new homepage [tor-browser]
   * Bug 42079: TorConnect: handle switching from Bootstrapped to Configuring state [tor-browser]
   * Bug 42083: RemoteSecuritySettings.init throws error in console [tor-browser]
   * Bug 42091: Onion authorization prompt overflows [tor-browser]
   * Bug 42092: Onion services key table display problems. [tor-browser]
   * Bug 42098: Implement Windows installer icons [tor-browser]
   * Bug 42100: Connect Assist dropdown text not centered [tor-browser]
   * Bug 42102: TorProcess says the SOCKS port is not valid even though it is [tor-browser]
   * Bug 42109: Onion services keys table has empty column headers. [tor-browser]
   * Bug 42110: Add a utility module for shared UI methods needed for several tor browser components [tor-browser]
   * Bug 42126: moat and connect assist broken for people who can't reach domain front [tor-browser]
   * Bug 42129: Disable the Tor restart prompt if shouldStartAndOwnTor is false [tor-browser]
   * Bug 42131: Tor Browser 13.0a5 does not track circuits created before Tor Browser started [tor-browser]
   * Bug 42132: The new control port handling in Tor Browser 13 breaks a Tails security feature [tor-browser]
   * Bug 42138: Disable apz.overscroll.enabled pref [tor-browser]
   * Bug 42155: Drop the unused code for the old bridge removal warning [tor-browser]
   * Bug 42159: Responsive Design Mode not working correctly [tor-browser]
   * Bug 42160: Allow specifying a TOR_PROVIDER=none to configure only the proxy settings during the TorProviderBuilder initialization [tor-browser]
   * Bug 42166: New identity dialog missing accessible name [tor-browser]
   * Bug 42167: Make the preference auto-focus more reliable [tor-browser]
   * Bug 40821: The update details URL is wrong in alphas [tor-browser-build]
   * Bug 40893: Update (Noto) fonts for 13.0 [tor-browser-build]
   * Bug 40924: Customize MOZ_APP_REMOTINGNAME instead of passing --name and --class [tor-browser-build]
   * Bug 40938: Copy the new tor-browser.ftl file to the appropriate directory [tor-browser-build]
 * Windows + Android
   * Bug 40930: Upate zlib to 1.3 after 13.0a3 [tor-browser-build]
 * Windows
   * Bug 40737: Revert backout of Mozilla's fix for bug 1724777 [tor-browser]
   * Bug 41658: Create new installer icons for Windows [tor-browser]
   * Bug 41798: Stop building private_browsing.exe on Windows [tor-browser]
   * Bug 41806: Prevent Private Browsing start menu item to be added automatically [tor-browser]
   * Bug 41942: Review Mozilla 1682520: Use the WER runtime exception module to catch early crashes [tor-browser]
   * Bug 41944: Review Mozilla 1774083: Add Surrogate COM Server to handle native Windows notifications when Firefox is closed. [tor-browser]
   * Bug 42008: Review Mozilla 1808146: Copying images from Pixiv and pasting them in certain programs is broken [tor-browser]
   * Bug 42010: Review Mozilla 1810641: Enable overscroll on Windows on all channels [tor-browser]
   * Bug 42087: Implement Windows application icons [tor-browser]
   * Bug 40954: Implement Windows installer icons [tor-browser-build]
 * macOS
   * Bug 41948: Review Mozilla 1782981: Hide the text recognition context menu if the macOS version doesn't support APIs [tor-browser]
   * Bug 41955: Update macOS volume window background [tor-browser]
   * Bug 41982: Review Mozilla 1762392: Add Cocoa platform support for paste files [tor-browser]
   * Bug 42057: Disable Platform text-recognition functionality [tor-browser]
   * Bug 42078: Implement MacOS application icons [tor-browser]
   * Bug 42147: Add browser.helperApps.deleteTempFileOnExit to our profile [tor-browser]
 * Linux
   * Bug 41509: After update, KDE Plasma identifies Tor Browser Nightly window group as "firefox-nightly" [tor-browser]
   * Bug 41884: Linux: set browser.tabs.searchclipboardfor.middleclick to false [tor-browser]
   * Bug 42088: Implement Linux application icons [tor-browser]
   * Bug 40576: Fontconfig warning: remove 'blank' configuration [tor-browser-build]
 * Android
   * Updated GeckoView to 115.3.1esr
   * Bug 41878: firefox-mobile: refactor tor bootstrap off deleted onboarding path [tor-browser]
   * Bug 41882: Update DuckDuckGo icons [tor-browser]
   * Bug 41911: Firefox-Android tor bootstrap connect button css broken [tor-browser]
   * Bug 41928: Backport Android-specific security fixes from Firefox 116 to ESR 102.14 / 115.1 - based Tor Browser [tor-browser]
   * Bug 41972: Disable Firefox onboarding in 13.0 [tor-browser]
   * Bug 41990: Review Mozilla 1811531: Add 'site' query parameter to Pocket sponsored stories request [tor-browser]
   * Bug 41991: Review Mozilla 1812518: Allow a custom View for 3rd party downloads [tor-browser]
   * Bug 41993: Review Mozilla 1810761: Add API for saving a PDF [tor-browser]
   * Bug 41996: App includes com.google.android.gms.permission.AD_ID permission [tor-browser]
   * Bug 41997: com.adjust.sdk.Adjust library enables AD_ID permission even though we aren't using it [tor-browser]
   * Bug 41999: TB13.0a2 android: center text on connect button [tor-browser]
   * Bug 42001: Hide 'Open links in external app' settings option and force defaults [tor-browser]
   * Bug 42002: Review Mozilla 1809305: Allow user to copy an image to the clipboard [tor-browser]
   * Bug 42003: Review Mozilla 1819431: Reimplement default browser notification with Nimbus Messaging equivalent [tor-browser]
   * Bug 42004: Review Mozilla 1818015: Use a custom tab or the view we use for Sync onboarding for the Privacy button [tor-browser]
   * Bug 42005: Review Mozilla 1816932: Add Maps to app links common sub domains [tor-browser]
   * Bug 42006: Review Mozilla 1817726: Allow sharing current tab URL from Android's Recents (App Overview) screen. [tor-browser]
   * Bug 42007: Review Mozilla 1805450: Allow users to submit site support requests in Fenix [tor-browser]
   * Bug 42012: Review Mozilla 1810629: add an Android shortcut to go straight to the login and passwords page [tor-browser]
   * Bug 42016: Review Mozilla 1832069: Implement Google Play Referrer Library to fetch referrer URL [tor-browser]
   * Bug 42018: Rebase Firefox for Android to 115.2.1 [tor-browser]
   * Bug 42023: Remove FF what's new from Android [tor-browser]
   * Bug 42038: TBA Alpha - inscriptions Tor Browser Alpha and FireFox Browser simultaneously on the start screen [tor-browser]
   * Bug 42074: YEC 2023 Takeover for Android Stable [tor-browser]
   * Bug 42076: Theme is visible in options, but shouldn't be [tor-browser]
   * Bug 42089: Disable the Cookie Banner Reduction site support requests (Mozilla 1805450) [tor-browser]
   * Bug 42114: Disable Allow sharing current tab URL from Android's Recents screen in private browsing mode [tor-browser]
   * Bug 42115: Enhanced Tracking Protection can still be enabled [tor-browser]
   * Bug 42122: playstore console crashes:   java.lang.NoSuchMethodError [tor-browser]
   * Bug 42133: Remove "Total Cookie Protection" popup [tor-browser]
   * Bug 42134: Remove Android icon shortcuts [tor-browser]
   * Bug 42156: Screenshot allowing still blocks homescreen (android) [tor-browser]
   * Bug 42157: Fix Help button URL [tor-browser]
   * Bug 42165: Remove "Add to shortcuts" and "Remove from shortcuts" buttons [tor-browser]
   * Bug 42158: Remove "Customize Homepage" button [tor-browser]
   * Bug 40740: Tor Browser for Android's snowflake ClientTransportPlugin seems to be out of date [tor-browser-build]
   * Bug 40919: Fix nimbus-fml reproducibility of 13.0a2-build1 [tor-browser-build]
   * Bug 40941: Remove PT process options on Android [tor-browser-build]
 * Build System
   * All Platforms
     * Updated Go to 1.21.1
     * Bug 42130: Add support for specifying the branch in `tb-dev rebase-on-default` [tor-browser]
     * Bug 31588: Be smarter about vendoring for Rust projects [tor-browser-build]
     * Bug 40089: Clean up usage of get-moz-build-date script [tor-browser-build]
     * Bug 40410: Get rid of python2 [tor-browser-build]
     * Bug 40487: Bump Python version [tor-browser-build]
     * Bug 40741: Update browser and tor-android-service projects to pull data from pt_config.json [tor-browser-build]
     * Bug 40802: Drop the patch for making WASI reproducible [tor-browser-build]
     * Bug 40829: Review and standardize naming scheme for browser installer/package artifacts [tor-browser-build]
     * Bug 40854: Update to OpenSSL 3.0 [tor-browser-build]
     * Bug 40855: Update toolchains for Mozilla 115 [tor-browser-build]
     * Bug 40868: Bump Rust to 1.69.0 [tor-browser-build]
     * Bug 40880: The README doesn't include some dependencies needed for building incrementals [tor-browser-build]
     * Bug 40886: Update README with instructions for Arch linux [tor-browser-build]
     * Bug 40898: Add doc from tor-browser-spec/processes/ReleaseProcess to gitlab issue templates [tor-browser-build]
     * Bug 40908: Enable the --enable-gpl config flag in tor to bring in PoW functionality [tor-browser-build]
     * Bug 40929: Update go to 1.21 series after 13.0a3 [tor-browser-build]
     * Bug 40932: Remove appname_bundle_android, appname_bundle_macos, appname_bundle_linux, appname_bundle_win32, appname_bundle_win64 from projects/release/update_responses_config.yml [tor-browser-build]
     * Bug 40935: Fix fallout from build target rename in signing scripts [tor-browser-build]
     * Bug 40948: Remove lyrebird-vendor sha256sum in nightly [tor-browser-build]
     * Bug 40957: Expired subkey warning on Tor Browser GPG verification [tor-browser-build]
     * Bug 40972: Handle Mullvad Browser in the changelog script and group entries by project [tor-browser-build]
   * Windows + macOS + Linux
     * Bug 41967: Add a Makefile recipe to create multi-lingual dev builds [tor-browser]
     * Bug 40149: Remove patching of nightly update URL [tor-browser-build]
     * Bug 40615: Consider adding a readme to the fonts directory [tor-browser-build]
     * Bug 40907: Sometimes debug information are not deterministic with Clang 16.0.4 [tor-browser-build]
     * Bug 40922: Use base-browser.ftl instead of languageNotification.ftl [tor-browser-build]
     * Bug 40931: Fix incrementals after tor-browser-build#40829 [tor-browser-build]
     * Bug 40933: Fix generating incrementals between 12.5.x and 13.0 [tor-browser-build]
     * Bug 40942: Use the branch to build Base Browser [tor-browser-build]
     * Bug 40944: After #40931, updates_responses is using incremental.mar files as if they were non-incremental mar files [tor-browser-build]
     * Bug 40947: Remove migrate_langs from tools/signing/nightly/update-responses-base-config.yml [tor-browser-build]
     * Bug 40956: Allow testing the updater also with release and alpha channel [tor-browser-build]
   * Windows
     * Bug 41995: Generated headers on Windows aren't reproducible [tor-browser]
     * Bug 40832: Unify mingw-w64-clang 32+64 bits [tor-browser-build]
     * Bug 40940: Change position of the `install|portable` in the builds filenames [tor-browser-build]
   * macOS
     * Bug 42035: Update tools/torbrowser/ scripts to support macOS dev environment [tor-browser]
     * Bug 40943: Update libdmg-hfsplus to include our uplifted patch [tor-browser-build]
     * Bug 40951: Firefox fails to build for macOS after tor-browser-build#40938 [tor-browser-build]
   * Linux
     * Bug 42071: tor-browser deployed format changed breaking fetch.sh [tor-browser]
     * Bug 40102: Move from Debian Jessie to Debian Stretch for our Linux builds [tor-browser-build]
     * Bug 40971: Stop shipping Linux i686 debug archive until we actually produce the symbols [tor-browser-build]
   * Android
     * Bug 41899: Use LLD for Android [tor-browser]
     * Bug 40867: Create a RBM project for the unified Android repository [tor-browser-build]
     * Bug 40917: Remove the uniffi-rs project [tor-browser-build]
     * Bug 40918: The commit hash is still not displayed about:buildconfig on Android [tor-browser-build]
     * Bug 40920: Non-deterministic generation of baseline.profm file in Android apks [tor-browser-build]
     * Bug 40963: Tor Browesr 13.0 torbrowser-testbuild-android* targets fail to build [tor-browser-build]
     * Bug 40974: firefox-android fails to build in release [tor-browser-build]

Tor Browser 13.0a6 - September 29 2023
 * All Platforms
   * Updated tor to 0.4.8.7
   * Updated Translations
   * Bug 42139: Backport security fixes from Firefox 115.3.1 to 115.3.0 [tor-browser]
 * Windows + macOS + Linux
   * Bug 40899: Fix all of our usage of `app.support.baseURL` [tor-browser]
   * Bug 41165: Crash with debug assertions enabled [tor-browser]
   * Bug 41910: Support link regression in 115.1.0esr [tor-browser]
   * Bug 42100: Connect Assist dropdown text not centered [tor-browser]
   * Bug 42129: Disable the Tor restart prompt if shouldStartAndOwnTor is false [tor-browser]s
   * Bug 42131: Tor Browser 13.0a5 does not track circuits created before Tor Browser started [tor-browser]
   * Bug 42132: The new control port handling in Tor Browser 13 breaks a Tails security feature [tor-browser]
 * Windows
   * Bug 40954: Implement Windows installer icons [tor-browser-build]
   * Bug 42087: Implement Windows application icons [tor-browser]
 * Android
   * Bug 42023: TB13.0a2 android: remove FF what's new [tor-browser]
   * Bug 42114: Disable Allow sharing current tab URL from Android's Recents screen in private browsing mode [tor-browser]
   * Bug 42115: Enhanced Tracking Protection can still be enabled [tor-browser]
   * Bug 42133: Remove "Total Cookie Protection" popup [tor-browser]
   * Bug 42134: Remove Android icon shortcuts [tor-browser]
 * Build System
   * All Platforms
     * Bug 40741: Update browser and tor-android-service projects to pull data from pt_config.json [tor-browser-build]
     * Bug 40957: Expired subkey warning on Tor Browser GPG verification [tor-browser-build]
     * Bug 42130: Add support for specifying the branch in `tb-dev rebase-on-default` [tor-browser]
   * Android
     * Bug 40963: Tor Browesr 13.0 torbrowser-testbuild-android* targets fail to build [tor-browser-build]

Tor Browser 12.5.6 - September 29 2023
 * All Platforms
   * Bug 42135: Backport security fixes from Firefox 115.3.1 to 102.15.1 [tor-browser]
 * Build System
   * All Platforms
     * Bug 40957: Update subkey expiration date for Tor Browser gpg key [tor-browser-build]

Tor Browser 12.5.5 - September 25 2023
 * All Platforms
   * Updated tor to 0.4.7.15
   * Updated NoScript to 11.4.27
   * Updated Translations
   * Bug 42120: Use foursquare as domain front for snowflake [tor-browser]
   * Bug 42123: Backport security fixes from Firefox 118 to ESR 102.15 / 115.3 - based Tor Browser [tor-browser]
 * Windows + macOS + Linux
   * Bug 42126: moat and connect assist broken for people who can't reach domain front [tor-browser]

Tor Browser 13.0a5 - September 21 2023
 * All Platforms
   * Updated Translations
   * Updated OpenSSL to 3.0.11
   * Updated tor to 0.4.8.6
   * Bug 40938: Migrate remaining torbutton functionality to tor-browser [tor-browser]
   * Bug 41327: Disable UrlbarProviderInterventions [tor-browser]
   * Bug 42026: Disable cookie banner service and UI. [tor-browser]
   * Bug 42094: Disable media.aboutwebrtc.hist.enabled as security in-depth [tor-browser]
   * Bug 42112: Rebase alpha to 115.3.0esr [tor-browser]
   * Bug 42120: Use foursquare as domain front for snowflake [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 115.3.0esr
   * Bug 40893: Update (Noto) fonts for 13.0 [tor-browser-build]
   * Bug 41639: Fix the wordmark (title and background) of the "About Tor Browser" window [tor-browser]
   * Bug 41822: The default browser button came back on 115 [tor-browser]
   * Bug 41864: TOR_CONTROL_HOST and TOR_SOCKS_HOST do not work as expected when the browser launches tor [tor-browser]
   * Bug 41903: The info icon on the language change prompt is not shown [tor-browser]
   * Bug 41957: Revert to Fx's default identity block style for internal pages [tor-browser]
   * Bug 41958: Console error when closing tor browser with about:preferences open [tor-browser]
   * Bug 41986: Fix the control port password handling [tor-browser]
   * Bug 42037: Disable about:firefoxview [tor-browser]
   * Bug 42073: Add simplified onion pattern to the new homepage [tor-browser]
   * Bug 42079: TorConnect: handle switching from Bootstrapped to Configuring state [tor-browser]
   * Bug 42083: RemoteSecuritySettings.init throws error in console [tor-browser]
   * Bug 42091: Onion authorization prompt overflows [tor-browser]
   * Bug 42092: Onion services key table display problems. [tor-browser]
   * Bug 42102: TorProcess says the SOCKS port is not valid even though it is [tor-browser]
   * Bug 42110: Add a utility module for shared UI methods needed for several tor browser components [tor-browser]
 * Windows
   * Bug 41798: Stop building private_browsing.exe on Windows [tor-browser]
 * macOS
   * Bug 42078: Implement MacOS application icons [tor-browser]
 * Linux
   * Bug 42088: Implement Linux application icons [tor-browser]
 * Android
   * Updated GeckoView to 115.3.0esr
   * Bug 42089: Disable Mozilla 1805450 [tor-browser]
   * Bug 42122: Fix crash due to bad android deprecation and APIs
 * Build System
   * Windows + macOS + Linux
     * Bug 40956: Allow testing the updater also with release and alpha channel [tor-browser-build]
   * Windows
     * Bug 41995: Generated headers on Windows aren't reproducible [tor-browser]

Tor Browser 13.0a4 - September 12 2023
 * All Platforms
   * Updated Translations
   * Updated NoScript to 11.4.27
   * Updated tor to 0.4.8.5
   * Updated Snowflake to 2.6.1
   * Bug 40951: Firefox fails to build for macos after #40938 [tor-browser-build]
   * Bug 41675: ESR115: decide on large array buffers [tor-browser]
   * Bug 41740: ESR115: change devicePixelRatio spoof to 2 in alpha for testing [tor-browser]
   * Bug 41797: Lock RFP in release builds [tor-browser]
   * Bug 41934: Websocket raises DOMException on http onions in 13.0a1 [tor-browser]
   * Bug 42034: aboutTBUpdate.dtd is duplicated [tor-browser]
   * Bug 42043: Disable gUM: media.devices.enumerate.legacy.enabled [tor-browser]
   * Bug 42061: Move the alpha update channel creation to a commit on its own [tor-browser]
   * Bug 42084: Race condition with language preferences may make spoof_english ineffective [tor-browser]
   * Bug 42093: Rebase alpha onto 115.2.1esr [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 115.2.1esr
   * Bug 40149: Remove patching of nightly update URL [tor-browser-build]
   * Bug 40821: The update details URL is wrong in alphas [tor-browser-build]
   * Bug 40938: Copy the new tor-browser.ftl file to the appropriate directory [tor-browser-build]
   * Bug 41333: Modernize Tor Browser's new-tab page (about:tor) [tor-browser]
   * Bug 41528: Hard-coded English "based on Mozilla Firefox" appears in version in "About" dialog [tor-browser]
   * Bug 41651: Use moz-toggle in connection preferences [tor-browser]
   * Bug 41739: Remove "Website appearance" [tor-browser]
   * Bug 41774: Hide the new "Switching to a new device" help menu item [tor-browser]
   * Bug 41821: Fix the proxy type in the proxy modal of about:preferences in 13.0 [tor-browser]
   * Bug 41865: Use --text-color-deemphasized rather than --panel-description-color [tor-browser]
   * Bug 41876: Remove firefox view from title bar [tor-browser]
   * Bug 41881: Developer tools/Network/New Request remembers requests [tor-browser]
   * Bug 41886: Downloads drop-down panel has new-line/line-break between every word in the 'Be careful opening downloads' warning [tor-browser]
   * Bug 41904: The log textarea doesn't resize anymore [tor-browser]
   * BUg 41906: hide about:preferences#privacy > DNS over HTTPS section [tor-browser]
   * Bug 41971: Update Tails URL in downloads warning [tor-browser]
   * Bug 41974: De-emphasized text in custom components is no longer gray in 13.0 alpha [tor-browser]
   * Bug 41977: Hide the "Learn more" link in bridge cards [tor-browser]
   * Bug 41980: Circuit display headline is misaligned in 13.0 alpha [tor-browser]
   * Bug 42027: Create a Base Browser version of migrateUI [tor-browser]
   * Bug 42045: Circuit panel overflows with long ipv6 addresses [tor-browser]
   * Bug 42046: Remove XUL layout hacks from base browser [tor-browser]
   * Bug 42047: Remove layout hacks from tor browser preferences [tor-browser]
   * Bug 42050: Bring back Save As... dialog as default [tor-browser]
   * Bug 42075: Fix link spacing and underline on new homepage [tor-browser]
 * Windows + Android
   * Updated zlib to 1.3
   * Bug 40930: Update zlib to 1.3 after 13.0a3 [tor-browser-build]
 * macOS
   * Bug 42057: Disable Platform text-recognition functionality [tor-browser]
 * Linux
   * Bug 41509: After update, KDE Plasma identifies Tor Browser Nightly window group as "firefox-nightly" [tor-browser]
 * Android
   * Updated GeckoView to 115.2.1esr
   * Bug 40941: Remove PT process options on Android [tor-browser-build]
   * Bug 41878: firefox-mobile: refactor tor bootstrap off deleted onboarding path [tor-browser]
   * Bug 41879: firefox-android: Add Tor integration and UI commit is too big, needs to be split up [tor-browser]
   * Bug 41882: Update DuckDuckGo icons [tor-browser]
   * Bug 41987: Tor Browser Android Onboarding Plan [tor-browser]
   * Bug 42001: Hide 'Open links in external app' settings option and force defaults [tor-browser]
   * Bug 42038: TBA Alpha - inscriptions Tor Browser Alpha and FireFox Browser simultaneously on the start screen [tor-browser]
   * Bug 42076: Theme is visable in options, but shouldn't be [tor-browser]
 * Build System
   * All Platforms
     * Updated Go to 1.21.1
     * Bug 40929: Update go to 1.21 series after 13.0a3 [tor-browser-build]
     * Bug 40932: Remove appname_bundle_android, appname_bundle_macos, appname_bundle_linux, appname_bundle_win32, appname_bundle_win64 from projects/release/update_responses_config.yml [tor-browser-build]
     * Bug 40935: Fix fallout from build target rename in signing scripts [tor-browser-build]
     * Bug 40948: Remove lyrebird-vendor sha256sum in nightly [tor-browser-build]
   * Windows + macOS + Linux
     * Bug 40786: deploy_update_responses-*.sh requires +r permissions to run [tor-browser-build]
     * Bug 40931: Fix incrementals after tor-browser-build#40829 [tor-browser-build]
     * Bug 40933: Fix generating incrementals between 12.5.x and 13.0 [tor-browser-build]
     * Bug 40942: Use the branch to build Base Browser [tor-browser-build]
     * Bug 40944: After #40931, updates_responses is using incremental.mar files as if they were non-incremental mar files [tor-browser-build]
     * Bug 40946: override_updater_url does not work for Mullvad Browser [tor-browser-build]
     * Bug 40947: Remove migrate_langs from tools/signing/nightly/update-responses-base-config.yml [tor-browser-build]
   * macOS
     * Bug 40943: Update libdmg-hfsplus to include our uplifted patch [tor-browser-build]
     * Bug 42035: Update tools/torbrowser/ scripts to support macOS dev environment [tor-browser]
   * Linux
     * Bug 42071: tor-browser deployed format changed breaking fetch.sh [tor-browser]

Tor Browser 12.5.4 - September 12 2023
 * All Platforms
   * Updated Translations
   * Updated OpenSSL to 1.1.1w
   * Bug 42084: Race condition with language preferences may make spoof_english ineffective [tor-browser]
   * Bug 42090: Rebase release onto 102.15.1esr [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 102.15.1esr
 * Android
   * Updated GeckoView to 102.15.1esr
 * Build System
   * All Platforms
     * Updated Go to 1.20.8

Tor Browser 12.5.3 - August 28 2023
 * All Platforms
   * Updated Translations
   * Updated OpenSSL to 1.1.1v
   * Bug 42033: Rebase the releases onto 102.15.0esr [tor-browser]
   * Bug 42053: Backport security fixes from Firefox 117 to ESR 102.15 - based Tor Browser [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 102.15.0esr
 * Android
   * Updated GeckoView to 102.15.0esr
 * Build System
   * All Platforms
     * Updated Go to 1.20.7
     * Bug 40740: Tor Browser for Android's snowflake ClientTransportPlugin seems to be out of date [tor-browser-build]
     * Bug 40786: deploy_update_responses-*.sh requires +r permissions to run [tor-browser-build]
     * Bug 40905: Go vendor archives ignore the nightly version override on testbuilds [tor-browser-build]
     * Bug 40913: add boklm back to list of taggers in relevant projects [tor-browser-build]
     * Bug 40921: staticiforme-prepare-cdn-dist-upload uses hardcoded torbrowser path for .htacess file generation [tor-browser-build]

Tor Browser 13.0a3 - August 21 2023
 * All Platforms
   * Updated Translations
   * Bug 41943: Lock javascript.options.spectre.disable_for_isolated_content to false [tor-browser]
   * Bug 41984: Rename languageNotification.ftl to base-browser.ftl [tor-browser]
   * Bug 42019: Empty browser's clipboard on browser shutdown [tor-browser]
   * Bug 42030: Rebase the browsers to 115.2.0esr [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 115.2.0esr
   * Bug 40175: Connections in reader mode are not FPI [tor-browser]
   * Bug 40924: Customize MOZ_APP_REMOTINGNAME instead of passing --name and --class [tor-browser-build]
   * Bug 41691: "Firefox Suggest" text appearing in UI [tor-browser]
   * Bug 41833: Reload extensions on new identiy [tor-browser]
   * Bug 42022: Prevent extension search engines from breaking the whole search system [tor-browser]
   * Bug 42031: TBB 13.0a2: TypeError: channel.loadInfo.browsingContext.topChromeWindow.gBrowser is undefined [tor-browser]
 * Linux
   * Bug 40576: Fontconfig warning: remove 'blank' configuration [tor-browser-build]
 * Android
   * Updated GeckoView to 115.2.0esr
   * Bug 42018: Rebase Firefox for Android to 115.2.1 [tor-browser]
 * Build System
   * All Platforms
     * Bug 40829: Review and standardize naming scheme for browser installer/package artifacts [tor-browser-build]
     * Bug 40921: staticiforme-prepare-cdn-dist-upload uses hardcoded torbrowser path for .htacess file generation [tor-browser-build]
   * Windows + macOS + Linux
     * Bug 40922: Use base-browser.ftl instead of languageNotification.ftl [tor-browser-build]
   * Linux
     * Bug 41967: Add a Makefile recipe to create multi-lingual dev builds [tor-browser]

Tor Browser 13.0a2 - August 08 2023
 * All Platforms
   * Updated Translations
   * Updated NoScript to 11.4.26
   * Updated OpenSSL to 3.0.10
   * Updated tor to 0.4.8.3-rc
   * Bug 41909: Rebase 13.0 alpha to 115.1.0 esr [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 115.1.0esr
   * Bug 30556: Re-evaluate letterboxing dimension choices [tor-browser]
   * Bug 33282: Increase the max width of new windows [tor-browser]
   * Bug 40982: Cleanup maps in tor-circuit-display [tor-browser]
   * Bug 40983: Move not UI-related torbutton.js code to modules [tor-browser]
   * Bug 41844: Stop using the control port directly [tor-browser]
   * Bug 41907: The bootstrap is interrupted without any errors if the process becomes ready when already bootstrapping [tor-browser]
   * Bug 41922: Unify the bridge line parsers [tor-browser]
   * Bug 41923: The path normalization results in warnings [tor-browser]
   * Bug 41924: Small refactors for TorProcess [tor-browser]
   * Bug 41925: Remove the torbutton startup process [tor-browser]
   * Bug 41926: Refactor the control port client implementation [tor-browser]
   * Bug 41964: 'emojiAnnotations' not defined in time in connection preferences [tor-browser]
 * Android
   * Updated GeckoView to 115.1.0esr
   * Bug 40919: Fix nimbus-fml reproducibility of 13.0a2-build1 [tor-browser-build]
   * Bug 41928: Backport Android-specific security fixes from Firefox 116 to ESR 102.14 / 115.1 - based Tor Browser [tor-browser]
   * Bug 41972: Disable Firefox onboarding in 13.0 [tor-browser]
   * Bug 41997: Remove all use and reference to com.adjust.sdk.Adjust which now uses AD_ID [tor-browser]
 * Build System
   * All Platforms
     * Updated Go to 1.20.7
     * Bug 31588: Be smarter about vendoring for Rust projects [tor-browser-build]
     * Bug 40855: Update toolchains for Mozilla 115 [tor-browser-build]
     * Bug 40880: The README doesn't include some dependencies needed for building incrementals [tor-browser-build]
     * Bug 40905: Go vendor archives ignore the nightly version override on testbuilds [tor-browser-build]
     * Bug 40908: Enable the --enable-gpl config flag in tor to bring in PoW functionality [tor-browser-build]
     * Bug 40909: Add dan_b and ma1 to list of taggers in relevant projects [tor-browser-build]
     * Bug 40913: add boklm back to list of taggers in relevant projects [tor-browser-build]
   * Windows + macOS + Linux
     * Bug 40615: Consider adding a readme to the fonts directory [tor-browser-build]
     * Bug 40907: Mar-tools aren't deterministic on 13.0a1 [tor-browser-build]
   * Windows
     * Bug 31546: Create and expose PDB files for Tor Browser debugging on Windows [tor-browser-build]
   * Android
     * Bug 40867: Create a RBM project for the unified Android repository [tor-browser-build]
     * Bug 40917: Remove the uniffi-rs project [tor-browser-build]
     * Bug 41899: Use LLD for Android [tor-browser]
     * Bug 40920: Non-deterministic generation of baseline.profm file in Android apks [tor-browser-build]

Tor Browser 12.5.2 - July 31 2023
 * All Platforms
   * Updated Translations
   * Updated NoScript to 11.4.26
   * Bug 41908: Rebase stable 12.5 to 102.14esr [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 102.14.0esr
 * Windows
   * Bug 41761: xul.dll win crash tor-browser 12.5.1 (based on Mozilla Firefox 102.13.0esr) (64-Bit) [tor-browser]
 * Android
   * Updated GeckoView to 102.14.0esr
   * Bug 41928: Backport Android-specific security fixes from Firefox 116 to ESR 102.14 / 115.1 - based Tor Browser [tor-browser]
 * Build System
   * All Platforms
     * Updated Go to 1.20.6
     * Bug 40889: Add mullvad sha256sums URL to tools/signing/download-unsigned-sha256sums-gpg-signatures-from-people-tpo [tor-browser-build]
     * Bug 40894: Fix format of keyring/boklm.gpg [tor-browser-build]
     * Bug 40909: Add dan_b and ma1 to list of taggers in relevant projects [tor-browser-build]
   * Windows
     * Bug 31546: Create and expose PDB files for Tor Browser debugging on Windows [tor-browser-build]

Tor Browser 13.0a1 - July 20 2023
 * All Platforms
   * Updated Translations
   * Updated NoScript to 11.4.25
   * Updated OpenSSL to 3.0.9
   * Updated Go to 1.20.6
   * Updated tor to 0.4.8.2-alpha
   * Bug 40577: Add "suggest url" in DDG onion's manifest [tor-browser]
   * Bug 40885: Bump version of snowflake to v2.6.0 [tor-browser-build]
   * Bug 40887: Update Webtunnel version to 38eb5505 [tor-browser-build]
   * Bug 41092: Enable tracking query parameters stripping [tor-browser]
   * Bug 41399: Update Mozilla's patch for Bug 1675054 to enable brotli encoding for HTTP onions as well [tor-browser]
   * Bug 41759: Rebase Base Browser to 115 nightly [tor-browser]
   * Bug 41796: Rebase Tor Browser to Firefox 115 [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 115.0.2esr
   * Bug 26277: When "Safest" setting is enabled searching using duckduckgo should always use the Non-Javascript site for searches [tor-browser]
   * Bug 33955: Selecting "Copy image" from menu leaks the source URL to the clipboard. This data is often dereferenced by other applications. [tor-browser]
   * Bug 41741: Refactor the domain isolator and new circuit [tor-browser]
   * Bug 41834: Hide  "Can't Be Removed -  learn more" menu line for uninstallable add-ons [tor-browser]
   * Bug 41842: Remove the old removal logics from Torbutton [tor-browser]
   * Bug 41845: Stop forcing (bad) pref values for non-PBM users [tor-browser]
   * Bug 41854: Download Spam Protection cannot be overridden to allow legitimate downloads [tor-browser]
   * Bug 41874: Visual & A11 regressions in add-on badges [tor-browser]
 * Build System
   * All Platforms
     * Bug 40089: Clean up usage of get-moz-build-date script [tor-browser-build]
     * Bug 40410: Get rid of python2 [tor-browser-build]
     * Bug 40487: Bump Python version [tor-browser-build]
     * Bug 40802: Drop the patch for making WASI reproducible [tor-browser-build]
     * Bug 40854: Update to OpenSSL 3.0 [tor-browser-build]
     * Bug 40855: Update toolchains for Mozilla 115 [tor-browser-build]
     * Bug 40868: Bump Rust to 1.69.0 [tor-browser-build]
     * Bug 40886: Update README with instructions for Arch linux [tor-browser-build]
     * Bug 40889: Add mullvad sha256sums URL to tools/signing/download-unsigned-sha256sums-gpg-signatures-from-people-tpo [tor-browser-build]
     * Bug 40894: Fix format of keyring/boklm.gpg [tor-browser-build]
     * Bug 40898: Add doc from tor-browser-spec/processes/ReleaseProcess to gitlab issue templates [tor-browser-build]
   * Windows
     * Bug 40832: Unify mingw-w64-clang 32+64 bits [tor-browser-build]
   * Linux
     * Bug 40102: Move from Debian Jessie to Debian Stretch for our Linux builds [tor-browser-build]

Tor Browser 12.5.1 - July 5 2023
 * All Platforms
   * Updated Translations
   * Updated NoScript to 11.4.24
   * Bug 41860: Rebase 12.5 stable to 102.13esr [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 102.13.0esr
   * Bug 41854: Download Spam Protection cannot be overridden to allow legitimate downloads [tor-browser]
   * Bug 41856: Onion service authorization prompt's key field does not get focus when clicked [tor-browser]
   * Bug 41858: 'Learn more' link in onboarding links to 12.0 release notes and not 12.5 [tor-browser]
 * Android
   * Updated GeckoView to 102.13.0esr

Tor Browser 12.5.0 - June 15 2023
 * All Platforms
   * Updated Translations
   * Bug 40353: Re-enable rlbox [tor-browser-build]
   * Bug 40711: Review and expand the stakeholders we communicate major changes to [tor-browser-build]
   * Bug 40810: Add Finnish (fi) language support [tor-browser-build]
   * Bug 40817: Add basebrowser-incrementals-nightly makefile target [tor-browser-build]
   * Bug 40833: base-browser nightly is using the default channel instead of nightly [tor-browser-build]
   * Bug 40860: Improve the transition from the old fontconfig file to the new one [tor-browser-build]
   * Bug 41066: Circuit Isolation should take containers into account [tor-browser]
   * Bug 41351: Move the crypto protection patch earlier in the patchset [tor-browser]
   * Bug 41428: Check if we can create our own directories for branding [tor-browser]
   * Bug 41514: eslint broken since migrating torbutton [tor-browser]
   * Bug 41568: Disable LaterRun [tor-browser]
   * Bug 41599: about:networking#networkid should be normalized [tor-browser]
   * Bug 41624: Disable unused about: pages [tor-browser]
   * Bug 41635: Disable the Normandy component at compile time [tor-browser]
   * Bug 41636: Disable back webextension.storage.sync after ensuring NoScript settings won't be lost [tor-browser]
   * Bug 41647: Turn --enable-base-browser in --with-base-browser-version [tor-browser]
   * Bug 41662: Disable about:sync-logs [tor-browser]
   * Bug 41671: Turn media.peerconnection.ice.relay_only to true as defense in depth against WebRTC ICE leaks [tor-browser]
   * Bug 41689: Remove startup.homepage_override_url from Base Browser [tor-browser]
   * Bug 41704: Immediately return on remoteSettings.pollChanges [tor-browser]
   * Bug 41738: Replace the patch to disable live reload with its preference [tor-browser]
   * Bug 41763: TTP-02-003 WP1: Data URI allows JS execution despite safest security level (Low) [tor-browser]
   * Bug 41775: Avoid re-defining some macros in nsUpdateDriver.cpp [tor-browser]
   * Bug 41818: Remove YEC 2022 strings [tor-browser]
 * Windows + macOS + Linux
   * Bug 165: Fix maximization warning x button and preference [mullvad-browser]
   * Bug 20497: Improve support for non-portable mode [tor-browser]
   * Bug 33298: HTTP onion sites do not give a popup warning when submitting form data to non-onion HTTP sites [tor-browser]
   * Bug 40144: about:privatebrowsing Firefox branding [tor-browser]
   * Bug 40347: URL bar lock icon says connection is not secure when on "view-source:[...].onion" URLs [tor-browser]
   * Bug 40552: New texts for the add a bridge manually modal [tor-browser]
   * Bug 40701: Improve security warning when downloading a file [tor-browser]
   * Bug 40733: Use the new branding directories [tor-browser-build]
   * Bug 40745: Allow customizing MOZ_APP_BASENAME [tor-browser-build]
   * Bug 40773: Copy some documentation files only on Tor Browser [tor-browser-build]
   * Bug 40781: Move translations to new paths [tor-browser-build]
   * Bug 40788: Tor Browser 11.0.4-11.0.6 phoning home [tor-browser]
   * Bug 40808: Set update URL for nightly base-browser [tor-browser-build]
   * Bug 40811: Make testing the updater easier [tor-browser-build]
   * Bug 40958: The number of relays displayed for an onion site can be misleading [tor-browser]
   * Bug 41038: Update "Click to Copy" button label in circuit display [tor-browser]
   * Bug 41080: Some users are choosing an adjacent country for circumvention settings [tor-browser]
   * Bug 41084: Reserve red as a button color for dangerous actions [tor-browser]
   * Bug 41085: Refactor the UI to remove all bridges [tor-browser]
   * Bug 41093: Users don't understand the purpose of bridge-moji [tor-browser]
   * Bug 41109: "New circuit..." button gets cut-off when onion name wraps [tor-browser]
   * Bug 41350: Move the implementation of Bug 19273 out of Torbutton [tor-browser]
   * Bug 41363: Crypto warning popup is not screen reader accessible [tor-browser]
   * Bug 41448: User 'danger' style for primary button in new identity modal [tor-browser]
   * Bug 41483: Tor Browser says Firefox timed out, confusing users [tor-browser]
   * Bug 41503: Disable restart in case of reboot and restore in case of crash [tor-browser]
   * Bug 41521: Improve localization notes [tor-browser]
   * Bug 41533: Page Info window for view-source:http://...onion addresses says Connection Not Encrypted [tor-browser]
   * Bug 41540: Confusing build-id date in about:preferences in alphas [tor-browser]
   * Bug 41562: API-triggered fullscreen after F11 causes letterboxing to crop the page [tor-browser]
   * Bug 41577: Disable profile migration [tor-browser]
   * Bug 41587: Disable the updater for Base Browser [tor-browser]
   * Bug 41595: Disable pagethumbnails capturing [tor-browser]
   * Bug 41600: Some users have difficulty finding the circuit display [tor-browser]
   * Bug 41607: Update "New Circuit" icon [tor-browser]
   * Bug 41608: Improve the UX of the location bar's connection status [tor-browser]
   * Bug 41609: Move the disabling of Firefox Home (Activity Stream) to base-browser [tor-browser]
   * Bug 41613: Skip Drang & Drop filtering for DNS-safe URLs (no hostname, e.g. RFC3966 tel:) [tor-browser]
   * Bug 41617: Improve the UX of the built-in bridges dialog [tor-browser]
   * Bug 41618: Update the iconography used in the status strip in connection settings [tor-browser]
   * Bug 41623: Update connection assist's iconography [tor-browser]
   * Bug 41633: Updating from 12.0.2 to 12.0.3 resets NoScript settings [tor-browser]
   * Bug 41657: Remove --enable-tor-browser-data-outside-app-dir [tor-browser]
   * Bug 41668: Move part of the updater patches to base browser [tor-browser]
   * Bug 41686: Move the 'Bug 11641: Disable remoting by default' commit from base-browser to tor-browser [tor-browser]
   * Bug 41695: Port warning on maximized windows without letterboxing from torbutton [tor-browser]
   * Bug 41699: Tighten up the tor onion alias regular expression [tor-browser]
   * Bug 41701: Reporting an extension does not work [tor-browser]
   * Bug 41702: The connection pill needs to be centered vertically [tor-browser]
   * Bug 41709: sendCommand should not try to send a command forever [tor-browser]
   * Bug 41711: Race condition when opening a new window in New Identity [tor-browser]
   * Bug 41718: Add the external filetype warning to about:downloads [tor-browser]
   * Bug 41719: Update title and button strings in the new circuit display to sentence case [tor-browser]
   * Bug 41725: Stray connectionPane.xhtml patch [tor-browser]
   * Bug 41726: Animate the torconnect icon to transition between connected states [tor-browser]
   * Bug 41734: Add a 'Connected' flag to indicate which built-in bridge option Tor Browser is currently using [tor-browser]
   * Bug 41736: Customize the default CustomizableUI toolbar using CustomizableUI.jsm [tor-browser]
   * Bug 41749: Replace the onion-glyph with dedicated icon for onion services [tor-browser]
   * Bug 41770: Keyboard navigation broken leaving the toolbar tor circuit button [tor-browser]
   * Bug 41775: Avoid re-defining some macros in nsUpdateDriver.cpp [tor-browser]
   * Bug 41785: Network monitor in developer tools shows HTTP onion resources as insecure [tor-browser]
   * Bug 41792: Drag and Drop protection prevents dragging downloads [tor-browser]
   * Bug 41800: Add the external filetype warning to Library / Manage Bookmarks [tor-browser]
   * Bug 41801: Fix handleProcessReady in TorSettings.init [tor-browser]
   * Bug 41802: Bad regex used to extract transport from bridgeline [tor-browser]
   * Bug 41810: Add "Connect" buttons to Request Bridge and Provide Bridge modals [tor-browser]
   * Bug 41816: The top navigation in about:torconnect isn't updated correctly [tor-browser]
   * Bug 41841: Use the new onion-site.svg icon in the onion-location pill [tor-browser]
 * Windows + Linux
   * Bug 40714: Ship NoScript in the distribution directory also for Windows and Linux [tor-browser-build]
   * Bug 41654: UpdateInfo jumped into Data [tor-browser]
 * Windows
   * Bug 40772: Check and fix HiDPI issues in the NSIS installer [tor-browser-build]
   * Bug 40793: Add some metadata also to the Windows installer [tor-browser-build]
   * Bug 40801: Correct the ExecShell for system-wide installs in the NSIS script [tor-browser-build]
   * Bug 41459: WebRTC fails to build under mingw [tor-browser]
   * Bug 41678: WebRTC build fix patches incorrectly defining pid_t [tor-browser]
   * Bug 41806: Prevent Private Browsing start menu item to be added automatically [tor-browser]
 * macOS
   * Bug 40719: Allow non-universal macOS builds also on base-browser [tor-browser-build]
   * Bug 41535: Remove the old, unused and undocumented "-invisible" macOS CLI flag [tor-browser]
 * Linux
   * Bug 40830: The fontconfig directory is missing in Base Browser [tor-browser-build]
   * Bug 41163: Many bundled fonts are blocked in Ubuntu/Fedora because of RFP [tor-browser]
   * Bug 41732: implement linux font whitelist as defense-in-depth [tor-browser]
 * Android
   * Bug 41001: Remove remaining security slider code [tor-browser]
   * Bug 41185: Hide learn more about sync [tor-browser]
   * Bug 41634: Google Play incorrectly detects that libTor.so is built with OpenSSL 1.1.1b [tor-browser]
   * Bug 41667: Enable media.peerconnection.ice.obfuscate_host_addresses on Android for defense-in-depth [tor-browser]
   * Bug 41677: Remove the --disable-tor-browser-update flag on Android [tor-browser]
 * Build System
   * All Platforms
     * Updated Go to 1.20.5
     * Bug 40673: Avoid building each go module separately [tor-browser-build]
     * Bug 40679: Use the latest translations for nightly builds [tor-browser-build]
     * Bug 40689: Update Ubuntu version from projects/mmdebstrap-image/config to 22.04.1 [tor-browser-build]
     * Bug 40717: Create a script to prepare changelogs [tor-browser-build]
     * Bug 40720: Update fetch-changelogs.py scripts to support new Build System label [tor-browser-build]
     * Bug 40750: Find why rlbox hurts reproducibility [tor-browser-build]
     * Bug 40751: make signtag-* needs to take project name into account [tor-browser-build]
     * Bug 40753: We should not copy mar tools when the updater is disabled [tor-browser-build]
     * Bug 40760: Add BSD packager contacts to release prep templates [tor-browser-build]
     * Bug 40763: Add support for signing multiple browsers in tools/signing/nightly [tor-browser-build]
     * Bug 40783: Update download-unsigned-sha256sums-gpg-signatures-from-people-tpo to use $projectname prefix directory [tor-browser-build]
     * Bug 40784: Fix var_p/nightly_torbrowser_incremental_from after #40737 [tor-browser-build]
     * Bug 40794: Include the build-id in firefox-l10n output name [tor-browser-build]
     * Bug 40795: Trim down tor-browser-build release prep issue templates [tor-browser-build]
     * Bug 40796: Bad UX for the changelogs script when using the issue number [tor-browser-build]
     * Bug 40805: Define the version flag for all browsers [tor-browser-build]
     * Bug 40807: Add config for signing base-browser nightly in tools/signing/nightly [tor-browser-build]
     * Bug 40812: Make var/rezip in projects/firefox/config quiet [tor-browser-build]
     * Bug 40818: Enable wasm target for rust compiler [tor-browser-build]
     * Bug 40828: Use http://archive.debian.org/debian-archive/ for jessie [tor-browser-build]
     * Bug 40837: Rebase mullvad-browser build changes onto main [tor-browser-build]
     * Bug 40870: Remove url without browser name from tools/signing/download-unsigned-sha256sums-gpg-signatures-from-people-tpo [tor-browser-build]
     * Bug 41649: Create rebase and security backport gitlab issue templates [tor-browser]
     * Bug 41682: Add base-browser nightly mar signing key [tor-browser]
   * Windows + macOS + Linux
     * Bug 33953: Provide a way for easily updating Go dependencies of projects [tor-browser-build]
     * Bug 40713: Use the new tor-browser l10n branch in Firefox [tor-browser-build]
     * Bug 40777: Create a Go bootstrap project [tor-browser-build]
     * Bug 40778: Disable all translations with testbuilds in Firefox [tor-browser-build]
     * Bug 40788: Remove all languages but en-US for privacy-browser build target [tor-browser-build]
     * Bug 40809: Remove --enable-tor-browser-update and --enable-verify-mar from projects/firefox/mozconfig [tor-browser-build]
     * Bug 40813: Enable var/updater_enabled for basebrowser nightly [tor-browser-build]
     * Bug 40823: Update appname_* variables in projects/release/update_responses_config.yml [tor-browser-build]
     * Bug 40826: Correctly set appname_marfile for basebrowser in tools/signing/nightly/update-responses-base-config.yml [tor-browser-build]
     * Bug 40827: MAR generation uses (mostly) hard-coded MAR update channel [tor-browser-build]
     * Bug 40841: Adapt signing scripts to new signing machines [tor-browser-build]
     * Bug 40849: Move Go dependencies to the projects dependent on them, not as a standalone projects [tor-browser-build]
     * Bug 40866: Remove `Using ansible to set up a nightly build machine` from README [tor-browser-build]
     * Bug 40869: obfs4 is renamed to lyrebird [tor-browser-build]
   * Windows
     * Bug 29185: NSIS Installer not reproducible when icon has an alpha channel [tor-browser-build]
     * Bug 40757: Change projects/browser/windows-installer/torbrowser.nsi to a template file [tor-browser-build]
   * Windows + macOS + Linux
     * Bug 40732: Review Bundle-Data and try not to ship the default profile in base browser [tor-browser-build]
   * Linux + Android
     * Bug 40653: Build compiler-rt with runtimes instead of the main LLVM build [tor-browser-build]
   * macOS
     * Bug 40792: signing scripts missing project name prefix to make rule [tor-browser-build]
     * Bug 40798: dmg2mar step also takes care of copying the signed+stabled dmg to the signed directory [tor-browser-build]
     * Bug 40806: Update the reference to the macOS mozconfig [tor-browser-build]
     * Bug 40824: dmg2mar script using hardcoded project names for paths [tor-browser-build]
     * Bug 40847: Build filesystem influences the DMG creation [tor-browser-build]
     * Bug 40858: Create script to assist testers self sign Mac builds to allow running on Arm processors [tor-browser-build]
     * Bug 41453: Rename mozconfig-macos-x86_64 to mozconfig-macos [tor-browser]
   * Android
     * Bug 40738: Update Android git hashes templates [tor-browser-build]
     * Bug 40874: Add commit information also to GV [tor-browser-build]
     * Bug 41684: Android improvements for local dev builds [tor-browser]

Tor Browser 12.5a7 - June 08 2023
 * All Platforms
   * Updated Translations
   * Updated NoScript to 11.4.22
   * Updated OpenSSL to 1.1.1u
   * Bug 41795: Rebase Tor Browser and Base Browser alpha to 102.12esr [tor-browser]
   * Bug 41818: Remove YEC 2022 strings [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 102.12esr
   * Bug 33298: HTTP onion sites do not give a popup warning when submitting form data to non-onion HTTP sites [tor-browser]
   * Bug 40552: New texts for the add a bridge manually modal [tor-browser]
   * Bug 41608: Improve the UX of the location bar's connection status [tor-browser]
   * Bug 41618: Update the iconography used in the status strip in connection settings [tor-browser]
   * Bug 41623: Update connection assist's iconography [tor-browser]
   * Bug 41718: Add the external filetype warning to about:downloads [tor-browser]
   * Bug 41726: Animate the torconnect icon to transition between connected states [tor-browser]
   * Bug 41734: Add a `Connected` flag to indicate which built-in bridge option Tor Browser is currently using [tor-browser]
   * Bug 41749: Replace the onion-glyph with dedicated icon for onion services [tor-browser]
   * Bug 41785: Network monitor in developer tools shows HTTP onion resources as insecure [tor-browser]
   * Bug 41792: Drag and Drop protection prevents dragging downloads [tor-browser]
   * Bug 41800: Add the external filetype warning to Library / Manage Bookmarks [tor-browser]
   * Bug 41801: Fix handleProcessReady in TorSettings.init [tor-browser]
   * Bug 41802: Conjure bridge cards are mislabeled as vanilla bridges in alpha [tor-browser]
   * Bug 41809: Wrong icon in the bridge QR code [tor-browser]
   * Bug 41810: Add "Connect" buttons to Request Bridge and Provide Bridge modals [tor-browser]
   * Bug 41815: wrong connect icons [tor-browser]
   * Bug 41816: The top navigation in about:torconnect isn't updated correctly [tor-browser]
 * Android
   * Updated GeckoView to 102.12esr
 * Build System
   * All Platforms
     * Bug 40777: Create a Go bootstrap project [tor-browser-build]
     * Bug 40850: Tor Browser nightly fails to build obfs4 [tor-browser-build]
     * Bug 40866: Remove `Using ansible to set up a nightly build machine` from README [tor-browser-build]
     * Bug 40869: obfs4 is renamed to lyrebird [tor-browser-build]
     * Bug 40870: Remove url without browser name from tools/signing/download-unsigned-sha256sums-gpg-signatures-from-people-tpo [tor-browser-build]
     * Bug 40871: Update keyring/boklm.gpg for new subkeys [tor-browser-build]
   * Windows + macOS + Linux
     * Bug 40864: Make a script to update the manual artifact [tor-browser-build]
   * macOS
     * Bug 40847: Build filesystem influences the DMG creation [tor-browser-build]
     * Bug 40858: Create script to assist testers self sign Mac builds to allow running on Arm processors [tor-browser-build]
   * Android
     * Bug 40874: Add commit information also to GV [tor-browser-build]

Tor Browser 12.0.7 - May 31 2023
 * All Platforms
   * Updated Translations
   * Updated NoScript to 11.4.22
   * Updated OpenSSL to 1.1.1u
   * Bug 41764: TTP-02-004 OOS: No user-activation required to download files (Low) [tor-browser]
   * Bug 41794: Rebase Tor Browser and Base Browser stable to 102.12esr [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 102.12esr
   * Bug 41777: Internally shippped manual does not adapt to RTL languages (it always align to the left) [tor-browser]
 * Android
   * Updated GeckoView to 102.12esr
   * Bug 41805: Backport Android-specific security fixes from Firefox 114 to ESR 102.12-based Tor Browser [tor-browser]

Tor Browser 12.5a6 - May 22 2023
 * All Platforms
   * Updated Translations
   * Updated Go to 11.9.9
   * Bug 40860: Improve the transition from the old fontconfig file to the new one [tor-browser-build]
   * Bug 41728: Pin bridges.torproject.org domains to Let's Encrypt's root cert public key [tor-browser]
   * Bug 41738: Replace the patch to disable live reload with its preference [tor-browser]
   * Bug 41757: Rebase Tor Browser Alpha to 102.11.0esr [tor-browser]
   * Bug 41763: TTP-02-003 WP1: Data URI allows JS execution despite safest security level (Low) [tor-browser]
   * Bug 41764: TTP-02-004 OOS: No user-activation required to download files (Low) [tor-browser]
   * Bug 41775: Avoid re-defining some macros in nsUpdateDriver.cpp [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 102.11esr
   * Bug 41607: Update "New Circuit" icon [tor-browser]
   * Bug 41736: Customize the default CustomizableUI toolbar using CustomizableUI.jsm [tor-browser]
   * Bug 41770: Keyboard navigation broken leaving the toolbar tor circuit button [tor-browser]
   * Bug 41777: Internally shippped manual does not adapt to RTL languages (it always align to the left) [tor-browser]
 * Windows + Linux
   * Bug 41654: UpdateInfo jumped into Data [tor-browser]
 * Linux
   * Bug 41732: implement linux font whitelist as defense-in-depth [tor-browser]
   * Bug 41776: System fonts are temporarily leaked on Linux after the browser is updated from 12.5a4 or earlier [tor-browser]
 * Android
   * Updated GeckoView to 102.11esr
 * Build System
   * All Platforms
     * Bug 33953: Provide a way for easily updating Go dependencies of projects [tor-browser-build]
     * Bug 40673: Avoid building each go module separately [tor-browser-build]
     * Bug 40818: Enable wasm target for rust compiler [tor-browser-build]
     * Bug 40841: Adapt signing scripts to new signing machines [tor-browser-build]
     * Bug 40849: Move Go dependencies to the projects dependent on them, not as a standalone projects [tor-browser-build]
     * Bug 40856: Unblock nightly builds [tor-browser-build]
   * Windows
     * Bug 40846: Temporarily disable Windows signing [tor-browser-build]

Tor Browser 12.0.6 - May 09 2023
 * All Platforms
   * Updated Translations
   * Updated Go to 11.9.9
   * Bug 41728: Pin bridges.torproject.org domains to Let's Encrypt's root cert public key [tor-browser]
   * Bug 41756: Rebase Tor Browser Stable to 102.11.0esr [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 102.11esr
   * Bug 40501: High CPU load after tor exits unexpectedly [tor-browser]
 * Windows
   * Bug 41683: Disable the network process on Windows [tor-browser]
 * Android
   * Updated GeckoView to 102.11esr
 * Build System
   * Windows + macOS + Linux
     * Bug 41730: Bridge lines in tools/torbrowser/bridges.js out of date [tor-browser]
   * macOS
     * Bug 40844: Fix DMG reproducibility problem on 12.0.5 [tor-browser-build]

Tor Browser 12.5a5 - April 18 2023
 * All Platforms
   * Updated Translations
   * Updated NoScript to 11.4.21
   * Updated Go to 11.9.8
   * Bug 40833: base-browser nightly is using the default channel instead of nightly [tor-browser-build]
   * Bug 41687: Rebase Tor Browser Alpha to 102.10.0esr [tor-browser]
   * Bug 41689: Remove startup.homepage_override_url from Base Browser [tor-browser]
   * Bug 41704: Immediately return on remoteSettings.pollChanges [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 102.10esr
   * Bug 165: Fix maximization warning x button and preference [mullvad-browser]
   * Bug 40501: High CPU load after tor exits unexpectedly [tor-browser]
   * Bug 40701: Improve security warning when downloading a file [tor-browser]
   * Bug 40788: Tor Browser 11.0.4-11.0.6 phoning home [tor-browser]
   * Bug 40811: Make testing the updater easier [tor-browser-build]
   * Bug 40831: Fix update URL for base-browser nightly [tor-browser-build]
   * Bug 40958: The number of relays displayed for an onion site can be misleading [tor-browser]
   * Bug 41038: Update "Click to Copy" button label in circuit display [tor-browser]
   * Bug 41109: "New circuit..." button gets cut-off when onion name wraps [tor-browser]
   * Bug 41350: Move the implementation of Bug 19273 out of Torbutton [tor-browser]
   * Bug 41521: Improve localization notes [tor-browser]
   * Bug 41533: Page Info window for view-source:http://...onion addresses says Connection Not Encrypted [tor-browser]
   * Bug 41600: Some users have difficulty finding the circuit display [tor-browser]
   * Bug 41617: Improve the UX of the built-in bridges dialog [tor-browser]
   * Bug 41668: Move part of the updater patches to base browser [tor-browser]
   * Bug 41686: Move the 'Bug 11641: Disable remoting by default' commit from base-browser to tor-browser [tor-browser]
   * Bug 41695: Port warning on maximized windows without letterboxing from torbutton [tor-browser]
   * Bug 41699: Tighten up the tor onion alias regular expression [tor-browser]
   * Bug 41701: Reporting an extension does not work [tor-browser]
   * Bug 41702: The connection pill needs to be centered vertically [tor-browser]
   * Bug 41709: sendCommand should not try to send a command forever [tor-browser]
   * Bug 41711: Race condition when opening a new window in New Identity [tor-browser]
   * Bug 41713: “Remove All Bridges” button only appears after hitting “Show All Bridges" [tor-browser]
   * Bug 41714: “Show Fewer Bridges” button missing from refactored remove all bridges UI [tor-browser]
   * Bug 41719: Update title and button strings in the new circuit display to sentence case [tor-browser]
   * Bug 41722: Regression: window maximization warning cannot be closed by the X button [tor-browser]
   * Bug 41725: Stray connectionPane.xhtml patch [tor-browser]
 * Windows
   * Bug 41459: WebRTC fails to build under mingw [tor-browser]
   * Bug 41678: WebRTC build fix patches incorrectly defining pid_t [tor-browser]
   * Bug 41683: Disable the network process on Windows [tor-browser]
 * Linux
   * Bug 40830: The fontconfig directory is missing in Base Browser [tor-browser-build]
   * Bug 41163: Many bundled fonts are blocked in Ubuntu/Fedora because of RFP [tor-browser]
 * Android
   * Updated GeckoView to 102.10esr
   * Bug 41724: Backport Android-specific security fixes from Firefox 112 to ESR 102.10-based Tor Browser [tor-browser]
 * Build System
   * All Platforms
     * Bug 40828: Use http://archive.debian.org/debian-archive/ for jessie [tor-browser-build]
     * Bug 40837: Rebase mullvad-browser build changes onto main [tor-browser-build]
   * Windows + macOS + Linux
     * Bug 40823: Update appname_* variables in projects/release/update_responses_config.yml [tor-browser-build]
     * Bug 40826: Correctly set appname_marfile for basebrowser in tools/signing/nightly/update-responses-base-config.yml [tor-browser-build]
     * Bug 40827: MAR generation uses (mostly) hard-coded MAR update channel [tor-browser-build]
     * Bug 41730: Bridge lines in tools/torbrowser/bridges.js out of date [tor-browser]
   * Windows
     * Bug 40822: The Tor Browser installer doesn't run with mandatory ASLR on (0xc000007b) [tor-browser-build]
   * macOS
     * Bug 40824: dmg2mar script using hardcoded project names for paths [tor-browser-build]
     * Bug 40844: DMG reproducibility problem on 12.0.5 [tor-browser-build]
   * Linux
     * Bug 40835: Update faketime URLs in projects/container-image/config [tor-browser-build]
   * Android
     * Bug 41684: Android improvements for local dev builds [tor-browser]

Tor Browser 12.0.5 - April 12 2023
 * All Platforms
   * Updated Translations
   * Updated NoScript to 11.4.21
   * Updated Go to 11.9.8
   * Bug 41688: Rebase Tor Browser Stable to 102.10.0esr [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 102.10esr
   * Bug 41526: "Cancel" button when establishing a connection should be grey [tor-browser]
 * Android
   * Updated GeckoView to 102.10esr
   * Bug 41724: Backport Android-specific security fixes from Firefox 112 to ESR 102.10-based Tor Browser [tor-browser]
 * Build System
   * Windows
     * Bug 40822: The Tor Browser installer doesn't run with mandatory ASLR on (0xc000007b) [tor-browser-build]
   * Linux
     * Bug 40828: Use http://archive.debian.org/debian-archive/ for jessie [tor-browser-build]
     * Bug 40835: Update faketime URLs in projects/container-image/config [tor-browser-build]

Tor Browser 12.5a4 - March 20 2023
 * All Platforms
   * Updated Translations
   * Updated NoScript to 11.4.20
   * Bug 40353: Re-enable rlbox [tor-browser-build]
   * Bug 40810: Enable Finnish (fi) in alpha builds [tor-browser-build]
   * Bug 40817: Add basebrowser-incrementals-nightly makefile target [tor-browser-build]
   * Bug 41599: about:networking#networkid should be normalized [tor-browser]
   * Bug 41635: Disable the Normandy component at compile time [tor-browser]
   * Bug 41636: Disable back webextension.storage.sync after ensuring NoScript settings won't be lost [tor-browser]
   * Bug 41646: Regression in 12.5a3: the system font patch should also set a font-size [tor-browser]
   * Bug 41647: Turn --enable-base-browser in --with-base-browser-version [tor-browser]
   * Bug 41659: Add canonical color definitions to base-browser [tor-browser]
   * Bug 41662: Disable about:sync-logs [tor-browser]
   * Bug 41670: Rebase Tor Browser Alpha to 102.9.0esr [tor-browser]
   * Bug 41671: Turn media.peerconnection.ice.relay_only to true as defense in depth against WebRTC ICE leaks [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 102.9esr
   * Bug 40144: about:privatebrowsing Firefox branding [tor-browser]
   * Bug 40788: Remove all languages but en-US for privacy-browser build target [tor-browser-build]
   * Bug 40808: Set update URL for nightly base-browser [tor-browser-build]
   * Bug 41085: Refactor the UI to remove all bridges [tor-browser]
   * Bug 41093: Users don't understand the purpose of bridge-moji [tor-browser]
   * Bug 41574: Use --warning-color variable for the "Custom" label in the security level popup. [tor-browser]
   * Bug 41657: Remove --enable-tor-browser-data-outside-app-dir [tor-browser]
 * Windows
   * Bug 40793: Add some metadata also to the Windows installer [tor-browser-build]
   * Bug 40801: Correct the ExecShell for system-wide installs in the NSIS script [tor-browser-build]
 * Android
   * Updated GeckoView to 102.9esr
   * Bug 40800: WebTunnel Integration in Tor Browser mobile [tor-browser-build]
   * Bug 41667: Enable media.peerconnection.ice.obfuscate_host_addresses on Android for defense-in-depth [tor-browser]
   * Bug 41677: Remove the --disable-tor-browser-update flag on Android [tor-browser]
 * Build System
   * All Platforms
     * Updated Go to 1.19.7
     * Bug 40750: Find why rlbox hurts reproducibility [tor-browser-build]
     * Bug 40763: Add support for signing multiple browsers in tools/signing/nightly [tor-browser-build]
     * Bug 40794: Include the build-id in firefox-l10n output name [tor-browser-build]
     * Bug 40795: Trim down tor-browser-build release prep issue templates [tor-browser-build]
     * Bug 40796: Bad UX for the changelogs script when using the issue number [tor-browser-build]
     * Bug 40805: Define the version flag for all browsers [tor-browser-build]
     * Bug 40807: Add config for signing base-browser nightly in tools/signing/nightly [tor-browser-build]
     * Bug 40812: Make var/rezip in projects/firefox/config quiet [tor-browser-build]
     * Bug 41649: Create rebase and security backport gitlab issue templates [tor-browser]
     * Bug 41682: Add base-browser nightly mar signing key [tor-browser]
   * Windows + macOS + Linux
     * Bug 40809: Remove --enable-tor-browser-update and --enable-verify-mar from projects/firefox/mozconfig [tor-browser-build]
     * Bug 40813: Enable var/updater_enabled for basebrowser nightly [tor-browser-build]
   * macOS
     * Bug 40790: Fix dmg2mar after dmg changes from #28124 [tor-browser-build]
     * Bug 40791: tools/dmg2mar should exit with an error when there is an error creating the mar file [tor-browser-build]
     * Bug 40792: signing scripts missing project name prefix to make rule [tor-browser-build]
     * Bug 40798: dmg2mar step also takes care of copying the signed+stabled dmg to the signed directory [tor-browser-build]
     * Bug 40806: Update the reference to the macOS mozconfig [tor-browser-build]
     * Bug 41453: Rename mozconfig-macos-x86_64 to mozconfig-macos [tor-browser]
   * Android
     * Bug 40789: Broken mirror links for glean: link 404 for version 5.0.1 hosted at aguestuser's tor people storage [tor-browser-build]

Tor Browser 12.0.4 - March 13 2023
 * All Platforms
   * Updated Translations
   * Updated NoScript to 11.4.18
   * Bug 41598: Prevent NoScript from being removed / disabled until core functionality has been migrated to Tor Browser [tor-browser]
   * Bug 41603: Customize the creation of MOZ_SOURCE_URL [tor-browser]
   * Bug 41627: Enable network.http.referer.hideOnionSource in base-browser [tor-browser]
   * Bug 41637: cherry-pick Mozilla 1814416: Generalize the app name in about:buildconfig. r=ahochheiden [tor-browser]
   * Bug 41659: Add canonical color definitions to base-browser [tor-browser]
   * Bug 41669: Rebase Tor Browser stable to 102.9.0esr [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 102.9esr
   * Bug 41542: Disable the creation of a default profile [tor-browser]
   * Bug 41574: Use --warning-color variable for the "Custom" label in the security level popup. [tor-browser]
   * Bug 41606: Move the changes to the hamburger menu out of the Torbutton commit [tor-browser]
   * Bug 41626: Bridge-emojii tooltips not localized in ES locale [tor-browser]
 * Android
   * Updated GeckoView to 102.9esr
   * Bug 41679: Backport Android-specific security fixes from Firefox 111 to ESR 102.9-based Tor Browser [tor-browser]
 * Build System
   * All Platforms
     * Updated Go to 1.19.7
     * Bug 40764: Embed repo URL and git revision in Firefox [tor-browser-build]
     * Bug 40782: Update tools/signing/download-unsigned-sha256sums-gpg-signatures-from-people-tpo to fetch from tb-build-04 and tb-build-05 [tor-browser-build]
   * macOS
     * Bug 40790: Fix dmg2mar after dmg changes from #28124 [tor-browser-build]
     * Bug 40791: tools/dmg2mar should exit with an error when there is an error creating the mar file [tor-browser-build]
   * Android
     * Bug 40789: Broken mirror links for glean: link 404 for version 5.0.1 hosted at aguestuser's tor people storage [tor-browser-build]

Tor Browser 12.5a3 - February 16 2023
 * All Platforms
   * Updated Translations
   * Updated OpenSSL to 1.1.1t
   * Updated NoScript to 11.4.16
   * Bug 40763: Stop using remote localized files in CFR [tor-browser]
   * Bug 41351: Move the crypto protection patch earlier in the patchset [tor-browser]
   * Bug 41361: Integrate the Conjure PT into alpha versions of Tor Browser [tor-browser]
   * Bug 41424: Reduce disk activity by disabling some unnecessary tasks and telemetry [tor-browser]
   * Bug 41565: Gate Telemetry Tasks behind AppConstants.MOZ_TELEMETRY_REPORTING [tor-browser]
   * Bug 41568: Disable LaterRun [tor-browser]
   * Bug 41598: Prevent NoScript from being removed / disabled until core functionality has been migrated to Tor Browser [tor-browser]
   * Bug 41601: Apply Snowflake Remove HelloVerify Countermeasure [tor-browser]
   * Bug 41603: Customize the creation of MOZ_SOURCE_URL [tor-browser]
   * Bug 41624: Disable unused about: pages [tor-browser]
   * Bug 41627: Enable network.http.referer.hideOnionSource in base-browser [tor-browser]
   * Bug 41637: cherry-pick Mozilla 1814416: Generalize the app name in about:buildconfig. r=ahochheiden [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 102.8esr
   * Bug 20497: Improve support for non-portable mode [tor-browser]
   * Bug 40745: Allow customizing MOZ_APP_BASENAME [tor-browser-build]
   * Bug 40773: Copy some documentation files only on Tor Browser [tor-browser-build]
   * Bug 40781: Move translations to new paths [tor-browser-build]
   * Bug 41080: Some users are choosing an adjacent country for circumvention settings [tor-browser]
   * Bug 41084: Reserve red as a button color for dangerous actions [tor-browser]
   * Bug 41540: Confusing build-id date in about:preferences in alphas [tor-browser]
   * Bug 41542: Disable the creation of a default profile [tor-browser]
   * Bug 41561: Maximize warning is broken (regression) [tor-browser]
   * Bug 41577: Disable profile migration [tor-browser]
   * Bug 41587: Disable the updater for Base Browser [tor-browser]
   * Bug 41588: Use better words for the Tor Network description in the onboarding [tor-browser]
   * Bug 41595: Disable pagethumbnails capturing [tor-browser]
   * Bug 41606: Move the changes to the hamburger menu out of the Torbutton commit [tor-browser]
   * Bug 41609: Move the disabling of Firefox Home (Activity Stream) to base-browser [tor-browser]
   * Bug 41613: Skip Drang & Drop filtering for DNS-safe URLs (no hostname, e.g. RFC3966 tel:) [tor-browser]
   * Bug 41626: Bridge-emojii tooltips not localized in ES locale [tor-browser]
   * Bug 41633: Updating from 12.0.2 to 12.0.3 resets NoScript settings [tor-browser]
 * Windows
   * Bug 40717: UX: hide SSO [tor-browser]
   * Bug 40772: Check and fix HiDPI issues in the NSIS installer [tor-browser-build]
 * Android
   * Updated GeckoView to 102.8esr
   * Bug 40283: Can't upload files with Tor browser on Android [tor-browser]
   * Bug 40536: Proxy Refused if link from other app opens Android TBB [tor-browser]
   * Bug 41185: Hide learn more about sync [tor-browser]
   * Bug 41616: Backport Android-specific security fixes from Firefox 110 to ESR 102.8-based Tor Browser [tor-browser]
   * Bug 41634: Google Play incorrectly detects that libTor.so is built with OpenSSL 1.1.1b [tor-browser]
 * Build System
   * All Platforms
     * Updated Go to 1.19.6
     * Bug 40723: Update upload-update_responses-to-staticiforme step for new tor-browser-update-responses repository [tor-browser-build]
     * Bug 40747: Remove empty line at the top of sha256sums-unsigned-build.txt [tor-browser-build]
     * Bug 40748: When sha256sums-unsigned-build.txt contains an empty line, tools/dmg2mar prints a warning [tor-browser-build]
     * Bug 40751: make signtag-* needs to take project name into account [tor-browser-build]
     * Bug 40753: We should not copy mar tools when the updater is disabled [tor-browser-build]
     * Bug 40760: Add BSD packager contacts to release prep templates [tor-browser-build]
     * Bug 40764: Embed repo URL and git revision in Firefox [tor-browser-build]
     * Bug 40782: Update tools/signing/download-unsigned-sha256sums-gpg-signatures-from-people-tpo to fetch from tb-build-04 and tb-build-05 [tor-browser-build]
     * Bug 40783: Update download-unsigned-sha256sums-gpg-signatures-from-people-tpo to use $projectname prefix directory [tor-browser-build]
     * Bug 40784: Fix var_p/nightly_torbrowser_incremental_from after #40737 [tor-browser-build]
   * Windows + macOS + Linux
     * Bug 40778: Disable all translations with testbuilds in Firefox [tor-browser-build]
   * Windows
     * Bug 29185: NSIS Installer not reproducible when icon has an alpha channel [tor-browser-build]
     * Bug 40757: Change projects/browser/windows-installer/torbrowser.nsi to a template file [tor-browser-build]
   * macOS
     * Bug 40755: libdmg-hfsplus fails to build on debian stable [tor-browser-build]
   * Linux
     * Bug 40731: Update namecoin patches to apply in tor-browser nightly [tor-browser-build]
   * Android
     * Bug 40752: Wrong urls in download-android-*.json files [tor-browser-build]

Tor Browser 12.0.3 - February 13 2023
 * All Platforms
   * Updated Translations
   * Updated OpenSSL to 1.1.1t
   * Updated NoScript to 11.4.16
   * Bug 40763: Stop using remote localized files in CFR [tor-browser]
   * Bug 41424: Reduce disk activity by disabling some unnecessary tasks and telemetry [tor-browser]
   * Bug 41565: Gate Telemetry Tasks behind AppConstants.MOZ_TELEMETRY_REPORTING [tor-browser]
   * Bug 41601: Apply Snowflake Remove HelloVerify Countermeasure [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 102.8esr
   * Bug 32274: Bad screen-reader UX for Security Level/Shield button [tor-browser]
   * Bug 41066: Circuit Isolation should take containers into account [tor-browser]
   * Bug 41561: Maximize warning is broken (regression) [tor-browser]
   * Bug 41572: Check for userContextId also in the circuit display [tor-browser]
   * Bug 41588: Use better words for the Tor Network description in the onboarding [tor-browser]
 * Windows
   * Bug 40717: UX: hide SSO [tor-browser]
   * Bug 41578: Disable and lock Windows SSO [tor-browser]
 * macOS
   * Bug 28124: Show Tor Browser icon as macOS volume (dmg) icon [tor-browser-build]
 * Android
   * Updated GeckoView to 102.8esr
   * Bug 40283: Can't upload files with Tor browser on Android [tor-browser]
   * Bug 40536: Proxy Refused if link from other app opens Android TBB [tor-browser]
   * Bug 41616: Backport Android-specific security fixes from Firefox 110 to ESR 102.8-based Tor Browser [tor-browser]
 * Build System
   * All Platforms
     * Bug 40723: Update upload-update_responses-to-staticiforme step for new tor-browser-update-responses repository [tor-browser-build]
     * Bug 40747: Remove empty line at the top of sha256sums-unsigned-build.txt [tor-browser-build]
     * Bug 40748: When sha256sums-unsigned-build.txt contains an empty line, tools/dmg2mar prints a warning [tor-browser-build]
   * macOS
     * Bug 40744: HFS DMG are not deterministic [tor-browser-build]
     * Bug 40755: libdmg-hfsplus fails to build on debian stable [tor-browser-build]
   * Android
     * Bug 40752: Wrong urls in download-android-*.json files [tor-browser-build]

Tor Browser 12.5a2 - January 22 2023
 * All Platforms
   * Updated tor to 0.4.7.13
   * Updated NoScript to 11.4.14
   * Bug 40565: do something with security.tls.version.enable-deprecated [tor-browser]
   * Bug 40727: Update list of Snowflake STUN servers in default bridge line [tor-browser-build]
   * Bug 41066: Circuit Isolation should take containers into account [tor-browser]
   * Bug 41428: Check if we can create our own directories for branding [tor-browser]
   * Bug 41506: Remove TrustCor root certificates [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 102.7esr
   * Bug 32274: Bad screen-reader UX for Security Level/Shield button [tor-browser]
   * Bug 40733: Use the new branding directories [tor-browser-build]
   * Bug 41393: about:tbupdate semantic and accessibility problems [tor-browser]
   * Bug 41539: Crypto warning weaknesses [tor-browser]
   * Bug 41549: tor freeze when receiving to many http proxy requests on socks port [tor-browser]
   * Bug 41561: Maximize warning is broken (regression) [tor-browser]
   * Bug 41562: API-triggered fullscreen after F11 causes letterboxing to crop the page [tor-browser]
   * Bug 41563: Old placeholders used in TorStrings.jsm [tor-browser]
   * Bug 41572: Check for userContextId also in the circuit display [tor-browser]
   * Bug 41577: Disable profile migration [tor-browser]
 * Windows + Linux
   * Bug 40714: Ship NoScript in the distribution directory also for Windows and Linux [tor-browser-build]
 * Windows
   * Bug 40717: UX: hide SSO [tor-browser]
   * Bug 41578: Disable and lock Windows SSO [tor-browser]
 * macOS
   * Bug 28124: Show Tor Browser icon as macOS volume (dmg) icon [tor-browser-build]
   * Bug 40719: Allow non-universal macOS builds also on base-browser [tor-browser-build]
   * Bug 41535: Remove the old, unused and undocumented "-invisible" macOS CLI flag [tor-browser]
 * Android
   * Updated GeckoView to 102.7esr
   * Bug 40283: Can't upload files with Tor browser on Android [tor-browser]
   * Bug 41571: Backport Android-specific Firefox 109 to ESR 102.7-based Tor Browser [tor-browser]
 * Build System
   * All Platforms
     * Updated Go to 1.19.5
     * Bug 40720: Update fetch-changelogs.py scripts to support new Build System label [tor-browser-build]
     * Bug 40735: Add command to list which translation components need to be updated [tor-browser-build]
     * Bug 40739: tor-expert-bundle should include ClientTransportPlugin torrc lines for each pluggable transport [tor-browser-build]
     * Bug 41567: Build outputs now going to obj-*/dist/torbrower rather than obj-*/dist/firefox [tor-browser]
   * Windows + macOS + Linux
     * Bug 40732: Review Bundle-Data and try not to ship the default profile in base browser [tor-browser-build]
   * macOS
     * Bug 40706: macos-signer-stapler should wait for user interaction before attempting stapling [tor-browser-build]
     * Bug 40744: HFS DMG are not deterministic [tor-brower-build]
   * Android
     * Bug 40738: Update Android git hashes templates [tor-browser-build]

Tor Browser 12.0.2 - January 18 2023
 * All Platforms
   * Updated tor to 0.4.7.13
   * Updated NoScript to 11.4.14
   * Bug 40565: do something with security.tls.version.enable-deprecated [tor-browser]
   * Bug 40713: Use the new tor-browser l10n branch in Firefox [tor-browser-build]
   * Bug 40727: Update list of Snowflake STUN servers in default bridge line [tor-browser-build]
   * Bug 41506: Remove TrustCor root certificates [tor-browser]
   * Bug 41525: Drop locales from torbutton, since we will inject them in tor-browser-build [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 102.7esr
   * Bug 26504: Browser version in about:preferences showing the Firefox ESR version [tor-browser]
   * Bug 32308: Stop inner letterbox jiggling as border is dragged [tor-browser]
   * Bug 41375: Clean unused strings [tor-browser]
   * Bug 41393: about:tbupdate semantic and accessibility problems [tor-browser]
   * Bug 41522: Backport torbutton -> tor-browser migration to 12.0 series [tor-browser]
   * Bug 41524: about:tbupdate needs UTF-8 [tor-browser]
   * Bug 41539: Crypto warning weaknesses [tor-browser]
   * Bug 41549: tor freeze when receiving to many http proxy requests on socks port [tor-browser]
   * Bug 41561: Maximize warning is broken (regression) [tor-browser]
   * Bug 41563: Old placeholders used in TorStrings.jsm [tor-browser]
 * macOS
   * Bug 40716: Unable to update to 12.0.1 on Apple Silicon-based Mac [tor-browser-build]
 * Android
   * Updated GeckoView to 102.7esr
   * Bug 41571: Backport Android-specific Firefox 109 to ESR 102.7-based Tor Browser [tor-browser]
 * Build System
   * All Platforms
     * Updated Go to 1.19.5
     * Bug 40735: Add command to list which translation components need to be updated [tor-browser-build]
     * Bug 40739: tor-expert-bundle should include ClientTransportPlugin torrc lines for each pluggable transport [tor-browser-build]
   * Windows + macOS + Linux
     * Bug 40734: Backport the translation project [tor-browser-build]
     * Bug 40746: Remove pt_config.json from pt dir [tor-browser-build]
   * macOS
     * Bug 40706: macos-signer-stapler should wait for user interaction before attempting stapling [tor-browser-build]

Tor Browser 12.5a1 - December 21 2022
 * All Platforms
   * Updated tor to 0.4.7.12
   * Bug 40711: Review and expand the stakeholders we communicate major changes to [tor-browser-build]
   * Bug 41478: Drop the torbutton submodule in 12.5 [tor-browser]
   * Bug 41514: eslint broken since migrating torbutton [tor-browser]
 * Windows + macOS + Linux
   * Updated Firefox to 102.6esr
   * Bug 26504: about:preferences shows Firefox's version instead of Tor Browser's
   * Bug 32308: Stop inner letterbox jiggling as border is dragged [tor-browser]
   * Bug 40347: URL bar lock icon says connection is not secure when on "view-source:[...].onion" URLs [tor-browser]
   * Bug 40678: Force all 11.5 users to update through 11.5.8 before 12.0 [tor-browser-build]
   * Bug 41375: Clean unused strings [tor-browser]
   * Bug 41435: Add a Tor Browser migration function [tor-browser]
   * Bug 41448: User `danger` style for primary button in new identity modal [tor-browser]
   * Bug 41483: Tor Browser says Firefox timed out, confusing users [tor-browser]
   * Bug 41503: Disable restart in case of reboot and restore in case of crash [tor-browser]
   * Bug 41520: Regression: rearranging bookmarks / place items by drag & drop doesn't work anymore [tor-browser]
   * Bug 41524: about:tbupdate needs UTF-8 [tor-browser]
   * Bug 41525: Drop locales from torbutton, since we will inject them in tor-browser-build [tor-browser]
 * macOS + Linux
   * Bug 41519: TOR_SOCKS_IPC_PATH environment variable not honored [tor-browser]
 * Windows
   * Bug 40708: tor.exe in tor-expert-bundle not writing stdout even when run from cmd.exe [tor-browser-build]
 * macOS
   * Bug 40716: Unable to update to 12.0.1 on Apple Silicon-based Mac [tor-browser-build]
 * Android
   * Updated GeckoView to 102.6esr
   * Bug 41001: Remove remaining security slider code [tor-browser]
 * Build System
   * All Platforms
     * Updated Go to 1.19.4
     * Bug 40645: Verify we no longer depend on any signed tags from sysrqb and gk, and remove them from torbutton.gpg [tor-browser-build]
     * Bug 40679: Use the latest translations for nightly builds [tor-browser-build]
     * Bug 40681: Run apt-get clean, after installing packages in projects/container-image/config [tor-browser-build]
     * Bug 40683: Install more packages in the default containers to reduce the number of custom containers [tor-browser-build]
     * Bug 40689: Update Ubuntu version from projects/mmdebstrap-image/config to 22.04.1 [tor-browser-build]
     * Bug 40717: Create a script to prepare changelogs [tor-browser-build]
   * Windows + macOS + Linux
     * Bug 40707: Update update_responses_config.yml to allow 11.5.8 to update to whatever latest is [tor-browser-build]
     * Bug 40713: Use the new tor-browser l10n branch in Firefox [tor-browser-build]
   * Linux + Android
     * Bug 40653: Build compiler-rt with runtimes instead of the main LLVM build [tor-browser-build]
   * macOS
     * Bug 40694: aarch64 tor-expert-bundle for macOS is not exported as part of the browser build [tor-browser-build]
     * Bug 40704: Building nightly macos incrementals fails [tor-browser-build]
   * Linux
     * Bug 40693: Can't build container-image in main [tor-browser-build]
   * Android
     * Bug 40702: Nightly builds fails with "error: pathspec 'tor-browser-102.5.0esr-12.0-2' did not match any file(s) known to git" [tor-browser-build]

Tor Browser 12.0.1 - December 14 2022
 * Windows + macOS + Linux
   * Updated Firefox to 102.6esr
   * Bug 41519: TOR_SOCKS_IPC_PATH environment variable not honored [tor-browser]
   * Bug 41520: Regression: rearranging  bookmarks / place items by drag & drop doesn't work anymore [tor-browser]
 * Android
   * Updated GeckoView to 102.6esr
 * Build System
   * All Platforms
     * Updated Go to 1.19.4
     * Bug 40653: Build compiler-rt with runtimes instead of the main LLVM build [tor-browser-build]
     * Bug 40681: Run apt-get clean, after installing packages in projects/container-image/config [tor-browser-build]
     * Bug 40683: Install more packages in the default containers to reduce the number of custom containers [tor-browser-build]
     * Bug 40693: Can't build container-image in main [tor-browser-build]
     * Bug 40705: Add empty commit mentioning that gitolite repo is no longer updated [tor-browser-build]
   * Windows
     * Bug 40708: tor.exe in tor-expert-bundle not writing stdout even when run from cmd.exe [tor-browser-build]
   * Linux
     * Bug 40689: Update Ubuntu version from projects/mmdebstrap-image/config to 22.04.1 [tor-browser-build]

Tor Browser 12.0 - December 5 2022
 * All Platforms
   * Update Translations
   * Update tor to 0.4.7.12
   * Bug 17228: Consideration for disabling/trimming referrers within TBB [tor-browser]
   * Bug 24686: In Tor Browser context, should network.http.tailing.enabled be set to false? [tor-browser]
   * Bug 27127: Audit and enable HTTP/2 push [tor-browser]
   * Bug 27258: font whitelist means we don't have to set gfx.downloadable_fonts.fallback_delay [tor-browser]
   * Bug 40057: ensure that CSS4 system colors are not a fingerprinting vector [tor-browser]
   * Bug 40058: ensure no locale leaks from new Intl APIs [tor-browser]
   * Bug 40183: Consider disabling TLS ciphersuites containing SHA-1 [tor-browser]
   * Bug 40251: Clear obsolete prefs after torbutton!27 [tor-browser]
   * Bug 40406: Remove Presentation API related prefs [tor-browser]
   * Bug 40491: Don't auto-pick a v2 address when it's in Onion-Location header [tor-browser]
   * Bug 40494: Update Startpage and Blockchair onion search providers [tor-browser]
   * Bug 40580: Add support for Ukranian (uk) [tor-browser-build]
   * Bug 40646: Don't build Español AR anymore [tor-browser-build]
   * Bug 40674: Add Secondary Snowflake Bridge [tor-browser-build]
   * Bug 40783: Review 000-tor-browser.js and 001-base-profile.js for 102 [tor-browser]
   * Bug 41098: Compare Tor Browser's and GeckoView's profiles [tor-browser]
   * Bug 41125: Review Mozilla 1732792: retry polling requests without proxy [tor-browser]
   * Bug 41154: Review Mozilla 1765167: Deprecate Cu.import [tor-browser]
   * Bug 41164: Add some #define for the base-browser section [tor-browser]
   * Bug 41306: Typo "will not able" in "Tor unexpectedly exited" dialog [tor-browser]
   * Bug 41317: Tor Browser leaks banned ports in network.security.ports.banned [tor-browser]
   * Bug 41345: fonts: windows whitelist contains supplemental fonts [tor-browser]
   * Bug 41398: Disable Web MIDI API [tor-browser]
   * Bug 41406: Do not define `--without-wasm-sandboxed-libraries` if `WASI_SYSROOT` is defined [tor-browser]
   * Bug 41420: Remove brand.dtd customization on nightly [tor-browser]
   * Bug 41457: Remove more Mozilla permissions [tor-browser]
   * Bug 41473: Add support for Albanian (sq) [tor-browser]
 * Windows + macOS + Linux
   * Update Firefox to 102.5.0esr
   * Bug 17400: Decide how to use the multi-lingual Tor Browser in the alpha/release series [tor-browser]
   * Bug 40595: Migrate to 102 on desktop [tor-browser-buid]
   * Bug 40638: Visit our website link after build-to-build upgrade in Nightly channel points to old v2 onion [tor-browser-build]
   * Bug 40648: Do not customize update.locale in multi-lingual builds [tor-browser-build]
   * Bug 40853: use Subprocess.jsm to launch tor [tor-browser]
   * Bug 40933: Migrate remaining tor-launcher functionality to tor-browser [tor-browser]
   * Bug 41011: The Internet and Tor status are visible when opening the settings [tor-browser]
   * Bug 41044: Content exceeding the height of the connection settings modals [tor-browser]
   * Bug 41116: Review Mozilla 1226042: add support for the new 'system-ui' generic font family [tor-browser]
   * Bug 41117: Review Mozilla 1512851:  Add Share Menu to File Menu on macOS [tor-browser]
   * Bug 41283: Toolbar buttons missing their label attribute [tor-browser]
   * Bug 41284: Stray security-level- fluent ids [tor-browser]
   * Bug 41287: New identity button inactive if added after customization [tor-browser]
   * Bug 41292: moreFromMozilla pane in about:preferences in 12.0a2 [tor-browser]
   * Bug 41293: Incomplete branding in German with 12.0a2 [tor-browser]
   * Bug 41337: Add a title to the new identity confirmation [tor-browser]
   * Bug 41342: Update the New Identity dialog to the proton modal style [tor-browser]
   * Bug 41344: Authenticated Onion Services do not prompt for auth key in 12.0 alpha series [tor-browser]
   * Bug 41352: Update or drop the show manual logic in torbutton [tor-browser]
   * Bug 41369: Consider a different list-order for locales in language menu [tor-browser]
   * Bug 41374: Missing a few torconnect strings in the DTD [tor-browser]
   * Bug 41377: Hide `Search for more languages...` from Language selector in multi-locale build [tor-browser]
   * Bug 41378: Inform users when Tor Browser sets their language automatically [tor-browser]
   * Bug 41385: Bootstrap failure is logged but not raised up to about:torconnect [tor-browser]
   * Bug 41386: The new tor-launcher has a problem when another Tor is running [tor-browser]
   * Bug 41387: New identity and new circuit ended up inside history [tor-browser]
   * Bug 41400: Missing onionAuthViewKeys causes "Onion Services Keys" dialog to be empty. [tor-browser]
   * Bug 41401: Missing some mozilla icons because we still loading them from "chrome://browser/skin" rather than "chrome://global/skin/icons" [tor-browser]
   * Bug 41404: Fix blockchair-onion search extension [tor-browser]
   * Bug 41409: Circuit display is broken on Tails [tor-browser]
   * Bug 41410: Opening and closing HTTPS-Only settings make the identity panel shrink [tor-browser]
   * Bug 41412: New Identity shows "Tor Browser" instead of "Restart Tor Browser" in unstranslated locales [tor-browser]
   * Bug 41417: Prompt users to restart after changing language [tor-browser]
   * Bug 41429: TorConnect and TorSettings are initialized twice [tor-browser]
   * Bug 41435: Add a Tor Browser migration function [tor-browser]
   * Bug 41436: The new tor-launcher handles arrays in the wrong way [tor-browser]
   * Bug 41437: Use the new media query for dark theme for the "Connected" pill in bridges [tor-browser]
   * Bug 41449: Onion authentication's learn more should link to the offline manual [tor-browser]
   * Bug 41451: Still using requestedLocales in torbutton [tor-browser]
   * Bug 41455: Tor Browser dev build cannot launch tor [tor-browser]
   * Bug 41458: Prevent `mach package-multi-locale` from actually creating a package [tor-browser]
   * Bug 41462: Add anchors to bridge-moji and onion authentication entries [tor-browser]
   * Bug 41466: Port YEC 2022 campaign to Tor Browser 12.0 (Desktop) [tor-browser]
   * Bug 41495: Clicking on "View Logs" in the "Establishing Connection" page takes you to about:preferences#connection and not logs [tor-browser]
   * Bug 41498: The Help panel is empty in 12.0a4 [tor-browser]
   * Bug 41508: Update the onboarding link for 12.0 [tor-browser]
 * Windows
   * Bug 41149: Review Mozilla 1762576: Firefox is not allowing Symantec DLP to inject DLL into the browser for Data Loss Prevention software [tor-browser]
   * Bug 41278: Create Tor Browser styled pdf logo similar to the vanilla Firefox one [tor-browser]
   * Bug 41426: base-browser nightly fails to build for windows-i686 [tor-browser]
 * macOS
   * Bug 23451: Adapt font whitelist to changes on macOS (zh locales) [tor-browser]
   * Bug 41004: The Bangla font does not display correctly on MacOs [tor-browser]
   * Bug 41108: Remove privileged macOS installation from 102 [tor-browser]
   * Bug 41294: Bookmarks manager broken in 12.0a2 on MacOS [tor-browser]
   * Bug 41348: cherry-pick macOS OSSpinLock  replacements [tor-browser]
   * Bug 41370: Find a way to ship custom default bookmarks without changing language-packs on macOS [tor-browser]
   * Bug 41372: "Japanese" language menu item is localised in multi-locale testbuild (on mac OS) [tor-browser]
   * Bug 41379: The new tor-launcher is broken also on macOS [tor-browser]
 * Linux
   * Bug 40359: Tor Browser Launcher has Wrong Icon [tor-browser]
   * Bug 40626: Define the replacements for generic families on Linux [tor-browser-build]
   * Bug 41163: Fixing loading of bundled fonts on linux [tor-browser]
 * Android
   * Update GeckoView to 102.5.0esr
   * Bug 40014: Check which of our mobile prefs and configuration changes are still valid for GeckoView [tor-browser]
   * Bug 40631: Stop bundling HTTPS Everywhere on Android [tor-browser-build]
   * Bug 41394: Implement a setting to always prefer onion sites [tor-browser]
   * Bug 41465: Port YEC 2022 campaign to Tor Browser 12.0 (Android) [tor-browser]
 * Build System
   * All Platforms
     * Update Go to 1.19.3
     * Bug 23656: Use .mozconfig files in tor-browser repo for rbm builds [tor-browser-build]
     * Bug 28754: make testbuild-android-armv7 stalls during sha256sum step [tor-browser-build]
     * Bug 40049: gpg_keyring should allow for array of keyrings [rbm]
     * Bug 40397: Create a new build target to package tor daemon, pluggable transports and dependencies [tor-browser-build]
     * Bug 40407: Bump binutils version to pick up security improvements for Windows users [tor-browser-build]
     * Bug 40585: Prune the manual more [tor-browser-build]
     * Bug 40587: Migrate tor-browser-build configs from gitolite to gitlab repos [tor-browser-build]
     * Bug 40591: Rust 1.60 not working to build 102 on Debian Jessie [tor-browser-build]
     * Bug 40592: Consider re-using our LLVM/Clang to build Rust [tor-browser-build]
     * Bug 40593: Update signing scripts to take into account new project names and layout [tor-browser-build]
     * Bug 40607: Add alpha-specific release prep template [tor-browser-build]
     * Bug 40610: src-*.tar.xz tarballs are missing in https://dist.torproject.org/torbrowser/12.0a1/ [tor-browser-build]
     * Bug 40612: Migrate Release Prep template to Release Prep - Stable [tor-browser-build]
     * Bug 40619: Make sure translations are taken from gitlab.tpo and not git.tpo [tor-browser-build]
     * Bug 40627: Add boklm to torbutton.gpg [torbrowser-build]
     * Bug 40634: Update the project/browser path in tools/changelog-format-blog-post and other files [tor-browser-build]
     * Bug 40636: Remove https-everywhere from projects/browser/config [tor-browser-build]
     * Bug 40639: Remove tor-launcher references [tor-browser-build]
     * Bug 40643: Update Richard's key in torbutton.gpg [tor-browser-build]
     * Bug 40645: Remove unused signing keys and create individual keyrings for Tor Project developers [tor-browser-build]
     * Bug 40655: Published tor-expert-bundle tar.gz files should not include their tor-browser-build build id [tor-browser-build]
     * Bug 40656: Improve get_last_build_version in tools/signing/nightly/sign-nightly [tor-browser-build]
     * Bug 40660: Update changelog-format-blog-post script to point gitlab rather than gitolite [tor-browser-build]
     * Bug 40662: Make base-browser nightly build from tag [tor-browser-build]
     * Bug 40663: Do not ship bookmarks in tor-browser-build anymore [tor-browser-build]
     * Bug 40667: Update Node.js to 12.22.12 [tor-browser-build]
     * Bug 40669: Remove HTTPS-Everywhere keyring [tor-browser-build]
     * Bug 40671: Update langpacks URL [tor-browser-build]
     * Bug 40675: Update tb_builders list in set-config [tor-browser-build]
     * Bug 40690: Revert fix for zlib build break [tor-browser-build]
     * Bug 41308: Use the same branch for Desktop and GeckoView [tor-browser]
     * Bug 41321: Delete various master branches after automated build/testing scripts are updated [tor-browser]
     * Bug 41340: Opt in to some of the NIGHTLY_BUILD features [tor-browser]
     * Bug 41357: Enable browser toolbox debugging by default for dev builds [tor-browser]
     * Bug 41446: Multi-lingual alpha bundles break make fetch [tor-browser]
   * Windows + macOS + Linux
     * Bug 40499: Update firefox to enable building from new 'base-browser' tag [tor-browser-build]
     * Bug 40500: Add base-browser package project [tor-browser-build]
     * Bug 40501: Makefile updates to support building base-browser packages [tor-browser-build]
     * Bug 40503: Update Release Prep issue template with base-browser and privacy browser changes [tor-browser-build]
     * Bug 40547: Remove container/remote_* from rbm.conf [tor-browser-build]
     * Bug 40581: Update reference to master branches [tor-browser-build]
     * Bug 40641: Fetch Firefox locales from l10n-central [tor-browser-build]
     * Bug 40678: Force all 11.5 users to update through 11.5.8 before 12.0 [tor-browser-build]
     * Bug 40685: Remove targets/nightly/var/mar_locales from rbm.conf [tor-browser-build]
     * Bug 40686: Add a temporary project to fetch Fluent tranlations for base-browser [tor-browser-build]
     * Bug 40691: Update firefox config to point to base-browser branch rather than a particular tag in nightly [tor-browser-build]
     * Bug 40699: Fix input_files in projects/firefox-l10n/config [tor-browser-build]
     * Bug 41099: Update+comment the update channels in update_responses.config.yaml [tor-browser]
   * Windows
     * Bug 29318: Use Clang for everything on Windows [tor-browser-buid]
     * Bug 29321: Use mingw-w64/clang toolchain to build tor [tor-browser-build]
     * Bug 29322: Use mingw-w64/clang toolchain to build OpenSSL [tor-browser-build]
     * Bug 40409: Upgrade NSIS to 3.08 [tor-browser-build]
     * Bug 40666: Fix compiler depedencies for Firefox on Windows [tor-browser-build]
   * macOS
     * Bug 40067: Rename "OS X" to "macOS" [tor-browser-build]
     * Bug 40158: Add support for macOS AArch64 [tor-browser-build]
     * Bug 40439: Create universal x86-64/arm64 mac builds [tor-browser-build]
     * Bug 40605: Reworked the macOS toolchain creation [tor-browser-build]
     * Bug 40620: Update macosx-sdk to 11.0 [tor-browser-build]
     * Bug 40687: macOS nightly builds with packaged locales fail [tor-browser-build]
     * Bug 40694: aarch64 tor-expert-bundle for macOS is not exported as part of the browser build [tor-browser-build]
   * Linux
     * Bug 31321: Add cc -> gcc link to projects/gcc [tor-browser-build]
     * Bug 40621: Update namecoin patches for linted TorButton [tor-browser-build]
     * Bug 40659: Error building goservice for linux in nightly build [tor-browser-build]
     * Bug 41343: Add -without-wam-sandboxed-libraries to mozconfig-linux-x86_64-dev for local builds [tor-browser]
   * Android
     * Bug 40574: Improve tools/signing/android-signing [tor-browser-build]
     * Bug 40604: Fix binutils build on android [tor-browser-build]
     * Bug 40640: Extract Gradle in the toolchain setup [tor-browser-build]
     * Bug 41304: Add Android-specific targets to makefiles [tor-browser]

Tor Browser 12.0a5 - November 30 2022
 * All Platforms
   * Update Translations
   * Update OpenSSL to 1.1.1s
   * Update NoScript to 11.4.13
   * Update tor to 0.4.7.11
   * Update zlib to 1.2.13
   * Bug 17228: Consideration for disabling/trimming referrers within TBB [tor-browser]
   * Bug 27258: font whitelist means we don't have to set gfx.downloadable_fonts.fallback_delay [tor-browser]
   * Bug 40183: Consider disabling TLS ciphersuites containing SHA-1 [tor-browser]
   * Bug 40622: Update obfs4proxy to 0.0.14 in Tor Browser [tor-browser-build]
   * Bug 40674: Add Secondary Snowflake Bridge [tor-browser-build]
   * Bug 40783: Review 000-tor-browser.js and 001-base-profile.js for 102 [tor-browser]
   * Bug 41406: Do not define `--without-wasm-sandboxed-libraries` if `WASI_SYSROOT` is defined [tor-browser]
   * Bug 41420: Remove brand.dtd customization on nightly [tor-browser]
   * Bug 41457: Remove more Mozilla permissions [tor-browser]
   * Bug 41460: Migrate new identity and security level preferences in 11.5.8 [tor-browser]
   * Bug 41473: Add support for Albanian (sq) [tor-browser]
 * Windows + macOS + Linux
   * Update Firefox to 102.5.0esr
   * Bug 31064: Letterboxing is enabled in priviledged contexts too [tor-browser]
   * Bug 31821: reapply window.open() clamping [tor-browser]
   * Bug 32411: Consider adding about:tor and others to the list of pages that do not need letterboxing [tor-browser]
   * Bug 40081: Letterboxing since 32220 affected by layout.css.devPixelsPerPx [tor-browser]
   * Bug 40767: 1px white border visible on fullscreen video playback [tor-browser]
   * Bug 41293: Incomplete branding in German with 12.0a2 [tor-browser]
   * Bug 41378: Inform users when Tor Browser sets their language automatically [tor-browser]
   * Bug 41409: Circuit display is broken on Tails [tor-browser]
   * Bug 41410: Opening and closing HTTPS-Only settings make the identity panel shrink [tor-browser]
   * Bug 41412: New Identity shows "Tor Browser" instead of "Restart Tor Browser" in unstranslated locales [tor-browser]
   * Bug 41417: Prompt users to restart after changing language [tor-browser]
   * Bug 41429: TorConnect and TorSettings are initialized twice [tor-browser]
   * Bug 41433: Should letterboxing take in account optional components' heights? [tor-browser]
   * Bug 41434: Letterboxing bypass through secondary tab (popup/popunder...) [tor-browser]
   * Bug 41436: The new tor-launcher handles arrays in the wrong way [tor-browser]
   * Bug 41437: Use the new media query for dark theme for the "Connected" pill in bridges [tor-browser]
   * Bug 41449: Onion authentication's learn more should link to the offline manual [tor-browser]
   * Bug 41451: Still using requestedLocales in torbutton [tor-browser]
   * Bug 41455: Tor Browser dev build cannot launch tor [tor-browser]
   * Bug 41458: Prevent `mach package-multi-locale` from actually creating a package [tor-browser]
   * Bug 41462: Add anchors to bridge-moji and onion authentication entries [tor-browser]
   * Bug 41498: The Help panel is empty in 12.0a4 [tor-browser]
 * Windows
   * Bug 41426: base-browser nightly fails to build for windows-i686 [tor-browser]
 * macOS
   * Bug 23451: Adapt font whitelist to changes on macOS (zh locales) [tor-browser]
   * Bug 40687: macOS nightly builds with packaged locales fail [tor-browser-build]
 * Android
   * Update GeckoView to 102.5.0esr
   * Bug 40014: Check which of our mobile prefs and configuration changes are still valid for GeckoView [tor-browser]
   * Bug 41471: Update targetSdkVersion to 31 [tor-browser]
   * Bug 41481: Tor Browser 11.5.9 for Android crashes on launch on Android 12+ after targetSdkVersion update [tor-browser]
 * Build System
   * All Platforms
     * Update Go to 1.19.3
     * Bug 40675: Update tb_builders list in set-config [tor-browser-build]
     * Bug 40667: Update Node.js to 12.22.12 [tor-browser-build]
     * Bug 40690: Revert fix for zlib build break [tor-browser-build]
     * Bug 41446: Multi-lingual alpha bundles break make fetch [tor-browser]
   * Windows + macOS + Linux
     * Bug 40503: Update Release Prep issue template with base-browser and privacy browser changes [tor-browser-build]
     * Bug 40641: Fetch Firefox locales from l10n-central [tor-browser-build]
     * Bug 40685: Remove targets/nightly/var/mar_locales from rbm.conf [tor-browser-build]
     * Bug 40686: Add a temporary project to fetch Fluent tranlations for base-browser [tor-browser-build]
     * Bug 40691: Update firefox config to point to base-browser branch rather than a particular tag in nightly [tor-browser-build]
     * Bug 40699: Fix input_files in projects/firefox-l10n/config [tor-browser-build]
   * Windows
     * Bug 40666: Fix compiler depedencies for Firefox on Windows [tor-browser-build]
   * macOS
     * Bug 40067: Rename "OS X" to "macOS" [tor-browser-build]
     * Bug 40439: Create universal x86-64/arm64 mac builds [tor-browser-build]

Tor Browser 11.5.10 - November 28 2022
 * Android
   * Update NoScript to 11.4.13
   * Bug 41481: Tor Browser 11.5.9 for Android crashes on launch on Android 12+ after targetSdkVersion update [tor-browser]

Tor Browser 11.5.9 - November 22 2022
 * Android
   * Bug 41471: Update targetSdkVersion to 31 [tor-browser]

Tor Browser 11.5.8 - November 18 2022
 * All Platforms
   * Update Translations
   * Update OpenSSL to 1.1.1s
   * Update NoScript to 11.4.12
   * Update tor to 0.4.7.11
   * Update zlib to 1.2.13
   * Bug 40622: Update obfs4proxy to 0.0.14 in Tor Browser [tor-browser-build]
  * Windows + macOS + Linux
   * Bug 31064: Letterboxing is enabled in priviledged contexts too [tor-browser]
   * Bug 31821: reapply window.open() clamping [tor-browser]
   * Bug 32411: Consider adding about:tor and others to the list of pages that do not need letterboxing [tor-browser]
   * Bug 40081: Letterboxing since 32220 affected by layout.css.devPixelsPerPx [tor-browser]
   * Bug 40767: 1px white border visible on fullscreen video playback [tor-browser]
   * Bug 41105: Tor Browser Does Not Clear CORS Preflight Cache despite creating a “New Identity” [tor-browser]
   * Bug 41413: Backup intl.locale.requested in 11.5.x [tor-browser]
   * Bug 41433: Should letterboxing take in account optional components' heights? [tor-browser]
   * Bug 41434: Letterboxing bypass through secondary tab (popup/popunder...) [tor-browser]
   * Bug 41456: Backport ESR 102.5 security fixes to 91.13-based Tor Browser [tor-browser]
   * Bug 41460: Migrate new identity and security level preferences in 11.5.8 [tor-browser]
   * Bug 41463: Backport fix for CVE-2022-43680 [tor-browser]
 * Android
   * Update GeckoView to 102.5.0esr
   * Bug 41461: Backport Android-specific 107-rr security fixes to 102.5-esr based Geckoview [tor-browser]
 * Build System
   * All Platforms
     * Update Go to 1.18.8
     * Bug 40658: Create an anticensorship team keyring [tor-browser-build]
     * Bug 40690: Revert fix for zlib build break [tor-browser-build]

Tor Browser 11.5.7 - November 2 2022
 * Windows + macOS + Linux
   * Bug 41413: Backup intl.locale.requested in 11.5.x [tor-browser]

Tor Browser 12.0a4 - October 28 2022
 * All Plaforms
   * Update Translations
   * Bug 24686: In Tor Browser context, should network.http.tailing.enabled be set to false? [tor-browser]
   * Bug 27127: Audit and enable HTTP/2 push [tor-browser]
   * Bug 40057: ensure that CSS4 system colors are not a fingerprinting vector [tor-browser]
   * Bug 40058: ensure no locale leaks from new Intl APIs [tor-browser]
   * Bug 40251: Clear obsolete prefs after torbutton!27 [tor-browser]
   * Bug 40406: Remove Presentation API related prefs [tor-browser]
   * Bug 40465: Onion Authentication fails when connecting to a subdomain [tor-browser]
   * Bug 40491: Don't auto-pick a v2 address when it's in Onion-Location header [tor-browser]
   * Bug 40494: Update Startpage and Blockchair onion search providers [tor-browser]
   * Bug 40629: Bump snowflake version to 9ce1de4eee4e [tor-browser-build]
   * Bug 40633: Remove Team Cymru hard-coded bridges [tor-browser-build]
   * Bug 40646: Don't build Español AR anymore [tor-browser-build]
   * Bug 40649: Update meek default bridge [tor-browser-build]
   * Bug 40654: Enable uTLS and use the full bridge line for snowflake [tor-browser-build]
   * Bug 40665: Snowflake bridge parameters are too long (535 bytes) in 11.5.5 [tor-browser-build]
   * Bug 41098: Compare Tor Browser's and GeckoView's profiles [tor-browser]
   * Bug 41154: Review Mozilla 1765167: Deprecate Cu.import [tor-browser]
   * Bug 41164: Add some #define for the base-browser section [tor-browser]
   * Bug 41306: Typo "will not able" in "Tor unexpectedly exited" dialog [tor-browser]
   * Bug 41317: Tor Browser leaks banned ports in network.security.ports.banned [tor-browser]
   * Bug 41326: Update preference for remoteRecipes [tor-browser]
   * Bug 41345: fonts: windows whitelist contains supplemental fonts [tor-browser]
   * Bug 41398: Disable Web MIDI API [tor-browser]
 * Windows + macOS + Linux
   * Update Firefox to 102.4.0esr
   * Bug 17400: Decide how to use the multi-lingual Tor Browser in the alpha/release series [tor-browser]
   * Bug 40638: Visit our website link after build-to-build upgrade in Nightly channel points to old v2 onion [tor-browser-build]
   * Bug 40648: Do not customize update.locale in multi-lingual builds [tor-browser-build]
   * Bug 40853: use Subprocess.jsm to launch tor [tor-browser]
   * Bug 40933: Migrate remaining tor-launcher functionality to tor-browser [tor-browser]
   * Bug 41117: Review Mozilla 1512851:  Add Share Menu to File Menu on macOS [tor-browser]
   * Bug 41323: Tor-ify notification bar gradient colors (branding) [tor-browser]
   * Bug 41337: Add a title to the new identity confirmation [tor-browser]
   * Bug 41342: Update the New Identity dialog to the proton modal style [tor-browser]
   * Bug 41344: Authenticated Onion Services do not prompt for auth key in 12.0 alpha series [tor-browser]
   * Bug 41352: Update or drop the show manual logic in torbutton [tor-browser]
   * Bug 41369: Consider a different list-order for locales in language menu [tor-browser]
   * Bug 41374: Missing a few torconnect strings in the DTD [tor-browser]
   * Bug 41377: Hide `Search for more languages...` from Language selector in multi-locale build [tor-browser]
   * Bug 41385: Bootstrap failure is logged but not raised up to about:torconnect [tor-browser]
   * Bug 41386: The new tor-launcher has a problem when another Tor is running [tor-browser]
   * Bug 41387: New identity and new circuit ended up inside history [tor-browser]
   * Bug 41400: Missing onionAuthViewKeys causes "Onion Services Keys" dialog to be empty. [tor-browser]
   * Bug 41401: Missing some mozilla icons because we still loading them from "chrome://browser/skin" rather than "chrome://global/skin/icons" [tor-browser]
   * Bug 41404: Fix blockchair-onion search extension [tor-browser]
 * Windows
   * Bug 41149: Review Mozilla 1762576:  Firefox is not allowing Symantec DLP to inject DLL into the browser for Data Loss Prevention software [tor-browser]
   * Bug 41278: Create Tor Browser styled pdf logo similar to the vanilla Firefox one [tor-browser]
 * macOS
   * Bug 41294: Bookmarks manager broken in 12.0a2 on MacOS [tor-browser]
   * Bug 41348: cherry-pick macOS OSSpinLock  replacements [tor-browser]
   * Bug 41370: Find a way to ship custom default bookmarks without changing language-packs on macOS [tor-browser]
   * Bug 41372: "Japanese" language menu item is localised in multi-locale testbuild (on mac OS) [tor-browser]
   * Bug 41379: The new tor-launcher is broken also on macOS [tor-browser]
 * Linux
   * Bug 40359: Tor Browser Launcher has Wrong Icon [tor-browser]
 * Android
   * Update GeckoView to 102.4.0esr
   * Bug 40631: Stop bundling HTTPS Everywhere on Android [tor-browser-build]
   * Bug 41360: Backport Android-specific Firefox 106 to ESR 102.4-based Tor Browser [tor-browser]
   * Bug 41394: Implement a setting to always prefer onion sites [tor-browser]
 * Build System
   * All Platforms
     * Update Go to 1.19.2
     * Bug 23656: Use .mozconfig files in tor-browser repo for rbm builds [tor-browser-build]
     * Bug 28754: make testbuild-android-armv7 stalls during sha256sum step [tor-browser-build]
     * Bug 40397: Create a new build target to package tor daemon, pluggable transports and dependencies [tor-browser-build]
     * Bug 40585: Prune the manual more [tor-browser-build]
     * Bug 40619: Make sure translations are taken from gitlab.tpo and not git.tpo [tor-browser-build]
     * Bug 40627: Add boklm to torbutton.gpg [torbrowser-build]
     * Bug 40634: Update the project/browser path in tools/changelog-format-blog-post and other files [tor-browser-build]
     * Bug 40636: Remove https-everywhere from projects/browser/config [tor-browser-build]
     * Bug 40639: Remove tor-launcher references [tor-browser-build]
     * Bug 40643: Update Richard's key in torbutton.gpg [tor-browser-build]
     * Bug 40655: Published tor-expert-bundle tar.gz files should not include their tor-browser-build build id [tor-browser-build]
     * Bug 40656: Improve get_last_build_version in tools/signing/nightly/sign-nightly [tor-browser-build]
     * Bug 40658: Create an anticensorship team keyring [tor-browser-build]
     * Bug 40660: Update changelog-format-blog-post script to point gitlab rather than gitolite [tor-browser-build]
     * Bug 40662: Make base-browser nightly build from tag [tor-browser-build]
     * Bug 40663: Do not ship bookmarks in tor-browser-build anymore [tor-browser-build]
     * Bug 40669: Remove HTTPS-Everywhere keyring [tor-browser-build]
     * Bug 40671: Update langpacks URL [tor-browser-build]
     * Bug 41308: Use the same branch for Desktop and GeckoView [tor-browser]
     * Bug 41340: Opt in to some of the NIGHTLY_BUILD features [tor-browser]
     * Bug 41343: Add -without-wam-sandboxed-libraries to mozconfig-linux-x86_64-dev for local builds [tor-browser]
     * Bug 41357: Enable browser toolbox debugging by default for dev builds [tor-browser]
   * macOS
     * Bug 40158: Add support for macOS AArch64 [tor-browser-build]
     * Bug 40464: go 1.18 fails to build on macOS [tor-browser-build]
   * Linux
     * Bug 40659: Error building goservice for linux in nightly build [tor-browser-build]
   * Android
     * Bug 40640: Extract Gradle in the toolchain setup [tor-browser-build]

Tor Browser 11.5.6 - October 25 2022
 * All Plaforms
   * Bug 40665: Shorten snowflake bridge line [tor-browser-build]

Tor Browser 11.5.5 - October 20 2022
 * All Platforms
   * Update Translations
   * Bug 40649: Update meek default bridge [tor-browser-build]
   * Bug 40654: Enable uTLS and use the full bridge line for snowflake [tor-browser-build]
 * Windows + macOS + Linux
   * Upate Manual
   * Bug 40465: Onion Authentication fails when connecting to a subdomain [tor-browser]
   * Bug 41355: Amends to YEC 2022 Takeover Desktop Stable 11.5.5 [tor-browser]
   * Bug 41359: Backport ESR 102.4 security fixes to 91.13-based Tor Browser [ tor-browser]
   * Bug 41364: Continued amends to YEC 2022 Takeover Desktop Stable 11.5.5 [tor-browser]
 * Android
   * Bug 40650: Rebase geckoview-102.3.0esr-11.5-1 to ESR 102.4 [tor-browser-build]
   * Bug 41360: Backport Android-specific Firefox 106 to ESR 102.4-based Tor Browser [tor-browser]
   * Bug 41365: Amends to YEC 2022 Takeover on Android [tor-browser]
 * Build System
   * Windows + macOS + Linux
     * Update Go to 1.18.7
     * Bug 40464: go 1.18 fails to build on macOS [tor-browser-build]

Tor Browser 11.5.4 - October 11 2022
 * All Platforms
   * Bug 40629: Bump snowflake version to 9ce1de4eee4e [tor-browser-build]
   * Bug 40633: Remove Team Cymru hard-coded bridges [tor-browser-build]
   * Bug 41326: Update preference for remoteRecipes [tor-browser]
 * Windows + macOS + Linux
   * Bug 40624: Change placeholder bridge addresses to make snowflake and meek work with ReachableAddresses/FascistFirewall [tor-browser-build]
   * Bug 41303: YEC 2022 Takeover for Desktop Stable [tor-browser]
   * Bug 41310: Backport ESR 102.3 security fixes to 91.13-based Tor Browser [tor-browser]
   * Bug 41323: Tor-ify notification bar gradient colors (branding) [tor-browser]
   * Bug 41338: The arrow on the search bar should be flipped for RTL languages [tor-browser]
 * Windows + macOS
   * Bug 41307: font whitelist typos [tor-browser]
 * Android
   * Updated GeckoView to 102.3.0esr
   * Bug 41089: Add tor-browser build scripts + Makefile to tor-browser [tor-browser]
   * Bug 41094: Enable HTTPS-Only Mode by default in Tor Browser Android [tor-browser]
   * Bug 41159: Remove HTTPS-Everywhere extension from esr102-based Tor Browser Android [tor-browser]
   * Bug 41166: Backport fix for CVE-2022-36317: Long URL would hang Firefox for Android (Bug 1759951) [tor-browser]
   * Bug 41167: Backport fix for CVE-2022-38474: Recording notification not shown when microphone was recording on Android (Bug 1719511) [tor-browser]
   * Bug 41302: YEC 2022 Takeover for Android Stable [tor-browser]
   * Bug 41312: Backport Firefox 105 Android security fixes to 102.3-based Tor Browser [tor-browser]
   * Bug 41314: Add YEC 2022 strings to torbutton and fenix [tor-browser]
 * Build System
   * Android
     * Update Go to 1.18.7

Tor Browser 12.0a3 - September 26 2022
 * All Platforms
   * Update Firefox to 102.3.0esr
   * Update NoScript to 11.4.11
   * Update Translations
   * Bug 40624: Change placeholder bridge addresses to make snowflake and meek work with ReachableAddresses/FascistFirewall [tor-browser-build]
   * Bug 41125: Review Mozilla 1732792: retry polling requests without proxy [tor-browser]
 * Windows + macOS + Linux
   * Bug 41116: Review Mozilla 1226042: add support for the new 'system-ui' generic font family [tor-browser]
   * Bug 41283: Toolbar buttons missing their label attribute [tor-browser]
   * Bug 41284: Stray security-level- fluent ids [tor-browser]
   * Bug 41287: New identity button inactive if added after customization [tor-browser]
   * Bug 41292: moreFromMozilla pane in about:preferences in 12.0a2 [tor-browser]
   * Bug 41307: font whitelist typos [tor-browser]
 * Linux
   * Bug 40626: Define the replacements for generic families on Linux [tor-browser-build]
   * Bug 41163: Fixing loading of bundled fonts on linux [tor-browser]
 * Android
   * Bug 41159: Remove HTTPS-Everywhere extension from esr102-based Tor Browser Android [tor-browser]
   * Bug 41312: Backport Firefox 105 Android security fixes to 102.3-based Tor Browser [tor-browser]
 * Build System
   * All Platforms
     * Bug 40587: Migrate tor-browser-build configs from gitolite to gitlab repos [tor-browser-build]
     * Bug 41321: Delete various master branches after automated build/testing scripts are updated [tor-browser]
   * Linux
     * Bug 40621: Update namecoin patches for linted TorButton [tor-browser-build]
   * Android
     * Bug 41304: Add Android-specific targets to makefiles [tor-browser]

Tor Browser 12.0a2 - September 1 2022
 * All Platforms
   * Update Firefox to 102.2.0esr
   * Update Tor to 0.4.7.10
   * Update NoScript to 11.4.10
   * Update Translations
   * Bug 40242: Tor Browser has two default bridges that share a fingerprint, and Tor ignores one [tor-browser]
 * Windows + macOS + Linux
   * Update Tor-Launcher to 0.2.39
   * Update Manual
   * Bug 40580: Add support for uk (ukranian) locale [tor-browser-build]
   * Bug 40595: Migrate to 102 on desktop [tor-browser-buid]
   * Bug 41075: The Tor Browser is showing caution sign but your document said it won't [tor-browser]
   * Bug 41089: Add tor-browser build scripts + Makefile to tor-browser [tor-browser]
 * macOS
   * Bug 41108: Remove privileged macOS installation from 102 [tor-browser]
 * Android
   * Bug 40225: Bundled extensions don't get updated with Android Tor Browser updates (they stay stuck at the first installed version) [fenix]
   * Bug 41094: Enable HTTPS-Only Mode by default in Tor Browser Android [tor-browser]
   * Bug 41156: User-installed addons are broken on Android [tor-browser]
   * Bug 41166: Backport fix for CVE-2022-36317: Long URL would hang Firefox for Android (Bug 1759951) [tor-browser]
   * Bug 41167: Backport fix for CVE-2022-38474: Recording notification not shown when microphone was recording on Android (Bug 1719511) [tor-browser]
 * Build System
   * All Platforms
     * Bug 40407: Bump binutils version to pick up security improvements for Windows users [tor-browser-build]
     * Bug 40591: Rust 1.60 not working to build 102 on Debian Jessie [tor-browser-build]
     * Bug 40592: Consider re-using our LLVM/Clang to build Rust [tor-browser-build]
     * Bug 40593: Update signing scripts to take into account new project names and layout [tor-browser-build]
     * Bug 40607: Add alpha-specific release prep template [tor-browser-build]
     * Bug 40610: src-*.tar.xz tarballs are missing in https://dist.torproject.org/torbrowser/12.0a1/ [tor-browser-build]
     * Bug 40612: Migrate Release Prep template to Release Prep - Stable [tor-browser-build]
   * Windows + macOS + Linux
     * Bug 41099: Update+comment the update channels in update_responses.config.yaml [tor-browser]
   * Windows
     * Bug 29318: Use Clang for everything on Windows [tor-browser-buid]
     * Bug 29321: Use mingw-w64/clang toolchain to build tor [tor-browser-build]
     * Bug 29322: Use mingw-w64/clang toolchain to build OpenSSL [tor-browser-build]
     * Bug 40409: Upgrade NSIS to 3.08 [tor-browser-build]
   * macOS
     * Bug 40605: Reworked the macOS toolchain creation [tor-browser-build]
     * Bug 40620: Update macosx-sdk to 11.0 [tor-browser-build]
   * Linux
     * Bug 31321: Add cc -> gcc link to projects/gcc [tor-browser-build]
   * Android
     * Update Go to 1.18.5
     * Bug 40574: Improve tools/signing/android-signing [tor-browser-build]
     * Bug 40582: Prepared TBA to use Mozilla 102 components [tor-browser-build]
     * Bug 40604: Fix binutils build on android [tor-browser-build]

Tor Browser 11.5.3 - August 29 2022
 * Android
   * Bug 40225: Bundled extensions don't get updated with Android Tor Browser
   updates (they stay stuck at the first installed version) [fenix]
   * Bug 41156: User-installed addons are broken on Android [tor-browser]

Tor Browser 11.5.2 - August 23 2022
 * All Platforms
   * Update Tor to 0.4.7.10
   * Update NoScript to 11.4.9
 * Windows + macOS + Linux
   * Update Firefox to 91.13.0esr
   * Bug 27719: Treat unsafe renegotiation as broken [tor-browser]
   * Bug 40242: Tor Browser has two default bridges that share a fingerprint, and Tor ignores one [tor-browser]
   * Bug 41067: Cherry-pick fixes for HTTPS-Only mode [tor-browser]
   * Bug 41070: Google vanished from default search options from 11.0.10 onwards [tor-browser]
   * Bug 41075: The Tor Browser is showing caution sign but your document said it won't [tor-browser]
   * Bug 41089: Add tor-browser build scripts + Makefile to tor-browser [tor-browser]
   * Bug 41095: "Learn more" link in onboarding slideshow still points to 11.0 release post [tor-browser]
 * Build System
   * Windows + macOS + Linux
     * Update Go to 1.17.3
   * Android
     * Update Go to 1.18.5

Tor Browser 12.0a1 - August 9 2022
 * Windows + OS X + Linux
   * Update Firefox to 91.12.0esr
   * Update Tor-Launcher to 0.2.38
   * Update Translations
   * Update OpenSSL to 1.1.1q
   * Update Manual
   * Bug 21740: Make sure Mozilla's own emoji font on Windows/Linux does not interfere with our font fingerprinting defense [tor-browser]
   * Bug 27719: Treat unsafe renegotiation as broken [tor-browser]
   * Bug 40584: Update tor-browser manual to latest [tor-browser-build]
   * Bug 40966: Investigate problems with Twemoji Mozilla [tor-browser]
   * Bug 41011: The Internet and Tor status are visible when opening the settings [tor-browser]
   * Bug 41035: OnionAliasService should use threadsafe ISupports [tor-browser]
   * Bug 41036: Add a preference to disable OnionAlias [tor-browser]
   * Bug 41037: User onboarding still points to about:preferences#tor [tor-browser]
   * Bug 41044: Content exceeding the height of the connection settings modals [tor-browser]
   * Bug 41049: QR codes in connection settings aren't recognized by some readers in dark theme [tor-browser]
   * Bug 41050: "Continue to HTTP Site" button doesn't work on IP addresses [tor-browser]
   * Bug 41053: remove HTTPS-Everywhere entry from browser.uiCustomization.state pref [tor-browser]
   * Bug 41054: Improve color contrast of purple elements in connection settings in dark theme [tor-browser]
   * Bug 41055: Icon fix from #40834 is missing in 11.5 stable [tor-browser]
   * Bug 41058: Hide `currentBridges` description when the section itself is hidden [tor-browser]
   * Bug 41059: Bridge cards aren't displaying, and toggle themselves off [tor-browser]
   * Bug 41067: Cherry-pick fixes for HTTPS-Only mode [tor-browser]
   * Bug 41070: Google vanished from default search options from 11.0.10 onwards [tor-browser]
   * Bug 41089: Add tor-browser build scripts + Makefile to tor-browser [tor-browser]
   * Bug 41095: "Learn more" link in onboarding slideshow still points to 11.0 release post [tor-browser]
 * Windows
   * Bug 30589: Tor Browser on Windows is lacking fonts to render some kind of scripts [tor-browser]
   * Bug 41039: Set 'startHidden' flag on tor process in tor-launcher [tor-browser]
 * OS X
   * Bug 41004: The Bangla font does not display correctly on MacOs [tor-browser]
 * Linux
   * Bug 41043: Investigate why STIX Two becomes the default font on Linux [tor-browser]
 * Build System
   * Windows + OS X + Linux
     * Update Go to 1.17.13
     * Bug 40499: Update firefox to enable building from new 'base-browser' tag [tor-browser-build]
     * Bug 40500: Add base-browser package project [tor-browser-build]
     * Bug 40501: Makefile updates to support building base-browser packages [tor-browser-build]
     * Bug 40547: Remove container/remote_* from rbm.conf [tor-browser-build]
     * Bug 40581: Update reference to master branches [tor-browser-build]

Tor Browser 11.5.1 - July 26 2022
 * Windows + OS X + Linux
   * Update Firefox to 91.12.0esr
   * Bug 41049: QR codes in connection settings aren't recognized by some readers in dark theme [tor-browser]
   * Bug 41050: "Continue to HTTP Site" button doesn't work on IP addresses [tor-browser]
   * Bug 41053: remove HTTPS-Everywhere entry from browser.uiCustomization.state pref [tor-browser]
   * Bug 41054: Improve color contrast of purple elements in connection settings in dark theme [tor-browser]
   * Bug 41055: Icon fix from #40834 is missing in 11.5 stable [tor-browser]
   * Bug 41058: Hide `currentBridges` description when the section itself is hidden [tor-browser]
   * Bug 41059: Bridge cards aren't displaying, and toggle themselves off [tor-browser]
 * Build System
   * Windows + OS X + Linux
     * Update Go to 1.17.12
     * Bug 40547: Remove container/remote_* from rbm.conf [tor-browser-build]
     * Bug 40584: Update tor-browser manual to latest [tor-browser-build]

Tor Browser 11.5 - July 7 2022
 * All Platforms
   * Update OpenSSL to 1.1.1q
 * Windows + OS X + Linux
   * Update Firefox to 91.11.0esr
   * Update Tor-Launcher to 0.2.37
   * Update Translations
   * Bug 11698: Incorporate Tor Browser Manual pages into Tor Browser [tor-browser]
   * Bug 19850: Disable Plaintext HTTP Clearnet Connections [tor-browser]
   * Bug 21740: Make sure Mozilla's own emoji font on Windows/Linux does not interfere with our font fingerprinting defense [tor-browser]
   * Bug 30589: Allowed fonts to render a bunch of missing scripts [tor-browser]
   * Bug 40458: Implement about:rulesets https-everywhere replacement [tor-browser]
   * Bug 40527: Remove https-everywhere from tor-browser alpha desktop [tor-browser-build]
   * Bug 40562: Reorganize patchset [tor-browser]
   * Bug 40598: Remove legacy settings read from TorSettings module [tor-browser]
   * Bug 40645: Migrate Moat APIs to Moat.jsm module [tor-browser]
   * Bug 40684: Misc UI bug fixes [tor-browser]
   * Bug 40773: Update the about:torconnect frontend page to match additional UI flows [tor-browser]
   * Bug 40774: Update about:preferences page to match new UI designs [tor-browser]
   * Bug 40775: about:ion should not be labeled as a Tor Browser page [tor-browser]
   * Bug 40793: moved Tor configuration options from old-configure.in to moz.configure [tor-browser]
   * Bug 40825: Redirect HTTPS-Only error page when not connected [tor-browser]
   * Bug 40912: Hide screenshots menu since we don't support it [tor-browser]
   * Bug 40916: Remove the browser.download.panel.shown preference [tor-browser]
   * Bug 40923: Consume country code to improve error report [tor-browser]
   * Bug 40966: Render emojis in bridgemoji with SVG files, and added emojii descriptions [tor-browser]
   * Bug 41011: Make sure the Tor Connection status is shown only in about:preferences#connection [tor-browser]
   * Bug 41023: Update manual URLs [tor-browser]
   * Bug 41035: OnionAliasService should use threadsafe ISupports [tor-browser]
   * Bug 41036: Add a preference to disable Onion Aliases [tor-browser]
   * Bug 41037: Fixed the connection preferences on the onboarding [tor-browser]
   * Bug 41039: Set 'startHidden' flag on tor process in tor-launcher [tor-browser]
 * OS X
   * Bug 40797: font-family: monospace renders incorrectly on macOS [tor-browser]
   * Bug 41004: Bundled fonts are not picked up on macOS [tor-browser]
 * Linux
   * Bug 41015: Add --name parameter to correctly setup WM_CLASS when running as native Wayland client [tor-browser]
   * Bug 41043: Hardcode the UI font on Linux [tor-browser]
 * Android
   * Update Fenix to 99.0.0b3
 * Build System
   * All Platforms
     * Bug 40288: Bump mmdebstrap version to 0.8.6 [tor-browser-build]
     * Bug 40426: Update Ubuntu base image to 22.04 [tor-browser-build]
     * Bug 40516: Remove aguestuser from tb_builders and torbutton.gpg [tor-browser-build]
     * Bug 40519: Add Alexis' latest PGP key to https-everywhere key ring [tor-browser-build]
   * Android
     * Update Go to 1.18.3
     * Bug 40433: Bump LLVM to 13.0.1 for android builds [tor-browser-build]
     * Bug 40470: Fix zlib build issue for android [tor-browser-build]
     * Bug 40485: Resolve Android reproducibility issues [tor-browser-build]
   * Windows + OS X + Linux
     * Bug 34451: Include Tor Browser Manual in packages during build [tor-browser-build]
     * Bug 40525: Update the mozconfig for tor-browser-91.9-11.5-2 [tor-browser-build]

Tor Browser 11.0.15 - June 19 2022
 * All Platforms
  * Update Tor to 0.4.7.8

Tor Browser 11.5a13 - June 18 2022
 * All Platforms
  * Update Tor to 0.4.7.8
  * Update NoScript to 11.4.6
  * Update translations
 * Windows + OS X + Linux
   * Update Firefox to 91.10.0esr
   * Update Tor-Launcher to 0.2.36
   * Bug 11698: Incorporate Tor Browser Manual pages into Tor Browser [tor-browser]
   * Bug 40458: Implement about:rulesets https-everywhere replacement [tor-browser]
   * Bug 40527: Remove https-everywhere from tor-browser alpha desktop [tor-browser-build]
   * Bug 40971: TB Alpha desktop minor issue Help button is not working [tor-browser]
   * Bug 41023: Update manual URLs [tor-browser]
 * Linux
   * Bug 41015: Add --name parameter to correctly setup WM_CLASS when running as native Wayland client [tor-browser]
 * Build System
   * All Platforms
     * Bug 40288: Bump mmdebstrap version to 0.8.6 [tor-browser-build]
     * Bug 40426: Update Ubuntu base image to 22.04 [tor-browser-build]
     * Bug 40497: Check that directory does not exist before starting macOS signing [tor-browser-build]
     * Bug 40508: ChangeLog in master is missing 11.0.x changelog stanzas [tor-browser-build]
     * Bug 40516: Remove aguestuser from tb_builders and torbutton.gpg [tor-browser-build]
     * Bug 40519: Add Alexis' latest PGP key to https-everywhere key ring [tor-browser-build]
     * Bug 40523: Add tor-announce to Release Prep template [tor-browser-build]
   * Android
     * Update Go to 1.18.3
   * Windows + OS X + Linux
     * Update Go to 1.17.10
     * Bug 34451: Include Tor Browser Manual in packages during build [tor-browser-build]
     * Bug 40525: Update the mozconfig for tor-browser-91.9-11.5-2 [tor-browser-build]

Tor Browser 11.0.14 - June 2 2022
 * All Platforms
   * Updated NoScript to 11.4.6
   * Bug 40474: Bump version of pion/webrtc to v3.1.41 [tor-browser-build]
 * Windows + OS X + Linux
   * Update Firefox to 91.10.0esr
 * Build System
   * All Platforms
     * Update Go to 1.17.11
     * Bug 40511: Changlog in stable is missing 11.5ax stanzas [tor-browser-build]

Tor Browser 11.5a12 - May 21 2022
 * Windows + OS X + Linux
   * Bug 40309: Avoid using regional OS locales [tor-browser]
   * Bug 40912: Hide screenshots menu since we don't support it [tor-browser]
   * Bug 40916: Remove the browser.download.panel.shown preference [tor-browser]
   * Bug 40918: In 11.5a11 the breadcrumbs are visible on the first bootstrap [tor-browser]
   * Bug 40923: Consume country code to improve error report [tor-browser]
 * All Platforms
   * Bug 40474: Bump version of pion/webrtc to v3.1.41 [tor-browser-build]
   * Bug 40967: Integrate Mozilla fix for Bug 1770137 [tor-browser]
   * Bug 40968: Integrate Mozilla fix for Bug 1770048 [tor-browser]
 * Build System
   * All Platforms
     * Bug 40476: Add tools/signing/do-all-signing script, and other signing scripts improvements [tor-browser-build]
   * Android
     * Update Go to 1.18.2
   * Windows + OS X + Linux
     * Update Go to 1.17.10

Tor Browser 11.0.13 - May 20 2022
 * Android
   * Bug 40212: Tor Browser crashing on launch [fenix]
 * All Platforms
   * Update Tor to 0.4.7.7
   * Bug 40967: Integrate Mozilla fix for Bug 1770137 [tor-browser]
   * Bug 40968: Integrate Mozilla fix for Bug 1770048 [tor-browser]
 * Build System
   * All Platforms
     * Update Go to 1.17.10
     * Bug 40319: Add build tag to downloads.json [tor-browser-build]
     * Bug 40476: Add tools/signing/do-all-signing script, and other signing scripts improvements [tor-browser-build]

Tor Browser 11.5a10 - May 20 2022
 * Android
    * Update Fenix to 99.0.0b3
    * Update NoScript to 11.4.5
    * Update Tor to 0.4.7.7
    * Update OpenSSL to 1.1.1o
    * Bug 40212: Tor Browser crashing on launch [fenix]
    * Bug 40433: Bump LLVM to 13.0.1 for android builds [tor-browser-build]
    * Bug 40469: Update zlib to 1.2.12 (CVE-2018-25032) [tor-browser-build]
    * Bug 40470: Fix zlib build issue for android [tor-browser-build]
    * Bug 40682: Set network.proxy.allow_bypass to false [tor-browser]
    * Bug 40830: cherry-picked Bugzilla 1760674 on GV 99 TBA 11.5 [tor-browser]
 * Build System
   * Android
     * Update Go to 1.18.1
     * Bug 40485: Resolve Android reproducibility issues [tor-browser-build]

 Tor Browser 11.0.12 - May 12 2022
  * Android
    * Update NoScript to 11.4.5
    * Update OpenSSL to 1.1.1o
    * Bug 40202: Install fails for nightly testbuild on emulator running Android API v30 [fenix]
    * Bug 40212: Tor Browser crashing on launch [fenix]
    * Bug 40908: Rebase to Geckoview v96.0.3 for TBA 11.0 [tor-browser]
    * Bug 40913: Investigate+possible revert fix for Bugzilla 1732388 [tor-browser]
  * Build System
    * Android
     * Update Go to 1.17.9

Tor Browser 11.5a11 - May 4 2022
 * Windows + OS X + Linux
   * Update Firefox to 91.9.0esr
   * Update NoScript to 11.4.5
   * Update Tor to 0.4.7.7
   * Update OpenSSL to 1.1.1o
   * Update Tor Launcher to 0.2.35
   * Bug 21484: Remove or hide "What's New" link from About dialog [tor-browser]
   * Bug 40482: Remove smallerrichard builtin bridge [tor-browser-build]
   * Bug 40886: Amend about:tor on Nightly and Alpha to encourage testing [tor-browser]
   * Bug 40887: Implement amends to torconnect and Connection Settings following 11.5a9 [tor-browser]
 * Build System
   * All Platforms
     * Bug 40319: Add build tag to downloads.json [tor-browser-build]

Tor Browser 11.0.11 - May 3 2022
 * Windows + OS X + Linux
   * Update Firefox to 91.9.0esr
   * Update NoScript to 11.4.5
   * Bug 21484: Remove or hide "What's New" link from About dialog [tor-browser]
   * Bug 34366: The onion-location mechanism does not redirect to full URL [tor-browser]
   * Bug 40482: Remove smallerrichard builtin bridge [tor-browser-build]
 * Build System
   * Windows + OS X + Linux
     * Update Go to 1.17.9

Tor Browser 11.5a9 - April 12 2022
 * Windows + OS X + Linux
   * Update Firefox to 91.8.0esr
   * Update NoScript to 11.4.4
   * Update Tor Launcher 0.2.34
   * Update Tor to 0.4.7.5-alpha
   * Bug 34366: The onion-location mechanism does not redirect to full URL [tor-browser]
   * Bug 40469: Update zlib to 1.2.12 (CVE-2018-25032) [tor-browser-build]
   * Bug 40773: Update the about:torconnect frontend page to match additional UI flows [tor-browser]
   * Bug 40774: Update about:preferences page to match new UI designs [tor-browser]
   * Bug 40822: Rebase tor-browser 11.5a9 to 91.8 Firefox [tor-browser]
   * Bug 40862: Backport 1760674 [tor-browser]

Tor Browser 11.0.10 - April 5 2022
 * Windows + OS X + Linux
   * Update Firefox to 91.8.0esr
   * Update NoScript to 11.4.3
   * Bug 14939: Support ipv6 address in Tor Circuit Display [tor-browser]
   * Bug 40469: Update zlib to 1.2.12 (CVE-2018-25032) [tor-browser-build]
   * Bug 40718: Application Menu items should be sentence case [tor-browser]
   * Bug 40725: about:torconnect missing identity block content on TB11 [tor-browser]
   * Bug 40776: Capitalize the "T" in "Tor" in application menu [tor-browser]
   * Bug 40862: Backport 1760674 [tor-browser]

Tor Browser 11.5a8 - March 15 2022
 * Windows + OS X + Linux
   * Bug 14939: Support ipv6 addresses in Tor Circuit Display [tor-browser]
   * Bug 40460: Upgrade to OpenSSL 1.1.1n [tor-browser]
   * Bug 40802: Client Auth dialog is broken in Tor Browser 11.06, works in 11.04 [tor-browser]
   * Bug 40830: cherry-pick fix for bugzilla 1758156

Tor Browser 11.0.9 - March 15 2022
 * Windows + OS X + Linux
   * Bug 40802: Client Auth dialog is broken in Tor Browser 11.0.6, works in 11.0.4 [tor-browser]
   * Bug 40831: Upgrade to OpenSSL 1.1.1n [tor-browser]
   * Bug 40830: cherry-pick fix for bugzilla 1758156 [tor-browser]
 * Build System
   * Windows + OS X + Linux
     * Update Go to 1.17.8
     * Bug 40422: Remove projects/ed25519 [tor-browser-build]
     * Bug 40431: added license info for edwards25519 and edwards25519-extra [tor-browser-build]
     * Bug 40436: Use intermediate files for default bridge lines [tor-browser-build]
     * Bug 40438: Use the same list of bridges for desktop and android [tor-browser-build]

Tor Browser 11.0.8 - March 11 2022
 * Android
   * Update Fenix to 96.3.0
   * Update Tor to 0.4.6.10
   * Update NoScript to 11.3.7
   * Bug 40075: Fix bug preventing downloads on Android Q and higher [android-components]
   * Bug 40829: Port fixes for Mozilla security advisory mfsa2022-09 to Android [tor-browser]
 * Build System
   * Android
     * Update Go to 1.16.15
     * Bug 40056: Download .aar and .jar files for all .pom files [tor-browser-build]
     * Bug 40298: Add documentation about subuid and subgid [tor-browser-build]
     * Bug 40385: Add android platform-31_r0 [tor-browser-build]
     * Bug 40422: Remove projects/ed25519 [tor-browser-build]
     * Bug 40431: added license info for edwards25519 and edwards25519-extra [tor-browser-build]
     * Bug 40432: Support bug reports by displaying Android Components commit hash in "About Tor Browser" display [tor-browser-build]
     * Bug 40436: Use intermediate files for default bridge lines [tor-browser-build]
     * Bug 40438: Use the same list of bridges for desktop and android [tor-browser-build]
     * Bug 40440: Bump version of snowflake to to include PT LOG events [tor-browser-build]
     * Bug 40441: Add aguestuser as valid git-tag signer [tor-browser-build]

Tor Browser 11.5a7 - March 9 2022
 * Android
   * Update NoScript to 11.3.7
   * Bug 40829: port fixes for Mozilla security advisory mfsa2022-09 to Android [tor-browser]
 * Build System
   * Android
   * Update Go to 1.17.8

Tor Browser 11.5a6 - March 8 2022
 * Windows + OS X + Linux
   * Update Firefox to 91.7.0esr
   * Update Tor to 0.4.7.4-alpha
   * Update NoScript to 11.3.7
   * Bug 19850: Disable Plaintext HTTP Clearnet Connections [tor-browser]
   * Bug 40440: Bump version of snowflake to include PT LOG events [tor-browser-build]
   * Bug 40819: Update Firefox to 91.7.0esr [tor-browser]
   * Bug 40824: Drop 16539 Patch (android screencasting disable) [tor-browser]
   * Bug 40825: Redirect HTTPS-Only error page when not connected [tor-browser]
   * Bug 40826: Cherry-pick fixes for Mozilla bug 1758062 [tor-browser]
 * Build System
   * Windows + OS X + Linux
     * Update Go to 1.17.8
     * Bug 40441: Add Austin as a valid git-tag signer [tor-browser-build]

Tor Browser 11.0.7 - March 8 2022
 * Windows + OS X + Linux
   * Update Firefox to 91.7.0esr
   * Update Tor to 0.4.6.10
   * Update NoScript to 11.3.7
   * Bug 40435: Remove default bridge "deusexmachina" [tor-browser-build]
   * Bug 40440: Bump version of snowflake to include PT LOG events [tor-browser-build]
   * Bug 40684: Misc UI bugs in 11.0a10 [tor-browser]
   * Bug 40687: Update message bar styling in about:preferences#tor [tor-browser]
   * Bug 40691: Make quickstart checkbox grey when "off" on about:torconnect [tor-browser]
   * Bug 40714: Next button closes "How do circuits work?" onboarding tour [tor-browser]
   * Bug 40824: Drop 16439 Patch (android screencasting disable)
   * Bug 40826: Cherry-pick fixes for Mozilla bug 1758062
 * Build System
   * Windows + OS X + Linux
    * Update Go to 1.16.14
    * Bug 40441: Add Austin as valid git-tag signer

Tor Browser 11.5a5 - March 1 2022
 * Android
   * Update Fenix to 96.3.0
   * Update Tor to 0.4.7.4-alpha
   * Update NoScript to 11.3.4
   * Bug 40075: Fix problem preventing file downloads on Android Q and above [android-components]
   * Bug 40432: Support bug reports by displaying Android Components commit hash in "About Tor Browser" display [tor-browser-build]
 * Build System
   * Android
     * Update Go to 1.17.7
     * Bug 40056: Download .aar and .jar files for all .pom files [tor-browser-build]
     * Bug 40385: Update components for mozilla95 [tor-browser-build]
     * Bug 40418: Update components for mozilla96 [tor-browser-build]
     * Bug 40435: Remove default obfs4 bridge "deusexmachina" [tor-browser-build]
     * Bug 40436: Use intermediate files for default bridge lines [tor-browser-build]
     * Bug 40438: Use the same list of bridges for desktop and android [tor-browser-build]
     * Bug 40441: Add Austin as a valid git-tag signer [tor-browser-build]

Tor Browser 11.5a4 - February 15 2022
 * Windows + OS X + Linux
   * Update Firefox to 91.6.0esr
   * Update NoScript to 11.2.19
   * Tor Launcher 0.2.33
   * Bug 40562: Reorganize patchset [tor-browser]
   * Bug 40598: Remove legacy settings read from TorSettings module [tor-browser]
   * Bug 40679: Missing features on first-time launch in esr91 [tor-browser]
   * Added extensions.torlauncher.launch_delay debug pref to simulate slow tor daemon launch [tor-launcher]
   * Bug 40752: Misleading UX when about:tor as New Tab [tor-browser]
   * Bug 40775: about:ion should no tbe labeled as a Tor Browser page [tor-browser]
